[Qutecsound-users] How to get Csoundqt running on Ubuntu

classic Classic list List threaded Threaded
33 messages Options
12
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

[Qutecsound-users] How to get Csoundqt running on Ubuntu

Jan Jacob Hofmann

Dear Tarmo,


I am very sorry that I overlooked your answer more than one week ago. Finally I found it. Here is some further specification of mine:

- I am on 64 bit architecture and the 64 bit version of ubuntu 14.04 is running fine on it.

- I built Version 6.08 of Csound as a 64 bit amd-cpu-version about three weeks ago.

- "csd.pysco" is completely unknown to me - nothing that I did.

- Csoundqt is on version 0.8.2 - ....I see - that is an older one which came with the installation via "Ubuntu Software-Center". Maybe I should have built it from the sources instead too?

Now some more info about the error messages in Terminal: Right away, if I start Csoundqt in Terminal (typing csoundqt and hitting "return" at my "home" location) the following lines on terminal appear:

janjacobhofmann@janjacobhofmann-ThinkPad-T430:~$ csoundqt
csoundqt: Symbol `CS_VAR_TYPE_K' has different size in shared object, consider re-linking
csoundqt: Symbol `CS_VAR_TYPE_S' has different size in shared object, consider re-linking
virtual_keyboard real time MIDI plugin for Csound
ACHTUNG: STK opcodes not available: define environment variable RAWWAVE_PATH
(points to rawwaves directory) to use STK opcodes.
0dBFS level = 32768,0
Csound version 6.08 (double samples) Sep 18 2016
libsndfile-1.0.25
Object::connect: No such slot WidgetPanel::dockStateChanged(bool)
void DBusMenuExporterPrivate::addAction(QAction*, int): Already tracking action "Cabbage Text einfügen/aktualisieren" under id 8
Warning: Could not find FLOSS Manual Examples.
Warning: Could not find McCurdy Collection.
Warning: Could not find Stria Synth files.
Object::connect: No such signal FileBEditor::textChanged()
Object::connect:  (sender name:   'FileBEditor')
Object::connect: No such slot DocumentView::openParameterSelection()
CsoundEngine::messageListDispatcher()
Object::connect: No such signal FileBEditor::textChanged()
Object::connect:  (sender name:   'FileBEditor')
Object::connect: No such slot DocumentView::openParameterSelection()
Object::connect: No such slot DocumentPage::evaluate(QString)
WidgetLayout::loadXmlWidgets Older Widget Format version
Could not parse application stylesheet
^CCsound tidy up: Unterbrechung

If I then run the "Hello World" testfile, Csound starts printing error-messages rapidly and endlessly. I stopped the process after a few minutes and I do paste just a short excerpt of it here:


ALSA lib pcm.c:7846:(snd_pcm_recover) cannot recovery from underrun, prepare failed: Die Dateizugriffsnummer ist in schlechter Verfassung
Expression 'alsa_snd_pcm_prepare( stream->playback.pcm )' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 2928
Expression 'AlsaStart( stream, 0 )' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 3246
Expression 'AlsaRestart( self )' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 3313
Expression 'PaAlsaStream_HandleXrun( self )' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 3924
ALSA lib pcm.c:7843:(snd_pcm_recover) underrun occurred
ALSA lib pcm.c:7846:(snd_pcm_recover) cannot recovery from underrun, prepare failed: Die Dateizugriffsnummer ist in schlechter Verfassung
Expression 'alsa_snd_pcm_prepare( stream->playback.pcm )' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 2928
Expression 'AlsaStart( stream, 0 )' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 3246
Expression 'AlsaRestart( self )' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 3313
Expression 'PaAlsaStream_HandleXrun( self )' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 3924
ALSA lib pcm.c:7843:(snd_pcm_recover) underrun occurred
ALSA lib pcm.c:7846:(snd_pcm_recover) cannot recovery from underrun, prepare failed: Die Dateizugriffsnummer ist in schlechter Verfassung
Expression 'alsa_snd_pcm_prepare( stream->playback.pcm )' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 2928
Expression 'AlsaStart( stream, 0 )' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 3246
Expression 'AlsaRestart( self )' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 3313
Expression 'PaAlsaStream_HandleXrun( self )' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 3924
ALSA lib pcm.c:7843:(snd_pcm_recover) underrun occurred
ALSA lib pcm.c:7846:(snd_pcm_recover) cannot recovery from underrun, prepare failed: Die Dateizugriffsnummer ist in schlechter Verfassung
Expression 'alsa_snd_pcm_prepare( stream->playback.pcm )' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 2928
Expression 'AlsaStart( stream, 0 )' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 3246
Expression 'AlsaRestart( self )' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 3313
Expression 'PaAlsaStream_HandleXrun( self )' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 3924
ALSA lib pcm.c:7843:(snd_pcm_recover) underrun occurred
ALSA lib pcm.c:7846:(snd_pcm_recover) cannot recovery from underrun, prepare failed: Die Dateizugriffsnummer ist in schlechter Verfassung
Expression 'alsa_snd_pcm_prepare( stream->playback.pcm )' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 2928
Expression 'AlsaStart( stream, 0 )' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 3246
Expression 'AlsaRestart( self )' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 3313
Expression 'PaAlsaStream_HandleXrun( self )' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 3924
ALSA lib pcm.c:7843:(snd_pcm_recover) underrun occurred
ALSA lib pcm.c:7846:(snd_pcm_recover) cannot recovery from underrun, prepare failed: Die Dateizugriffsnummer ist in schlechter Verfassung

O.k., Tarmo so far the report. Thanks for your answer, I do promise to look more carefully for your reply this time :-)

All the best,

Jan Jacob


Am 23.09.2016 um 23:12 schrieb [hidden email]:
Message: 5 Date: Fri, 23 Sep 2016 23:48:16 +0300 From: Tarmo Johannes [hidden email] Subject: Re: [Qutecsound-users] How to get Csoundqt running on Ubuntu 14.04? To: [hidden email] Message-ID: <1570401.GlC6U9hpPx@tarmo-desktop> Content-Type: text/plain; charset="iso-8859-1" Dear Jan, It is hard to guess, but
> Symbol `CS_VAR_TYPE_K' has different size in shared object, 
>consider re-linking
tells that there is a verion or 32bit/64bit architecture mismatch or your 
CsoundQt does not want to work with the newly build Csound.

What is your CsoundQt version? Is your Ubuntu 32 or 64-bit?

Can you guess, what is csd.pysco?
>      from csd.pysco import PythonScore
> ImportError: No module named csd.pysco
Is it your own module and where is it saved?

Does the output of Examples->Getting started-> Hello world look OK?
What happens if you run it in terminal? 

Please give somewhat more info and maybe we can help you further.

Best!
tarmo


On Friday 23 September 2016 21:49:51 Jan Jacob Hofmann wrote:
> Dear List,
> 
> recently I built the latest version of Csound from the sources. I can
> now again play pieces using blue.
> 
> Then I did install Csoundqt using the Ubuntu-Software-Center, which also
> worked fine. I can start Csound qt from the terminal.
> After setting the usual preferences, I tried to run several
> example-pieces from Csoundqt. However there is no sound, just several
> messages on terminal, which do look completely complicated to me.
> Has anybody some idea, what could be wrong and what I should change?
> (See output of terminal below)
> 
> All the best,
> 
> Jan Jacob
> 
> 
> 
> janjacobhofmann@janjacobhofmann-ThinkPad-T430:~$ csoundqt
> csoundqt: Symbol `CS_VAR_TYPE_K' has different size in shared object,
> consider re-linking
> csoundqt: Symbol `CS_VAR_TYPE_S' has different size in shared object,
> consider re-linking
> virtual_keyboard real time MIDI plugin for Csound
> ACHTUNG: STK opcodes not available: define environment variable RAWWAVE_PATH
> (points to rawwaves directory) to use STK opcodes.
> 0dBFS level = 32768,0
> Csound version 6.08 (double samples) Sep 18 2016
> libsndfile-1.0.25
> Object::connect: No such slot WidgetPanel::dockStateChanged(bool)
> void DBusMenuExporterPrivate::addAction(QAction*, int): Already tracking
> action "Cabbage Text einf?gen/aktualisieren" under id 8
> Warning: Could not find FLOSS Manual Examples.
> Warning: Could not find McCurdy Collection.
> Warning: Could not find Stria Synth files.
> Object::connect: No such signal FileBEditor::textChanged()
> Object::connect:  (sender name:   'FileBEditor')
> Object::connect: No such slot DocumentView::openParameterSelection()
> CsoundEngine::messageListDispatcher()
> Object::connect: No such signal FileBEditor::textChanged()
> Object::connect:  (sender name:   'FileBEditor')
> Object::connect: No such slot DocumentView::openParameterSelection()
> Object::connect: No such slot DocumentPage::evaluate(QString)
> WidgetLayout::loadXmlWidgets Older Widget Format version
> Could not parse application stylesheet
> virtual_keyboard real time MIDI plugin for Csound
> 0dBFS level = 32768,0
> Csound version 6.08 (double samples) Sep 18 2016
> libsndfile-1.0.25
> Traceback (most recent call last):
>    File "/tmp/csound-qnB5RS.ext", line 19, in <module>
>      from csd.pysco import PythonScore
> ImportError: No module named csd.pysco
> csound
> -b1024
> -B2048
> -+rtaudio=pa_bl
> -iadc
> -odac
> --env:CSNOSTOP=yes
> /tmp/csound-tmpXMTJ2500.csd
> Csound compile failed!  -1

-- 

sound      |      movement       |       object      |      space
sonic architecture     |      site: http://www.sonicarchitecture.de
spatial electronic composition    |    higher order ambisonic music


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, SlashDot.org! http://sdm.link/slashdot
_______________________________________________
Qutecsound-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/qutecsound-users
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: [Qutecsound-users] How to get Csoundqt running on Ubuntu

Tarmo Johannes

Hi,

CsoundQt 0.8.2 is pretty old and build against some older Csound version, so there might be API conflict.

Felipe Sateler has prepared CsoundQt deb package, v0.9.2.1 I think and posted about ot in the qutecsound mailing list, let me know if you cannot dind the post.

Hope it helps you further.

Tarmo


02.10.2016 10:11 kirjutas kuupäeval "Jan Jacob Hofmann" <[hidden email]>:

Dear Tarmo,


I am very sorry that I overlooked your answer more than one week ago. Finally I found it. Here is some further specification of mine:

- I am on 64 bit architecture and the 64 bit version of ubuntu 14.04 is running fine on it.

- I built Version 6.08 of Csound as a 64 bit amd-cpu-version about three weeks ago.

- "csd.pysco" is completely unknown to me - nothing that I did.

- Csoundqt is on version 0.8.2 - ....I see - that is an older one which came with the installation via "Ubuntu Software-Center". Maybe I should have built it from the sources instead too?

Now some more info about the error messages in Terminal: Right away, if I start Csoundqt in Terminal (typing csoundqt and hitting "return" at my "home" location) the following lines on terminal appear:

janjacobhofmann@janjacobhofmann-ThinkPad-T430:~$ csoundqt
csoundqt: Symbol `CS_VAR_TYPE_K' has different size in shared object, consider re-linking
csoundqt: Symbol `CS_VAR_TYPE_S' has different size in shared object, consider re-linking
virtual_keyboard real time MIDI plugin for Csound
ACHTUNG: STK opcodes not available: define environment variable RAWWAVE_PATH
(points to rawwaves directory) to use STK opcodes.
0dBFS level = 32768,0
Csound version 6.08 (double samples) Sep 18 2016
libsndfile-1.0.25
Object::connect: No such slot WidgetPanel::dockStateChanged(bool)
void DBusMenuExporterPrivate::addAction(QAction*, int): Already tracking action "Cabbage Text einfügen/aktualisieren" under id 8
Warning: Could not find FLOSS Manual Examples.
Warning: Could not find McCurdy Collection.
Warning: Could not find Stria Synth files.
Object::connect: No such signal FileBEditor::textChanged()
Object::connect:  (sender name:   'FileBEditor')
Object::connect: No such slot DocumentView::openParameterSelection()
CsoundEngine::messageListDispatcher()
Object::connect: No such signal FileBEditor::textChanged()
Object::connect:  (sender name:   'FileBEditor')
Object::connect: No such slot DocumentView::openParameterSelection()
Object::connect: No such slot DocumentPage::evaluate(QString)
WidgetLayout::loadXmlWidgets Older Widget Format version
Could not parse application stylesheet
^CCsound tidy up: Unterbrechung

If I then run the "Hello World" testfile, Csound starts printing error-messages rapidly and endlessly. I stopped the process after a few minutes and I do paste just a short excerpt of it here:


ALSA lib pcm.c:7846:(snd_pcm_recover) cannot recovery from underrun, prepare failed: Die Dateizugriffsnummer ist in schlechter Verfassung
Expression 'alsa_snd_pcm_prepare( stream->playback.pcm )' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 2928
Expression 'AlsaStart( stream, 0 )' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 3246
Expression 'AlsaRestart( self )' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 3313
Expression 'PaAlsaStream_HandleXrun( self )' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 3924
ALSA lib pcm.c:7843:(snd_pcm_recover) underrun occurred
ALSA lib pcm.c:7846:(snd_pcm_recover) cannot recovery from underrun, prepare failed: Die Dateizugriffsnummer ist in schlechter Verfassung
Expression 'alsa_snd_pcm_prepare( stream->playback.pcm )' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 2928
Expression 'AlsaStart( stream, 0 )' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 3246
Expression 'AlsaRestart( self )' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 3313
Expression 'PaAlsaStream_HandleXrun( self )' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 3924
ALSA lib pcm.c:7843:(snd_pcm_recover) underrun occurred
ALSA lib pcm.c:7846:(snd_pcm_recover) cannot recovery from underrun, prepare failed: Die Dateizugriffsnummer ist in schlechter Verfassung
Expression 'alsa_snd_pcm_prepare( stream->playback.pcm )' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 2928
Expression 'AlsaStart( stream, 0 )' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 3246
Expression 'AlsaRestart( self )' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 3313
Expression 'PaAlsaStream_HandleXrun( self )' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 3924
ALSA lib pcm.c:7843:(snd_pcm_recover) underrun occurred
ALSA lib pcm.c:7846:(snd_pcm_recover) cannot recovery from underrun, prepare failed: Die Dateizugriffsnummer ist in schlechter Verfassung
Expression 'alsa_snd_pcm_prepare( stream->playback.pcm )' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 2928
Expression 'AlsaStart( stream, 0 )' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 3246
Expression 'AlsaRestart( self )' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 3313
Expression 'PaAlsaStream_HandleXrun( self )' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 3924
ALSA lib pcm.c:7843:(snd_pcm_recover) underrun occurred
ALSA lib pcm.c:7846:(snd_pcm_recover) cannot recovery from underrun, prepare failed: Die Dateizugriffsnummer ist in schlechter Verfassung
Expression 'alsa_snd_pcm_prepare( stream->playback.pcm )' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 2928
Expression 'AlsaStart( stream, 0 )' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 3246
Expression 'AlsaRestart( self )' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 3313
Expression 'PaAlsaStream_HandleXrun( self )' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 3924
ALSA lib pcm.c:7843:(snd_pcm_recover) underrun occurred
ALSA lib pcm.c:7846:(snd_pcm_recover) cannot recovery from underrun, prepare failed: Die Dateizugriffsnummer ist in schlechter Verfassung

O.k., Tarmo so far the report. Thanks for your answer, I do promise to look more carefully for your reply this time :-)

All the best,

Jan Jacob


Am 23.09.2016 um 23:12 schrieb [hidden email]:
Message: 5 Date: Fri, 23 Sep 2016 23:48:16 +0300 From: Tarmo Johannes [hidden email] Subject: Re: [Qutecsound-users] How to get Csoundqt running on Ubuntu 14.04? To: [hidden email] Message-ID: <1570401.GlC6U9hpPx@tarmo-desktop> Content-Type: text/plain; charset="iso-8859-1" Dear Jan, It is hard to guess, but
> Symbol `CS_VAR_TYPE_K' has different size in shared object, 
>consider re-linking
tells that there is a verion or 32bit/64bit architecture mismatch or your 
CsoundQt does not want to work with the newly build Csound.

What is your CsoundQt version? Is your Ubuntu 32 or 64-bit?

Can you guess, what is csd.pysco?
>      from csd.pysco import PythonScore
> ImportError: No module named csd.pysco
Is it your own module and where is it saved?

Does the output of Examples->Getting started-> Hello world look OK?
What happens if you run it in terminal? 

Please give somewhat more info and maybe we can help you further.

Best!
tarmo


On Friday 23 September 2016 21:49:51 Jan Jacob Hofmann wrote:
> Dear List,
> 
> recently I built the latest version of Csound from the sources. I can
> now again play pieces using blue.
> 
> Then I did install Csoundqt using the Ubuntu-Software-Center, which also
> worked fine. I can start Csound qt from the terminal.
> After setting the usual preferences, I tried to run several
> example-pieces from Csoundqt. However there is no sound, just several
> messages on terminal, which do look completely complicated to me.
> Has anybody some idea, what could be wrong and what I should change?
> (See output of terminal below)
> 
> All the best,
> 
> Jan Jacob
> 
> 
> 
> janjacobhofmann@janjacobhofmann-ThinkPad-T430:~$ csoundqt
> csoundqt: Symbol `CS_VAR_TYPE_K' has different size in shared object,
> consider re-linking
> csoundqt: Symbol `CS_VAR_TYPE_S' has different size in shared object,
> consider re-linking
> virtual_keyboard real time MIDI plugin for Csound
> ACHTUNG: STK opcodes not available: define environment variable RAWWAVE_PATH
> (points to rawwaves directory) to use STK opcodes.
> 0dBFS level = 32768,0
> Csound version 6.08 (double samples) Sep 18 2016
> libsndfile-1.0.25
> Object::connect: No such slot WidgetPanel::dockStateChanged(bool)
> void DBusMenuExporterPrivate::addAction(QAction*, int): Already tracking
> action "Cabbage Text einf?gen/aktualisieren" under id 8
> Warning: Could not find FLOSS Manual Examples.
> Warning: Could not find McCurdy Collection.
> Warning: Could not find Stria Synth files.
> Object::connect: No such signal FileBEditor::textChanged()
> Object::connect:  (sender name:   'FileBEditor')
> Object::connect: No such slot DocumentView::openParameterSelection()
> CsoundEngine::messageListDispatcher()
> Object::connect: No such signal FileBEditor::textChanged()
> Object::connect:  (sender name:   'FileBEditor')
> Object::connect: No such slot DocumentView::openParameterSelection()
> Object::connect: No such slot DocumentPage::evaluate(QString)
> WidgetLayout::loadXmlWidgets Older Widget Format version
> Could not parse application stylesheet
> virtual_keyboard real time MIDI plugin for Csound
> 0dBFS level = 32768,0
> Csound version 6.08 (double samples) Sep 18 2016
> libsndfile-1.0.25
> Traceback (most recent call last):
>    File "/tmp/csound-qnB5RS.ext", line 19, in <module>
>      from csd.pysco import PythonScore
> ImportError: No module named csd.pysco
> csound
> -b1024
> -B2048
> -+rtaudio=pa_bl
> -iadc
> -odac
> --env:CSNOSTOP=yes
> /tmp/csound-tmpXMTJ2500.csd
> Csound compile failed!  -1

-- 

sound      |      movement       |       object      |      space
sonic architecture     |      site: http://www.sonicarchitecture.de
spatial electronic composition    |    higher order ambisonic music


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, SlashDot.org! http://sdm.link/slashdot
_______________________________________________
Qutecsound-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/qutecsound-users


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, SlashDot.org! http://sdm.link/slashdot
_______________________________________________
Qutecsound-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/qutecsound-users
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: [Qutecsound-users] How to get Csoundqt running on Ubuntu

joachim-3
yes, i'd do this:
1. uninstall the 0.8.2 version if there is such feature in the ubuntu
software center.
2. download https://packages.debian.org/sid/amd64/csoundqt/download
this is a .deb package which you should be able to install via
double-click in ubuntu, i think.
if not, let us know; there are other ways.
hope this helps, best -
        joachim


On 02/10/16 09:27, Tarmo Johannes wrote:

> Hi,
>
> CsoundQt 0.8.2 is pretty old and build against some older Csound version,
> so there might be API conflict.
>
> Felipe Sateler has prepared CsoundQt deb package, v0.9.2.1 I think and
> posted about ot in the qutecsound mailing list, let me know if you cannot
> dind the post.
>
> Hope it helps you further.
>
> Tarmo
>
> 02.10.2016 10:11 kirjutas kuupäeval "Jan Jacob Hofmann" <
> [hidden email]>:
>
>> Dear Tarmo,
>>
>>
>> I am very sorry that I overlooked your answer more than one week ago.
>> Finally I found it. Here is some further specification of mine:
>>
>> - I am on 64 bit architecture and the 64 bit version of ubuntu 14.04 is
>> running fine on it.
>>
>> - I built Version 6.08 of Csound as a 64 bit amd-cpu-version about three
>> weeks ago.
>>
>> - "csd.pysco" is completely unknown to me - nothing that I did.
>>
>> - Csoundqt is on version 0.8.2 - ....I see - that is an older one which
>> came with the installation via "Ubuntu Software-Center". Maybe I should
>> have built it from the sources instead too?
>>
>> Now some more info about the error messages in Terminal: Right away, if I
>> start Csoundqt in Terminal (typing csoundqt and hitting "return" at my
>> "home" location) the following lines on terminal appear:
>>
>> janjacobhofmann@janjacobhofmann-ThinkPad-T430:~$ csoundqt
>> csoundqt: Symbol `CS_VAR_TYPE_K' has different size in shared object,
>> consider re-linking
>> csoundqt: Symbol `CS_VAR_TYPE_S' has different size in shared object,
>> consider re-linking
>> virtual_keyboard real time MIDI plugin for Csound
>> ACHTUNG: STK opcodes not available: define environment variable
>> RAWWAVE_PATH
>> (points to rawwaves directory) to use STK opcodes.
>> 0dBFS level = 32768,0
>> Csound version 6.08 (double samples) Sep 18 2016
>> libsndfile-1.0.25
>> Object::connect: No such slot WidgetPanel::dockStateChanged(bool)
>> void DBusMenuExporterPrivate::addAction(QAction*, int): Already tracking
>> action "Cabbage Text einfügen/aktualisieren" under id 8
>> Warning: Could not find FLOSS Manual Examples.
>> Warning: Could not find McCurdy Collection.
>> Warning: Could not find Stria Synth files.
>> Object::connect: No such signal FileBEditor::textChanged()
>> Object::connect:  (sender name:   'FileBEditor')
>> Object::connect: No such slot DocumentView::openParameterSelection()
>> CsoundEngine::messageListDispatcher()
>> Object::connect: No such signal FileBEditor::textChanged()
>> Object::connect:  (sender name:   'FileBEditor')
>> Object::connect: No such slot DocumentView::openParameterSelection()
>> Object::connect: No such slot DocumentPage::evaluate(QString)
>> WidgetLayout::loadXmlWidgets Older Widget Format version
>> Could not parse application stylesheet
>> ^CCsound tidy up: Unterbrechung
>>
>> If I then run the "Hello World" testfile, Csound starts printing
>> error-messages rapidly and endlessly. I stopped the process after a few
>> minutes and I do paste just a short excerpt of it here:
>>
>>
>> ALSA lib pcm.c:7846:(snd_pcm_recover) cannot recovery from underrun,
>> prepare failed: Die Dateizugriffsnummer ist in schlechter Verfassung
>> Expression 'alsa_snd_pcm_prepare( stream->playback.pcm )' failed in
>> 'src/hostapi/alsa/pa_linux_alsa.c', line: 2928
>> Expression 'AlsaStart( stream, 0 )' failed in 'src/hostapi/alsa/pa_linux_alsa.c',
>> line: 3246
>> Expression 'AlsaRestart( self )' failed in 'src/hostapi/alsa/pa_linux_alsa.c',
>> line: 3313
>> Expression 'PaAlsaStream_HandleXrun( self )' failed in
>> 'src/hostapi/alsa/pa_linux_alsa.c', line: 3924
>> ALSA lib pcm.c:7843:(snd_pcm_recover) underrun occurred
>> ALSA lib pcm.c:7846:(snd_pcm_recover) cannot recovery from underrun,
>> prepare failed: Die Dateizugriffsnummer ist in schlechter Verfassung
>> Expression 'alsa_snd_pcm_prepare( stream->playback.pcm )' failed in
>> 'src/hostapi/alsa/pa_linux_alsa.c', line: 2928
>> Expression 'AlsaStart( stream, 0 )' failed in 'src/hostapi/alsa/pa_linux_alsa.c',
>> line: 3246
>> Expression 'AlsaRestart( self )' failed in 'src/hostapi/alsa/pa_linux_alsa.c',
>> line: 3313
>> Expression 'PaAlsaStream_HandleXrun( self )' failed in
>> 'src/hostapi/alsa/pa_linux_alsa.c', line: 3924
>> ALSA lib pcm.c:7843:(snd_pcm_recover) underrun occurred
>> ALSA lib pcm.c:7846:(snd_pcm_recover) cannot recovery from underrun,
>> prepare failed: Die Dateizugriffsnummer ist in schlechter Verfassung
>> Expression 'alsa_snd_pcm_prepare( stream->playback.pcm )' failed in
>> 'src/hostapi/alsa/pa_linux_alsa.c', line: 2928
>> Expression 'AlsaStart( stream, 0 )' failed in 'src/hostapi/alsa/pa_linux_alsa.c',
>> line: 3246
>> Expression 'AlsaRestart( self )' failed in 'src/hostapi/alsa/pa_linux_alsa.c',
>> line: 3313
>> Expression 'PaAlsaStream_HandleXrun( self )' failed in
>> 'src/hostapi/alsa/pa_linux_alsa.c', line: 3924
>> ALSA lib pcm.c:7843:(snd_pcm_recover) underrun occurred
>> ALSA lib pcm.c:7846:(snd_pcm_recover) cannot recovery from underrun,
>> prepare failed: Die Dateizugriffsnummer ist in schlechter Verfassung
>> Expression 'alsa_snd_pcm_prepare( stream->playback.pcm )' failed in
>> 'src/hostapi/alsa/pa_linux_alsa.c', line: 2928
>> Expression 'AlsaStart( stream, 0 )' failed in 'src/hostapi/alsa/pa_linux_alsa.c',
>> line: 3246
>> Expression 'AlsaRestart( self )' failed in 'src/hostapi/alsa/pa_linux_alsa.c',
>> line: 3313
>> Expression 'PaAlsaStream_HandleXrun( self )' failed in
>> 'src/hostapi/alsa/pa_linux_alsa.c', line: 3924
>> ALSA lib pcm.c:7843:(snd_pcm_recover) underrun occurred
>> ALSA lib pcm.c:7846:(snd_pcm_recover) cannot recovery from underrun,
>> prepare failed: Die Dateizugriffsnummer ist in schlechter Verfassung
>> Expression 'alsa_snd_pcm_prepare( stream->playback.pcm )' failed in
>> 'src/hostapi/alsa/pa_linux_alsa.c', line: 2928
>> Expression 'AlsaStart( stream, 0 )' failed in 'src/hostapi/alsa/pa_linux_alsa.c',
>> line: 3246
>> Expression 'AlsaRestart( self )' failed in 'src/hostapi/alsa/pa_linux_alsa.c',
>> line: 3313
>> Expression 'PaAlsaStream_HandleXrun( self )' failed in
>> 'src/hostapi/alsa/pa_linux_alsa.c', line: 3924
>> ALSA lib pcm.c:7843:(snd_pcm_recover) underrun occurred
>> ALSA lib pcm.c:7846:(snd_pcm_recover) cannot recovery from underrun,
>> prepare failed: Die Dateizugriffsnummer ist in schlechter Verfassung
>>
>> O.k., Tarmo so far the report. Thanks for your answer, I do promise to
>> look more carefully for your reply this time :-)
>> All the best,
>>
>> Jan Jacob
>>
>>
>> Am 23.09.2016 um 23:12 schrieb qutecsound-users-request@
>> lists.sourceforge.net:
>>
>> Message: 5
>> Date: Fri, 23 Sep 2016 23:48:16 +0300
>> From: Tarmo Johannes <[hidden email]> <[hidden email]>
>> Subject: Re: [Qutecsound-users] How to get Csoundqt running on Ubuntu
>> 14.04?
>> To: [hidden email]
>> Message-ID: <1570401.GlC6U9hpPx@tarmo-desktop>
>> Content-Type: text/plain; charset="iso-8859-1"
>>
>> Dear Jan,
>>
>> It is hard to guess, but
>>
>>> Symbol `CS_VAR_TYPE_K' has different size in shared object, >consider re-linking
>>
>> tells that there is a verion or 32bit/64bit architecture mismatch or your
>> CsoundQt does not want to work with the newly build Csound.
>>
>> What is your CsoundQt version? Is your Ubuntu 32 or 64-bit?
>>
>> Can you guess, what is csd.pysco?
>>
>>>      from csd.pysco import PythonScore> ImportError: No module named csd.pysco
>>
>> Is it your own module and where is it saved?
>>
>> Does the output of Examples->Getting started-> Hello world look OK?
>> What happens if you run it in terminal?
>>
>> Please give somewhat more info and maybe we can help you further.
>>
>> Best!
>> tarmo
>>
>>
>> On Friday 23 September 2016 21:49:51 Jan Jacob Hofmann wrote:
>>
>>> Dear List,> > recently I built the latest version of Csound from the sources. I can> now again play pieces using blue.> > Then I did install Csoundqt using the Ubuntu-Software-Center, which also> worked fine. I can start Csound qt from the terminal.> After setting the usual preferences, I tried to run several> example-pieces from Csoundqt. However there is no sound, just several> messages on terminal, which do look completely complicated to me.> Has anybody some idea, what could be wrong and what I should change?> (See output of terminal below)> > All the best,> > Jan Jacob> > > > janjacobhofmann@janjacobhofmann-ThinkPad-T430:~$ csoundqt> csoundqt: Symbol `CS_VAR_TYPE_K' has different size in shared object,> consider re-linking> csoundqt: Symbol `CS_VAR_TYPE_S' has different size in shared object,> consider re-linking> virtual_keyboard real time MIDI plugin for Csound> ACHTUNG: STK opcodes not available: define environment variable RAWWAVE_PATH> (points to rawwaves directory) to use STK opcodes.> 0dBFS level = 32768,0> Csound version 6.08 (double samples) Sep 18 2016> libsndfile-1.0.25> Object::connect: No such slot WidgetPanel::dockStateChanged(bool)> void DBusMenuExporterPrivate::addAction(QAction*, int): Already tracking> action "Cabbage Text einf?gen/aktualisieren" under id 8> Warning: Could not find FLOSS Manual Examples.> Warning: Could not find McCurdy Collection.> Warning: Could not find Stria Synth files.> Object::connect: No such signal FileBEditor::textChanged()> Object::connect:  (sender name:   'FileBEditor')> Object::connect: No such slot DocumentView::openParameterSelection()> CsoundEngine::messageListDispatcher()> Object::connect: No such signal FileBEditor::textChanged()> Object::connect:  (sender name:   'FileBEditor')> Object::connect: No such slot DocumentView::openParameterSelection()> Object::connect: No such slot DocumentPage::evaluate(QString)> WidgetLayout::loadXmlWidgets Older Widget Format version> Could not parse application stylesheet> virtual_keyboard real time MIDI plugin for Csound> 0dBFS level = 32768,0> Csound version 6.08 (double samples) Sep 18 2016> libsndfile-1.0.25> Traceback (most recent call last):>    File "/tmp/csound-qnB5RS.ext", line 19, in <module>>      from csd.pysco import PythonScore> ImportError: No module named csd.pysco> csound> -b1024> -B2048> -+rtaudio=pa_bl> -iadc> -odac> --env:CSNOSTOP=yes> /tmp/csound-tmpXMTJ2500.csd> Csound compile failed!  -1
>>
>>
>> --
>>
>> sound      |      movement       |       object      |      space
>> sonic architecture     |      site: http://www.sonicarchitecture.de
>> spatial electronic composition    |    higher order ambisonic music
>>
>>
>>
>> ------------------------------------------------------------
>> ------------------
>> Check out the vibrant tech community on one of the world's most
>> engaging tech sites, SlashDot.org! http://sdm.link/slashdot
>> _______________________________________________
>> Qutecsound-users mailing list
>> [hidden email]
>> https://lists.sourceforge.net/lists/listinfo/qutecsound-users
>>
>>
>
>
>
> ------------------------------------------------------------------------------
> Check out the vibrant tech community on one of the world's most
> engaging tech sites, SlashDot.org! http://sdm.link/slashdot
>
>
>
> _______________________________________________
> Qutecsound-users mailing list
> [hidden email]
> https://lists.sourceforge.net/lists/listinfo/qutecsound-users
>
------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, SlashDot.org! http://sdm.link/slashdot
_______________________________________________
Qutecsound-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/qutecsound-users
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: [Qutecsound-users] How to get Csoundqt running on Ubuntu

Jan Jacob Hofmann
In reply to this post by Tarmo Johannes

Dear Tarmo, dear Joachim,


thank you both for your help - still I did not succeed. I could uninstall CsoundQt easily using the Ubuntu Software-Center for that. Joachim's link then led me to:

csoundqt_0.9.2.2-2_amd64.deb

...which seems even a more updated version of CsoundQt. I downloaded it, placed it onto my desktop and it opened with the Ubuntu Software-Center. However a message in Ubuntu Software-Center said:

"Abhängigkeit nicht erfüllbar: libcsnd-6-6.0v5"

(Translation: "Dependency not fulfilled: libcsnd-6-6.0v5")

So I could not install it that way...

However, on the page where I downloaded it, it is suggested to use aptitude for the download and installation.
Maybe that would help? Which apt-get command would I have to type into terminal then? Or wouldn't it either solve the problem of the missing dependency as libcsnd-6-6.0v5 is missing? Or is it (this version of Csoundqt)  not matching to my Csound 6.08? Maybe building Csoundqt from the sources it the only solution?

All the best,

Jan Jacob









Am 02.10.2016 um 09:27 schrieb Tarmo Johannes:

Hi,

CsoundQt 0.8.2 is pretty old and build against some older Csound version, so there might be API conflict.

Felipe Sateler has prepared CsoundQt deb package, v0.9.2.1 I think and posted about ot in the qutecsound mailing list, let me know if you cannot dind the post.

Hope it helps you further.

Tarmo


02.10.2016 10:11 kirjutas kuupäeval "Jan Jacob Hofmann" <[hidden email]>:

Dear Tarmo,


I am very sorry that I overlooked your answer more than one week ago. Finally I found it. Here is some further specification of mine:

- I am on 64 bit architecture and the 64 bit version of ubuntu 14.04 is running fine on it.

- I built Version 6.08 of Csound as a 64 bit amd-cpu-version about three weeks ago.

- "csd.pysco" is completely unknown to me - nothing that I did.

- Csoundqt is on version 0.8.2 - ....I see - that is an older one which came with the installation via "Ubuntu Software-Center". Maybe I should have built it from the sources instead too?

Now some more info about the error messages in Terminal: Right away, if I start Csoundqt in Terminal (typing csoundqt and hitting "return" at my "home" location) the following lines on terminal appear:

janjacobhofmann@janjacobhofmann-ThinkPad-T430:~$ csoundqt
csoundqt: Symbol `CS_VAR_TYPE_K' has different size in shared object, consider re-linking
csoundqt: Symbol `CS_VAR_TYPE_S' has different size in shared object, consider re-linking
virtual_keyboard real time MIDI plugin for Csound
ACHTUNG: STK opcodes not available: define environment variable RAWWAVE_PATH
(points to rawwaves directory) to use STK opcodes.
0dBFS level = 32768,0
Csound version 6.08 (double samples) Sep 18 2016
libsndfile-1.0.25
Object::connect: No such slot WidgetPanel::dockStateChanged(bool)
void DBusMenuExporterPrivate::addAction(QAction*, int): Already tracking action "Cabbage Text einfügen/aktualisieren" under id 8
Warning: Could not find FLOSS Manual Examples.
Warning: Could not find McCurdy Collection.
Warning: Could not find Stria Synth files.
Object::connect: No such signal FileBEditor::textChanged()
Object::connect:  (sender name:   'FileBEditor')
Object::connect: No such slot DocumentView::openParameterSelection()
CsoundEngine::messageListDispatcher()
Object::connect: No such signal FileBEditor::textChanged()
Object::connect:  (sender name:   'FileBEditor')
Object::connect: No such slot DocumentView::openParameterSelection()
Object::connect: No such slot DocumentPage::evaluate(QString)
WidgetLayout::loadXmlWidgets Older Widget Format version
Could not parse application stylesheet
^CCsound tidy up: Unterbrechung

If I then run the "Hello World" testfile, Csound starts printing error-messages rapidly and endlessly. I stopped the process after a few minutes and I do paste just a short excerpt of it here:


ALSA lib pcm.c:7846:(snd_pcm_recover) cannot recovery from underrun, prepare failed: Die Dateizugriffsnummer ist in schlechter Verfassung
Expression 'alsa_snd_pcm_prepare( stream->playback.pcm )' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 2928
Expression 'AlsaStart( stream, 0 )' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 3246
Expression 'AlsaRestart( self )' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 3313
Expression 'PaAlsaStream_HandleXrun( self )' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 3924
ALSA lib pcm.c:7843:(snd_pcm_recover) underrun occurred
ALSA lib pcm.c:7846:(snd_pcm_recover) cannot recovery from underrun, prepare failed: Die Dateizugriffsnummer ist in schlechter Verfassung
Expression 'alsa_snd_pcm_prepare( stream->playback.pcm )' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 2928
Expression 'AlsaStart( stream, 0 )' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 3246
Expression 'AlsaRestart( self )' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 3313
Expression 'PaAlsaStream_HandleXrun( self )' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 3924
ALSA lib pcm.c:7843:(snd_pcm_recover) underrun occurred
ALSA lib pcm.c:7846:(snd_pcm_recover) cannot recovery from underrun, prepare failed: Die Dateizugriffsnummer ist in schlechter Verfassung
Expression 'alsa_snd_pcm_prepare( stream->playback.pcm )' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 2928
Expression 'AlsaStart( stream, 0 )' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 3246
Expression 'AlsaRestart( self )' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 3313
Expression 'PaAlsaStream_HandleXrun( self )' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 3924
ALSA lib pcm.c:7843:(snd_pcm_recover) underrun occurred
ALSA lib pcm.c:7846:(snd_pcm_recover) cannot recovery from underrun, prepare failed: Die Dateizugriffsnummer ist in schlechter Verfassung
Expression 'alsa_snd_pcm_prepare( stream->playback.pcm )' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 2928
Expression 'AlsaStart( stream, 0 )' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 3246
Expression 'AlsaRestart( self )' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 3313
Expression 'PaAlsaStream_HandleXrun( self )' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 3924
ALSA lib pcm.c:7843:(snd_pcm_recover) underrun occurred
ALSA lib pcm.c:7846:(snd_pcm_recover) cannot recovery from underrun, prepare failed: Die Dateizugriffsnummer ist in schlechter Verfassung
Expression 'alsa_snd_pcm_prepare( stream->playback.pcm )' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 2928
Expression 'AlsaStart( stream, 0 )' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 3246
Expression 'AlsaRestart( self )' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 3313
Expression 'PaAlsaStream_HandleXrun( self )' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 3924
ALSA lib pcm.c:7843:(snd_pcm_recover) underrun occurred
ALSA lib pcm.c:7846:(snd_pcm_recover) cannot recovery from underrun, prepare failed: Die Dateizugriffsnummer ist in schlechter Verfassung

O.k., Tarmo so far the report. Thanks for your answer, I do promise to look more carefully for your reply this time :-)

All the best,

Jan Jacob


Am 23.09.2016 um 23:12 schrieb [hidden email]:
Message: 5 Date: Fri, 23 Sep 2016 23:48:16 +0300 From: Tarmo Johannes [hidden email] Subject: Re: [Qutecsound-users] How to get Csoundqt running on Ubuntu 14.04? To: [hidden email] Message-ID: <1570401.GlC6U9hpPx@tarmo-desktop> Content-Type: text/plain; charset="iso-8859-1" Dear Jan, It is hard to guess, but
> Symbol `CS_VAR_TYPE_K' has different size in shared object, 
>consider re-linking
tells that there is a verion or 32bit/64bit architecture mismatch or your 
CsoundQt does not want to work with the newly build Csound.

What is your CsoundQt version? Is your Ubuntu 32 or 64-bit?

Can you guess, what is csd.pysco?
>      from csd.pysco import PythonScore
> ImportError: No module named csd.pysco
Is it your own module and where is it saved?

Does the output of Examples->Getting started-> Hello world look OK?
What happens if you run it in terminal? 

Please give somewhat more info and maybe we can help you further.

Best!
tarmo


On Friday 23 September 2016 21:49:51 Jan Jacob Hofmann wrote:
> Dear List,
> 
> recently I built the latest version of Csound from the sources. I can
> now again play pieces using blue.
> 
> Then I did install Csoundqt using the Ubuntu-Software-Center, which also
> worked fine. I can start Csound qt from the terminal.
> After setting the usual preferences, I tried to run several
> example-pieces from Csoundqt. However there is no sound, just several
> messages on terminal, which do look completely complicated to me.
> Has anybody some idea, what could be wrong and what I should change?
> (See output of terminal below)
> 
> All the best,
> 
> Jan Jacob
> 
> 
> 
> janjacobhofmann@janjacobhofmann-ThinkPad-T430:~$ csoundqt
> csoundqt: Symbol `CS_VAR_TYPE_K' has different size in shared object,
> consider re-linking
> csoundqt: Symbol `CS_VAR_TYPE_S' has different size in shared object,
> consider re-linking
> virtual_keyboard real time MIDI plugin for Csound
> ACHTUNG: STK opcodes not available: define environment variable RAWWAVE_PATH
> (points to rawwaves directory) to use STK opcodes.
> 0dBFS level = 32768,0
> Csound version 6.08 (double samples) Sep 18 2016
> libsndfile-1.0.25
> Object::connect: No such slot WidgetPanel::dockStateChanged(bool)
> void DBusMenuExporterPrivate::addAction(QAction*, int): Already tracking
> action "Cabbage Text einf?gen/aktualisieren" under id 8
> Warning: Could not find FLOSS Manual Examples.
> Warning: Could not find McCurdy Collection.
> Warning: Could not find Stria Synth files.
> Object::connect: No such signal FileBEditor::textChanged()
> Object::connect:  (sender name:   'FileBEditor')
> Object::connect: No such slot DocumentView::openParameterSelection()
> CsoundEngine::messageListDispatcher()
> Object::connect: No such signal FileBEditor::textChanged()
> Object::connect:  (sender name:   'FileBEditor')
> Object::connect: No such slot DocumentView::openParameterSelection()
> Object::connect: No such slot DocumentPage::evaluate(QString)
> WidgetLayout::loadXmlWidgets Older Widget Format version
> Could not parse application stylesheet
> virtual_keyboard real time MIDI plugin for Csound
> 0dBFS level = 32768,0
> Csound version 6.08 (double samples) Sep 18 2016
> libsndfile-1.0.25
> Traceback (most recent call last):
>    File "/tmp/csound-qnB5RS.ext", line 19, in <module>
>      from csd.pysco import PythonScore
> ImportError: No module named csd.pysco
> csound
> -b1024
> -B2048
> -+rtaudio=pa_bl
> -iadc
> -odac
> --env:CSNOSTOP=yes
> /tmp/csound-tmpXMTJ2500.csd
> Csound compile failed!  -1
-- 

sound      |      movement       |       object      |      space
sonic architecture     |      site: http://www.sonicarchitecture.de
spatial electronic composition    |    higher order ambisonic music

------------------------------------------------------------------------------ Check out the vibrant tech community on one of the world's most engaging tech sites, SlashDot.org! http://sdm.link/slashdot _______________________________________________ Qutecsound-users mailing list [hidden email] https://lists.sourceforge.net/lists/listinfo/qutecsound-users
------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most 
engaging tech sites, SlashDot.org! http://sdm.link/slashdot
_______________________________________________
Qutecsound-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/qutecsound-users
-- 

sound      |      movement       |       object      |      space
sonic architecture     |      site: http://www.sonicarchitecture.de
spatial electronic composition    |    higher order ambisonic music


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, SlashDot.org! http://sdm.link/slashdot
_______________________________________________
Qutecsound-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/qutecsound-users
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: [Qutecsound-users] How to get Csoundqt running on Ubuntu

joachim-3
hmm — certainly felipe knows best what to do here.

i have two ideas / questions:

1. do you have any version of libcsnd6 in you /usr/local/lib?  i have:
/usr/local/lib/libcsnd6.so
/usr/local/lib/libcsnd6.so.6.0
perhaps you can execute in a terminal
   locate libcsnd6
and post the output here.

2. what happens if you open a terminal in the directory where your
csoundqt_0.9.2.2-2_amd64.deb is (probably in ~/Downloads), and execute
    dpkg -i ./csoundqt_0.9.2.2-2_amd64.deb
do you get the same error message?

cheers -
        joachim


On 02/10/16 21:30, Jan Jacob Hofmann wrote:

> Dear Tarmo, dear Joachim,
>
>
> thank you both for your help - still I did not succeed. I could
> uninstall CsoundQt easily using the Ubuntu Software-Center for that.
> Joachim's link then led me to:
>
> csoundqt_0.9.2.2-2_amd64.deb
>
> ...which seems even a more updated version of CsoundQt. I downloaded it,
> placed it onto my desktop and it opened with the Ubuntu Software-Center.
> However a message in Ubuntu Software-Center said:
>
> "Abhängigkeit nicht erfüllbar: libcsnd-6-6.0v5"
>
> (Translation: "Dependency not fulfilled: libcsnd-6-6.0v5")
>
> So I could not install it that way...
>
> However, on the page where I downloaded it, it is suggested to use
> aptitude for the download and installation.
> Maybe that would help? Which apt-get command would I have to type into
> terminal then? Or wouldn't it either solve the problem of the missing
> dependency as libcsnd-6-6.0v5 is missing? Or is it (this version of
> Csoundqt)  not matching to my Csound 6.08? Maybe building Csoundqt from
> the sources it the only solution?
>
> All the best,
>
> Jan Jacob
>
>
>
>
>
>
>
>
>
> Am 02.10.2016 um 09:27 schrieb Tarmo Johannes:
>>
>> Hi,
>>
>> CsoundQt 0.8.2 is pretty old and build against some older Csound
>> version, so there might be API conflict.
>>
>> Felipe Sateler has prepared CsoundQt deb package, v0.9.2.1 I think and
>> posted about ot in the qutecsound mailing list, let me know if you
>> cannot dind the post.
>>
>> Hope it helps you further.
>>
>> Tarmo
>>
>>
>> 02.10.2016 10:11 kirjutas kuupäeval "Jan Jacob Hofmann"
>> <[hidden email] <mailto:[hidden email]>>:
>>
>>     Dear Tarmo,
>>
>>
>>     I am very sorry that I overlooked your answer more than one week
>>     ago. Finally I found it. Here is some further specification of mine:
>>
>>     - I am on 64 bit architecture and the 64 bit version of ubuntu
>>     14.04 is running fine on it.
>>
>>     - I built Version 6.08 of Csound as a 64 bit amd-cpu-version about
>>     three weeks ago.
>>
>>     - "csd.pysco" is completely unknown to me - nothing that I did.
>>
>>     - Csoundqt is on version 0.8.2 - ....I see - that is an older one
>>     which came with the installation via "Ubuntu Software-Center".
>>     Maybe I should have built it from the sources instead too?
>>
>>     Now some more info about the error messages in Terminal: Right
>>     away, if I start Csoundqt in Terminal (typing csoundqt and hitting
>>     "return" at my "home" location) the following lines on terminal
>>     appear:
>>
>>     janjacobhofmann@janjacobhofmann-ThinkPad-T430:~$ csoundqt
>>     csoundqt: Symbol `CS_VAR_TYPE_K' has different size in shared
>>     object, consider re-linking
>>     csoundqt: Symbol `CS_VAR_TYPE_S' has different size in shared
>>     object, consider re-linking
>>     virtual_keyboard real time MIDI plugin for Csound
>>     ACHTUNG: STK opcodes not available: define environment variable
>>     RAWWAVE_PATH
>>     (points to rawwaves directory) to use STK opcodes.
>>     0dBFS level = 32768,0
>>     Csound version 6.08 (double samples) Sep 18 2016
>>     libsndfile-1.0.25
>>     Object::connect: No such slot WidgetPanel::dockStateChanged(bool)
>>     void DBusMenuExporterPrivate::addAction(QAction*, int): Already
>>     tracking action "Cabbage Text einfügen/aktualisieren" under id 8
>>     Warning: Could not find FLOSS Manual Examples.
>>     Warning: Could not find McCurdy Collection.
>>     Warning: Could not find Stria Synth files.
>>     Object::connect: No such signal FileBEditor::textChanged()
>>     Object::connect:  (sender name:   'FileBEditor')
>>     Object::connect: No such slot DocumentView::openParameterSelection()
>>     CsoundEngine::messageListDispatcher()
>>     Object::connect: No such signal FileBEditor::textChanged()
>>     Object::connect:  (sender name:   'FileBEditor')
>>     Object::connect: No such slot DocumentView::openParameterSelection()
>>     Object::connect: No such slot DocumentPage::evaluate(QString)
>>     WidgetLayout::loadXmlWidgets Older Widget Format version
>>     Could not parse application stylesheet
>>     ^CCsound tidy up: Unterbrechung
>>
>>     If I then run the "Hello World" testfile, Csound starts printing
>>     error-messages rapidly and endlessly. I stopped the process after
>>     a few minutes and I do paste just a short excerpt of it here:
>>
>>
>>     ALSA lib pcm.c:7846:(snd_pcm_recover) cannot recovery from
>>     underrun, prepare failed: Die Dateizugriffsnummer ist in
>>     schlechter Verfassung
>>     Expression 'alsa_snd_pcm_prepare( stream->playback.pcm )' failed
>>     in 'src/hostapi/alsa/pa_linux_alsa.c', line: 2928
>>     Expression 'AlsaStart( stream, 0 )' failed in
>>     'src/hostapi/alsa/pa_linux_alsa.c', line: 3246
>>     Expression 'AlsaRestart( self )' failed in
>>     'src/hostapi/alsa/pa_linux_alsa.c', line: 3313
>>     Expression 'PaAlsaStream_HandleXrun( self )' failed in
>>     'src/hostapi/alsa/pa_linux_alsa.c', line: 3924
>>     ALSA lib pcm.c:7843:(snd_pcm_recover) underrun occurred
>>     ALSA lib pcm.c:7846:(snd_pcm_recover) cannot recovery from
>>     underrun, prepare failed: Die Dateizugriffsnummer ist in
>>     schlechter Verfassung
>>     Expression 'alsa_snd_pcm_prepare( stream->playback.pcm )' failed
>>     in 'src/hostapi/alsa/pa_linux_alsa.c', line: 2928
>>     Expression 'AlsaStart( stream, 0 )' failed in
>>     'src/hostapi/alsa/pa_linux_alsa.c', line: 3246
>>     Expression 'AlsaRestart( self )' failed in
>>     'src/hostapi/alsa/pa_linux_alsa.c', line: 3313
>>     Expression 'PaAlsaStream_HandleXrun( self )' failed in
>>     'src/hostapi/alsa/pa_linux_alsa.c', line: 3924
>>     ALSA lib pcm.c:7843:(snd_pcm_recover) underrun occurred
>>     ALSA lib pcm.c:7846:(snd_pcm_recover) cannot recovery from
>>     underrun, prepare failed: Die Dateizugriffsnummer ist in
>>     schlechter Verfassung
>>     Expression 'alsa_snd_pcm_prepare( stream->playback.pcm )' failed
>>     in 'src/hostapi/alsa/pa_linux_alsa.c', line: 2928
>>     Expression 'AlsaStart( stream, 0 )' failed in
>>     'src/hostapi/alsa/pa_linux_alsa.c', line: 3246
>>     Expression 'AlsaRestart( self )' failed in
>>     'src/hostapi/alsa/pa_linux_alsa.c', line: 3313
>>     Expression 'PaAlsaStream_HandleXrun( self )' failed in
>>     'src/hostapi/alsa/pa_linux_alsa.c', line: 3924
>>     ALSA lib pcm.c:7843:(snd_pcm_recover) underrun occurred
>>     ALSA lib pcm.c:7846:(snd_pcm_recover) cannot recovery from
>>     underrun, prepare failed: Die Dateizugriffsnummer ist in
>>     schlechter Verfassung
>>     Expression 'alsa_snd_pcm_prepare( stream->playback.pcm )' failed
>>     in 'src/hostapi/alsa/pa_linux_alsa.c', line: 2928
>>     Expression 'AlsaStart( stream, 0 )' failed in
>>     'src/hostapi/alsa/pa_linux_alsa.c', line: 3246
>>     Expression 'AlsaRestart( self )' failed in
>>     'src/hostapi/alsa/pa_linux_alsa.c', line: 3313
>>     Expression 'PaAlsaStream_HandleXrun( self )' failed in
>>     'src/hostapi/alsa/pa_linux_alsa.c', line: 3924
>>     ALSA lib pcm.c:7843:(snd_pcm_recover) underrun occurred
>>     ALSA lib pcm.c:7846:(snd_pcm_recover) cannot recovery from
>>     underrun, prepare failed: Die Dateizugriffsnummer ist in
>>     schlechter Verfassung
>>     Expression 'alsa_snd_pcm_prepare( stream->playback.pcm )' failed
>>     in 'src/hostapi/alsa/pa_linux_alsa.c', line: 2928
>>     Expression 'AlsaStart( stream, 0 )' failed in
>>     'src/hostapi/alsa/pa_linux_alsa.c', line: 3246
>>     Expression 'AlsaRestart( self )' failed in
>>     'src/hostapi/alsa/pa_linux_alsa.c', line: 3313
>>     Expression 'PaAlsaStream_HandleXrun( self )' failed in
>>     'src/hostapi/alsa/pa_linux_alsa.c', line: 3924
>>     ALSA lib pcm.c:7843:(snd_pcm_recover) underrun occurred
>>     ALSA lib pcm.c:7846:(snd_pcm_recover) cannot recovery from
>>     underrun, prepare failed: Die Dateizugriffsnummer ist in
>>     schlechter Verfassung
>>
>>     O.k., Tarmo so far the report. Thanks for your answer, I do
>>     promise to look more carefully for your reply this time :-)
>>
>>     All the best,
>>
>>     Jan Jacob
>>
>>
>>     Am 23.09.2016 um 23:12 schrieb
>>     [hidden email]
>>     <mailto:[hidden email]>:
>>>     Message: 5 Date: Fri, 23 Sep 2016 23:48:16 +0300 From: Tarmo
>>>     Johannes <[hidden email]>
>>>     <mailto:[hidden email]> Subject: Re:
>>>     [Qutecsound-users] How to get Csoundqt running on Ubuntu 14.04?
>>>     To: [hidden email]
>>>     <mailto:[hidden email]> Message-ID:
>>>     <1570401.GlC6U9hpPx@tarmo-desktop> Content-Type: text/plain;
>>>     charset="iso-8859-1" Dear Jan, It is hard to guess, but
>>>>     >Symbol `CS_VAR_TYPE_K' has different size in shared object,
>>>>     >consider re-linking
>>>     tells that there is a verion or 32bit/64bit architecture mismatch
>>> or your
>>>     CsoundQt does not want to work with the newly build Csound.
>>>
>>>     What is your CsoundQt version? Is your Ubuntu 32 or 64-bit?
>>>
>>>     Can you guess, what is csd.pysco?
>>>>     >      from csd.pysco import PythonScore
>>>>     >ImportError: No module named csd.pysco
>>>     Is it your own module and where is it saved?
>>>
>>>     Does the output of Examples->Getting started-> Hello world look OK?
>>>     What happens if you run it in terminal?
>>>
>>>     Please give somewhat more info and maybe we can help you further.
>>>
>>>     Best!
>>>     tarmo
>>>
>>>
>>>     On Friday 23 September 2016 21:49:51 Jan Jacob Hofmann wrote:
>>>>     >Dear List,
>>>>     >
>>>>     >recently I built the latest version of Csound from the sources.
>>>> I can
>>>>     >now again play pieces using blue.
>>>>     >
>>>>     >Then I did install Csoundqt using the Ubuntu-Software-Center,
>>>> which also
>>>>     >worked fine. I can start Csound qt from the terminal.
>>>>     >After setting the usual preferences, I tried to run several
>>>>     >example-pieces from Csoundqt. However there is no sound, just
>>>> several
>>>>     >messages on terminal, which do look completely complicated to me.
>>>>     >Has anybody some idea, what could be wrong and what I should
>>>> change?
>>>>     >(See output of terminal below)
>>>>     >
>>>>     >All the best,
>>>>     >
>>>>     >Jan Jacob
>>>>     >
>>>>     >
>>>>     >
>>>>     >janjacobhofmann@janjacobhofmann-ThinkPad-T430:~$ csoundqt
>>>>     >csoundqt: Symbol `CS_VAR_TYPE_K' has different size in shared
>>>> object,
>>>>     >consider re-linking
>>>>     >csoundqt: Symbol `CS_VAR_TYPE_S' has different size in shared
>>>> object,
>>>>     >consider re-linking
>>>>     >virtual_keyboard real time MIDI plugin for Csound
>>>>     >ACHTUNG: STK opcodes not available: define environment variable
>>>> RAWWAVE_PATH
>>>>     >(points to rawwaves directory) to use STK opcodes.
>>>>     >0dBFS level = 32768,0
>>>>     >Csound version 6.08 (double samples) Sep 18 2016
>>>>     >libsndfile-1.0.25
>>>>     >Object::connect: No such slot WidgetPanel::dockStateChanged(bool)
>>>>     >void DBusMenuExporterPrivate::addAction(QAction*, int): Already
>>>> tracking
>>>>     >action "Cabbage Text einf?gen/aktualisieren" under id 8
>>>>     >Warning: Could not find FLOSS Manual Examples.
>>>>     >Warning: Could not find McCurdy Collection.
>>>>     >Warning: Could not find Stria Synth files.
>>>>     >Object::connect: No such signal FileBEditor::textChanged()
>>>>     >Object::connect:  (sender name:   'FileBEditor')
>>>>     >Object::connect: No such slot
>>>> DocumentView::openParameterSelection()
>>>>     >CsoundEngine::messageListDispatcher()
>>>>     >Object::connect: No such signal FileBEditor::textChanged()
>>>>     >Object::connect:  (sender name:   'FileBEditor')
>>>>     >Object::connect: No such slot
>>>> DocumentView::openParameterSelection()
>>>>     >Object::connect: No such slot DocumentPage::evaluate(QString)
>>>>     >WidgetLayout::loadXmlWidgets Older Widget Format version
>>>>     >Could not parse application stylesheet
>>>>     >virtual_keyboard real time MIDI plugin for Csound
>>>>     >0dBFS level = 32768,0
>>>>     >Csound version 6.08 (double samples) Sep 18 2016
>>>>     >libsndfile-1.0.25
>>>>     >Traceback (most recent call last):
>>>>     >    File "/tmp/csound-qnB5RS.ext", line 19, in <module>
>>>>     >      from csd.pysco import PythonScore
>>>>     >ImportError: No module named csd.pysco
>>>>     >csound
>>>>     >-b1024
>>>>     >-B2048
>>>>     >-+rtaudio=pa_bl
>>>>     >-iadc
>>>>     >-odac
>>>>     >--env:CSNOSTOP=yes
>>>>     >/tmp/csound-tmpXMTJ2500.csd
>>>>     >Csound compile failed!  -1
>>
>>     --
>>     sound      |      movement       |       object      |      space
>>     sonic architecture     |      site:http://www.sonicarchitecture.de
>> <http://www.sonicarchitecture.de>
>>     spatial electronic composition    |    higher order ambisonic music
>>
>>
>> ------------------------------------------------------------------------------
>>
>>     Check out the vibrant tech community on one of the world's most
>>     engaging tech sites, SlashDot.org! http://sdm.link/slashdot
>>     _______________________________________________ Qutecsound-users
>>     mailing list [hidden email]
>>     <mailto:[hidden email]>
>>     https://lists.sourceforge.net/lists/listinfo/qutecsound-users
>>     <https://lists.sourceforge.net/lists/listinfo/qutecsound-users>
>> ------------------------------------------------------------------------------
>>
>> Check out the vibrant tech community on one of the world's most
>> engaging tech sites, SlashDot.org! http://sdm.link/slashdot
>>
>> _______________________________________________
>> Qutecsound-users mailing list
>> [hidden email]
>> https://lists.sourceforge.net/lists/listinfo/qutecsound-users
>>
>>
>> ------------------------------------------------------------------------------
>> Check out the vibrant tech community on one of the world's most
>> engaging tech sites, SlashDot.org! http://sdm.link/slashdot
>>
>>
>> _______________________________________________
>> Qutecsound-users mailing list
>> [hidden email]
>> https://lists.sourceforge.net/lists/listinfo/qutecsound-users

------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, SlashDot.org! http://sdm.link/slashdot
_______________________________________________
Qutecsound-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/qutecsound-users
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: [Qutecsound-users] How to get Csoundqt running on Ubuntu

Tarmo Johannes
In reply to this post by Jan Jacob Hofmann
Hi,

Try building yourself -  it is always best solution since you will have no
software conflicts and you can always have the latest improvements from git.

Please have a look for instructions:

https://github.com/CsoundQt/CsoundQt/blob/master/BUILDING.md

https://github.com/CsoundQt/CsoundQt/wiki/Building-CsoundQt-for-Debian-with-QtCreator

It might take some struggleing at  to get all required Qt modules and their
develompment packages installed all coming times it goes easy.

Take care!
tarmo


On Sunday 02 October 2016 21:30:48 Jan Jacob Hofmann wrote:

> Dear Tarmo, dear Joachim,
>
>
> thank you both for your help - still I did not succeed. I could
> uninstall CsoundQt easily using the Ubuntu Software-Center for that.
> Joachim's link then led me to:
>
> csoundqt_0.9.2.2-2_amd64.deb
>
> ...which seems even a more updated version of CsoundQt. I downloaded it,
> placed it onto my desktop and it opened with the Ubuntu Software-Center.
> However a message in Ubuntu Software-Center said:
>
> "Abhängigkeit nicht erfüllbar: libcsnd-6-6.0v5"
>
> (Translation: "Dependency not fulfilled: libcsnd-6-6.0v5")
>
> So I could not install it that way...
>
> However, on the page where I downloaded it, it is suggested to use
> aptitude for the download and installation.
> Maybe that would help? Which apt-get command would I have to type into
> terminal then? Or wouldn't it either solve the problem of the missing
> dependency as libcsnd-6-6.0v5 is missing? Or is it (this version of
> Csoundqt)  not matching to my Csound 6.08? Maybe building Csoundqt from
> the sources it the only solution?
>
> All the best,
>
> Jan Jacob
>
> Am 02.10.2016 um 09:27 schrieb Tarmo Johannes:
> > Hi,
> >
> > CsoundQt 0.8.2 is pretty old and build against some older Csound
> > version, so there might be API conflict.
> >
> > Felipe Sateler has prepared CsoundQt deb package, v0.9.2.1 I think and
> > posted about ot in the qutecsound mailing list, let me know if you
> > cannot dind the post.
> >
> > Hope it helps you further.
> >
> > Tarmo
> >
> >
> > 02.10.2016 10:11 kirjutas kuupäeval "Jan Jacob Hofmann"
> >
> > <[hidden email] <mailto:[hidden email]>>:
> >     Dear Tarmo,
> >    
> >    
> >     I am very sorry that I overlooked your answer more than one week
> >     ago. Finally I found it. Here is some further specification of mine:
> >    
> >     - I am on 64 bit architecture and the 64 bit version of ubuntu
> >     14.04 is running fine on it.
> >    
> >     - I built Version 6.08 of Csound as a 64 bit amd-cpu-version about
> >     three weeks ago.
> >    
> >     - "csd.pysco" is completely unknown to me - nothing that I did.
> >    
> >     - Csoundqt is on version 0.8.2 - ....I see - that is an older one
> >     which came with the installation via "Ubuntu Software-Center".
> >     Maybe I should have built it from the sources instead too?
> >    
> >     Now some more info about the error messages in Terminal: Right
> >     away, if I start Csoundqt in Terminal (typing csoundqt and hitting
> >     "return" at my "home" location) the following lines on terminal
> >     appear:
> >    
> >     janjacobhofmann@janjacobhofmann-ThinkPad-T430:~$ csoundqt
> >     csoundqt: Symbol `CS_VAR_TYPE_K' has different size in shared
> >     object, consider re-linking
> >     csoundqt: Symbol `CS_VAR_TYPE_S' has different size in shared
> >     object, consider re-linking
> >     virtual_keyboard real time MIDI plugin for Csound
> >     ACHTUNG: STK opcodes not available: define environment variable
> >     RAWWAVE_PATH
> >     (points to rawwaves directory) to use STK opcodes.
> >     0dBFS level = 32768,0
> >     Csound version 6.08 (double samples) Sep 18 2016
> >     libsndfile-1.0.25
> >     Object::connect: No such slot WidgetPanel::dockStateChanged(bool)
> >     void DBusMenuExporterPrivate::addAction(QAction*, int): Already
> >     tracking action "Cabbage Text einfügen/aktualisieren" under id 8
> >     Warning: Could not find FLOSS Manual Examples.
> >     Warning: Could not find McCurdy Collection.
> >     Warning: Could not find Stria Synth files.
> >     Object::connect: No such signal FileBEditor::textChanged()
> >     Object::connect:  (sender name:   'FileBEditor')
> >     Object::connect: No such slot DocumentView::openParameterSelection()
> >     CsoundEngine::messageListDispatcher()
> >     Object::connect: No such signal FileBEditor::textChanged()
> >     Object::connect:  (sender name:   'FileBEditor')
> >     Object::connect: No such slot DocumentView::openParameterSelection()
> >     Object::connect: No such slot DocumentPage::evaluate(QString)
> >     WidgetLayout::loadXmlWidgets Older Widget Format version
> >     Could not parse application stylesheet
> >     ^CCsound tidy up: Unterbrechung
> >    
> >     If I then run the "Hello World" testfile, Csound starts printing
> >     error-messages rapidly and endlessly. I stopped the process after
> >     a few minutes and I do paste just a short excerpt of it here:
> >    
> >    
> >     ALSA lib pcm.c:7846:(snd_pcm_recover) cannot recovery from
> >     underrun, prepare failed: Die Dateizugriffsnummer ist in
> >     schlechter Verfassung
> >     Expression 'alsa_snd_pcm_prepare( stream->playback.pcm )' failed
> >     in 'src/hostapi/alsa/pa_linux_alsa.c', line: 2928
> >     Expression 'AlsaStart( stream, 0 )' failed in
> >     'src/hostapi/alsa/pa_linux_alsa.c', line: 3246
> >     Expression 'AlsaRestart( self )' failed in
> >     'src/hostapi/alsa/pa_linux_alsa.c', line: 3313
> >     Expression 'PaAlsaStream_HandleXrun( self )' failed in
> >     'src/hostapi/alsa/pa_linux_alsa.c', line: 3924
> >     ALSA lib pcm.c:7843:(snd_pcm_recover) underrun occurred
> >     ALSA lib pcm.c:7846:(snd_pcm_recover) cannot recovery from
> >     underrun, prepare failed: Die Dateizugriffsnummer ist in
> >     schlechter Verfassung
> >     Expression 'alsa_snd_pcm_prepare( stream->playback.pcm )' failed
> >     in 'src/hostapi/alsa/pa_linux_alsa.c', line: 2928
> >     Expression 'AlsaStart( stream, 0 )' failed in
> >     'src/hostapi/alsa/pa_linux_alsa.c', line: 3246
> >     Expression 'AlsaRestart( self )' failed in
> >     'src/hostapi/alsa/pa_linux_alsa.c', line: 3313
> >     Expression 'PaAlsaStream_HandleXrun( self )' failed in
> >     'src/hostapi/alsa/pa_linux_alsa.c', line: 3924
> >     ALSA lib pcm.c:7843:(snd_pcm_recover) underrun occurred
> >     ALSA lib pcm.c:7846:(snd_pcm_recover) cannot recovery from
> >     underrun, prepare failed: Die Dateizugriffsnummer ist in
> >     schlechter Verfassung
> >     Expression 'alsa_snd_pcm_prepare( stream->playback.pcm )' failed
> >     in 'src/hostapi/alsa/pa_linux_alsa.c', line: 2928
> >     Expression 'AlsaStart( stream, 0 )' failed in
> >     'src/hostapi/alsa/pa_linux_alsa.c', line: 3246
> >     Expression 'AlsaRestart( self )' failed in
> >     'src/hostapi/alsa/pa_linux_alsa.c', line: 3313
> >     Expression 'PaAlsaStream_HandleXrun( self )' failed in
> >     'src/hostapi/alsa/pa_linux_alsa.c', line: 3924
> >     ALSA lib pcm.c:7843:(snd_pcm_recover) underrun occurred
> >     ALSA lib pcm.c:7846:(snd_pcm_recover) cannot recovery from
> >     underrun, prepare failed: Die Dateizugriffsnummer ist in
> >     schlechter Verfassung
> >     Expression 'alsa_snd_pcm_prepare( stream->playback.pcm )' failed
> >     in 'src/hostapi/alsa/pa_linux_alsa.c', line: 2928
> >     Expression 'AlsaStart( stream, 0 )' failed in
> >     'src/hostapi/alsa/pa_linux_alsa.c', line: 3246
> >     Expression 'AlsaRestart( self )' failed in
> >     'src/hostapi/alsa/pa_linux_alsa.c', line: 3313
> >     Expression 'PaAlsaStream_HandleXrun( self )' failed in
> >     'src/hostapi/alsa/pa_linux_alsa.c', line: 3924
> >     ALSA lib pcm.c:7843:(snd_pcm_recover) underrun occurred
> >     ALSA lib pcm.c:7846:(snd_pcm_recover) cannot recovery from
> >     underrun, prepare failed: Die Dateizugriffsnummer ist in
> >     schlechter Verfassung
> >     Expression 'alsa_snd_pcm_prepare( stream->playback.pcm )' failed
> >     in 'src/hostapi/alsa/pa_linux_alsa.c', line: 2928
> >     Expression 'AlsaStart( stream, 0 )' failed in
> >     'src/hostapi/alsa/pa_linux_alsa.c', line: 3246
> >     Expression 'AlsaRestart( self )' failed in
> >     'src/hostapi/alsa/pa_linux_alsa.c', line: 3313
> >     Expression 'PaAlsaStream_HandleXrun( self )' failed in
> >     'src/hostapi/alsa/pa_linux_alsa.c', line: 3924
> >     ALSA lib pcm.c:7843:(snd_pcm_recover) underrun occurred
> >     ALSA lib pcm.c:7846:(snd_pcm_recover) cannot recovery from
> >     underrun, prepare failed: Die Dateizugriffsnummer ist in
> >     schlechter Verfassung
> >    
> >     O.k., Tarmo so far the report. Thanks for your answer, I do
> >     promise to look more carefully for your reply this time :-)
> >    
> >     All the best,
> >    
> >     Jan Jacob
> >    
> >    
> >     Am 23.09.2016 um 23:12 schrieb
> >     [hidden email]
> >    
> >     <mailto:[hidden email]>:
> >>     Message: 5 Date: Fri, 23 Sep 2016 23:48:16 +0300 From: Tarmo
> >>     Johannes <[hidden email]>
> >>     <mailto:[hidden email]> Subject: Re:
> >>     [Qutecsound-users] How to get Csoundqt running on Ubuntu 14.04?
> >>     To: [hidden email]
> >>     <mailto:[hidden email]> Message-ID:
> >>     <1570401.GlC6U9hpPx@tarmo-desktop> Content-Type: text/plain;
> >>     charset="iso-8859-1" Dear Jan, It is hard to guess, but
> >>    
> >>>     >Symbol `CS_VAR_TYPE_K' has different size in shared object,
> >>>     >consider re-linking
> >>    
> >>     tells that there is a verion or 32bit/64bit architecture mismatch or
> >>     your
> >>     CsoundQt does not want to work with the newly build Csound.
> >>    
> >>     What is your CsoundQt version? Is your Ubuntu 32 or 64-bit?
> >>    
> >>     Can you guess, what is csd.pysco?
> >>    
> >>>     >      from csd.pysco import PythonScore
> >>>     >
> >>>     >ImportError: No module named csd.pysco
> >>    
> >>     Is it your own module and where is it saved?
> >>    
> >>     Does the output of Examples->Getting started-> Hello world look OK?
> >>     What happens if you run it in terminal?
> >>    
> >>     Please give somewhat more info and maybe we can help you further.
> >>    
> >>     Best!
> >>     tarmo
> >>    
> >>     On Friday 23 September 2016 21:49:51 Jan Jacob Hofmann wrote:
> >>>     >Dear List,
> >>>     >
> >>>     >recently I built the latest version of Csound from the sources. I
> >>>     >can
> >>>     >now again play pieces using blue.
> >>>     >
> >>>     >Then I did install Csoundqt using the Ubuntu-Software-Center, which
> >>>     >also
> >>>     >worked fine. I can start Csound qt from the terminal.
> >>>     >After setting the usual preferences, I tried to run several
> >>>     >example-pieces from Csoundqt. However there is no sound, just
> >>>     >several
> >>>     >messages on terminal, which do look completely complicated to me.
> >>>     >Has anybody some idea, what could be wrong and what I should
> >>>     >change?
> >>>     >(See output of terminal below)
> >>>     >
> >>>     >All the best,
> >>>     >
> >>>     >Jan Jacob
> >>>     >
> >>>     >
> >>>     >
> >>>     >janjacobhofmann@janjacobhofmann-ThinkPad-T430:~$ csoundqt
> >>>     >csoundqt: Symbol `CS_VAR_TYPE_K' has different size in shared
> >>>     >object,
> >>>     >consider re-linking
> >>>     >csoundqt: Symbol `CS_VAR_TYPE_S' has different size in shared
> >>>     >object,
> >>>     >consider re-linking
> >>>     >virtual_keyboard real time MIDI plugin for Csound
> >>>     >ACHTUNG: STK opcodes not available: define environment variable
> >>>     >RAWWAVE_PATH (points to rawwaves directory) to use STK opcodes.
> >>>     >0dBFS level = 32768,0
> >>>     >Csound version 6.08 (double samples) Sep 18 2016
> >>>     >libsndfile-1.0.25
> >>>     >Object::connect: No such slot WidgetPanel::dockStateChanged(bool)
> >>>     >void DBusMenuExporterPrivate::addAction(QAction*, int): Already
> >>>     >tracking
> >>>     >action "Cabbage Text einf?gen/aktualisieren" under id 8
> >>>     >Warning: Could not find FLOSS Manual Examples.
> >>>     >Warning: Could not find McCurdy Collection.
> >>>     >Warning: Could not find Stria Synth files.
> >>>     >Object::connect: No such signal FileBEditor::textChanged()
> >>>     >Object::connect:  (sender name:   'FileBEditor')
> >>>     >Object::connect: No such slot
> >>>     >DocumentView::openParameterSelection()
> >>>     >CsoundEngine::messageListDispatcher()
> >>>     >Object::connect: No such signal FileBEditor::textChanged()
> >>>     >Object::connect:  (sender name:   'FileBEditor')
> >>>     >Object::connect: No such slot
> >>>     >DocumentView::openParameterSelection()
> >>>     >Object::connect: No such slot DocumentPage::evaluate(QString)
> >>>     >WidgetLayout::loadXmlWidgets Older Widget Format version
> >>>     >Could not parse application stylesheet
> >>>     >virtual_keyboard real time MIDI plugin for Csound
> >>>     >0dBFS level = 32768,0
> >>>     >Csound version 6.08 (double samples) Sep 18 2016
> >>>     >libsndfile-1.0.25
> >>>     >
> >>>     >Traceback (most recent call last):
> >>>     >    File "/tmp/csound-qnB5RS.ext", line 19, in <module>
> >>>     >    
> >>>     >      from csd.pysco import PythonScore
> >>>     >
> >>>     >ImportError: No module named csd.pysco
> >>>     >csound
> >>>     >-b1024
> >>>     >-B2048
> >>>     >-+rtaudio=pa_bl
> >>>     >-iadc
> >>>     >-odac
> >>>     >--env:CSNOSTOP=yes
> >>>     >/tmp/csound-tmpXMTJ2500.csd
> >>>     >Csound compile failed!  -1
> >    
> >     sound      |      movement       |       object      |      space
> >     sonic architecture     |      site:http://www.sonicarchitecture.de
> >     <http://www.sonicarchitecture.de> spatial electronic composition    |
> >        higher order ambisonic music
> >    
> >     ----------------------------------------------------------------------
> >     -------- Check out the vibrant tech community on one of the world's
> >     most
> >     engaging tech sites, SlashDot.org! http://sdm.link/slashdot
> >     _______________________________________________ Qutecsound-users
> >     mailing list [hidden email]
> >     <mailto:[hidden email]>
> >     https://lists.sourceforge.net/lists/listinfo/qutecsound-users
> >     <https://lists.sourceforge.net/lists/listinfo/qutecsound-users>
> >
> > --------------------------------------------------------------------------
> > ---- Check out the vibrant tech community on one of the world's most
> > engaging tech sites, SlashDot.org! http://sdm.link/slashdot
> >
> > _______________________________________________
> > Qutecsound-users mailing list
> > [hidden email]
> > https://lists.sourceforge.net/lists/listinfo/qutecsound-users


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, SlashDot.org! http://sdm.link/slashdot
_______________________________________________
Qutecsound-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/qutecsound-users
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: [Qutecsound-users] How to get Csoundqt running on Ubuntu

Jan Jacob Hofmann
In reply to this post by joachim-3
Dear Joachim, dear Tarmo,


thanks a lot. Before I do build CsoundQt from the sources, I thought I'd
give Joachims tests a try.

Here is the result:

1. In my usr/local/lib there is:

libcsnd6.so.6.0

libcsnd64.so.6.0

libcsndAC.so.6.0

lib_jcsnd6.so

...and three aliases with similar names pointing somewhere else:

libcsnd6.so

libcsnd64.so

libcsndAC.so


With the command " locate libcsnd6" I do however get no output, terminal
is just expecting the next command.

2. After that I changed directory to my desktop and put the command
"dpkg -i ./csoundqt_0.9.2.2-2_amd64.deb" into terminal. Here is the result:

janjacobhofmann@janjacobhofmann-ThinkPad-T430:~/Schreibtisch$ sudo dpkg
-i ./csoundqt_0.9.2.2-2_amd64.deb
[sudo] password for janjacobhofmann:
Vormals nicht ausgewähltes Paket csoundqt wird gewählt.
(Lese Datenbank ... 253625 Dateien und Verzeichnisse sind derzeit
installiert.)
Vorbereitung zum Entpacken von ./csoundqt_0.9.2.2-2_amd64.deb ...
Entpacken von csoundqt (0.9.2.2-2) ...
dpkg: Abhängigkeitsprobleme verhindern Konfiguration von csoundqt:
  csoundqt hängt ab von libcsnd6-6.0v5; aber:
   Paket libcsnd6-6.0v5 ist nicht installiert.
  csoundqt hängt ab von libcsound64-6.0 (>= 1:6.03.0~dfsg); aber:
   Paket libcsound64-6.0 ist nicht installiert.
  csoundqt hängt ab von libqt5concurrent5 (>= 5.0.2); aber:
   Paket libqt5concurrent5 ist nicht installiert.
  csoundqt hängt ab von libqt5core5a (>= 5.6.0~beta); aber:
   Version von libqt5core5a:amd64 auf dem System ist 5.2.1+dfsg-1ubuntu14.3.
  csoundqt hängt ab von libqt5quickwidgets5 (>= 5.3.0); aber:
   Paket libqt5quickwidgets5 ist nicht installiert.
  csoundqt hängt ab von libqt5widgets5 (>= 5.6.0~beta); aber:
   Version von libqt5widgets5:amd64 auf dem System ist
5.2.1+dfsg-1ubuntu14.3.
  csoundqt hängt ab von libstdc++6 (>= 5); aber:
   Version von libstdc++6:amd64 auf dem System ist 4.8.4-2ubuntu1~14.04.3.

dpkg: Fehler beim Bearbeiten des Paketes csoundqt (--install):
  Abhängigkeitsprobleme - verbleibt unkonfiguriert
Trigger für gnome-menus (3.10.1-0ubuntu2) werden verarbeitet ...
Trigger für desktop-file-utils (0.22-1ubuntu1) werden verarbeitet ...
Trigger für bamfdaemon (0.5.1+14.04.20140409-0ubuntu1) werden
verarbeitet ...
Rebuilding /usr/share/applications/bamf-2.index...
Trigger für mime-support (3.54ubuntu1.1) werden verarbeitet ...
Trigger für hicolor-icon-theme (0.13-1) werden verarbeitet ...
Trigger für man-db (2.6.7.1-1ubuntu1) werden verarbeitet ...
Trigger für shared-mime-info (1.2-0ubuntu3) werden verarbeitet ...
Fehler traten auf beim Bearbeiten von:
  csoundqt


So that is the result of the tests. Is it easy to fix or should I build
from the sources now....?


All the best,


Jan Jacob



Am 02.10.2016 um 22:04 schrieb joachim heintz:

> hmm — certainly felipe knows best what to do here.
>
> i have two ideas / questions:
>
> 1. do you have any version of libcsnd6 in you /usr/local/lib?  i have:
> /usr/local/lib/libcsnd6.so
> /usr/local/lib/libcsnd6.so.6.0
> perhaps you can execute in a terminal
>     locate libcsnd6
> and post the output here.
>
> 2. what happens if you open a terminal in the directory where your
> csoundqt_0.9.2.2-2_amd64.deb is (probably in ~/Downloads), and execute
>      dpkg -i ./csoundqt_0.9.2.2-2_amd64.deb
> do you get the same error message?
>
> cheers -
> joachim
>
>
> On 02/10/16 21:30, Jan Jacob Hofmann wrote:
>> Dear Tarmo, dear Joachim,
>>
>>
>> thank you both for your help - still I did not succeed. I could
>> uninstall CsoundQt easily using the Ubuntu Software-Center for that.
>> Joachim's link then led me to:
>>
>> csoundqt_0.9.2.2-2_amd64.deb
>>
>> ...which seems even a more updated version of CsoundQt. I downloaded it,
>> placed it onto my desktop and it opened with the Ubuntu Software-Center.
>> However a message in Ubuntu Software-Center said:
>>
>> "Abhängigkeit nicht erfüllbar: libcsnd-6-6.0v5"
>>
>> (Translation: "Dependency not fulfilled: libcsnd-6-6.0v5")
>>
>> So I could not install it that way...
>>
>> However, on the page where I downloaded it, it is suggested to use
>> aptitude for the download and installation.
>> Maybe that would help? Which apt-get command would I have to type into
>> terminal then? Or wouldn't it either solve the problem of the missing
>> dependency as libcsnd-6-6.0v5 is missing? Or is it (this version of
>> Csoundqt)  not matching to my Csound 6.08? Maybe building Csoundqt from
>> the sources it the only solution?
>>
>> All the best,
>>
>> Jan Jacob
>>
>>
>>
>>
>>
>>
>>
>>
>>
>> Am 02.10.2016 um 09:27 schrieb Tarmo Johannes:
>>> Hi,
>>>
>>> CsoundQt 0.8.2 is pretty old and build against some older Csound
>>> version, so there might be API conflict.
>>>
>>> Felipe Sateler has prepared CsoundQt deb package, v0.9.2.1 I think and
>>> posted about ot in the qutecsound mailing list, let me know if you
>>> cannot dind the post.
>>>
>>> Hope it helps you further.
>>>
>>> Tarmo
>>>
>>>
>>> 02.10.2016 10:11 kirjutas kuupäeval "Jan Jacob Hofmann"
>>> <[hidden email] <mailto:[hidden email]>>:
>>>
>>>      Dear Tarmo,
>>>
>>>
>>>      I am very sorry that I overlooked your answer more than one week
>>>      ago. Finally I found it. Here is some further specification of mine:
>>>
>>>      - I am on 64 bit architecture and the 64 bit version of ubuntu
>>>      14.04 is running fine on it.
>>>
>>>      - I built Version 6.08 of Csound as a 64 bit amd-cpu-version about
>>>      three weeks ago.
>>>
>>>      - "csd.pysco" is completely unknown to me - nothing that I did.
>>>
>>>      - Csoundqt is on version 0.8.2 - ....I see - that is an older one
>>>      which came with the installation via "Ubuntu Software-Center".
>>>      Maybe I should have built it from the sources instead too?
>>>
>>>      Now some more info about the error messages in Terminal: Right
>>>      away, if I start Csoundqt in Terminal (typing csoundqt and hitting
>>>      "return" at my "home" location) the following lines on terminal
>>>      appear:
>>>
>>>      janjacobhofmann@janjacobhofmann-ThinkPad-T430:~$ csoundqt
>>>      csoundqt: Symbol `CS_VAR_TYPE_K' has different size in shared
>>>      object, consider re-linking
>>>      csoundqt: Symbol `CS_VAR_TYPE_S' has different size in shared
>>>      object, consider re-linking
>>>      virtual_keyboard real time MIDI plugin for Csound
>>>      ACHTUNG: STK opcodes not available: define environment variable
>>>      RAWWAVE_PATH
>>>      (points to rawwaves directory) to use STK opcodes.
>>>      0dBFS level = 32768,0
>>>      Csound version 6.08 (double samples) Sep 18 2016
>>>      libsndfile-1.0.25
>>>      Object::connect: No such slot WidgetPanel::dockStateChanged(bool)
>>>      void DBusMenuExporterPrivate::addAction(QAction*, int): Already
>>>      tracking action "Cabbage Text einfügen/aktualisieren" under id 8
>>>      Warning: Could not find FLOSS Manual Examples.
>>>      Warning: Could not find McCurdy Collection.
>>>      Warning: Could not find Stria Synth files.
>>>      Object::connect: No such signal FileBEditor::textChanged()
>>>      Object::connect:  (sender name:   'FileBEditor')
>>>      Object::connect: No such slot DocumentView::openParameterSelection()
>>>      CsoundEngine::messageListDispatcher()
>>>      Object::connect: No such signal FileBEditor::textChanged()
>>>      Object::connect:  (sender name:   'FileBEditor')
>>>      Object::connect: No such slot DocumentView::openParameterSelection()
>>>      Object::connect: No such slot DocumentPage::evaluate(QString)
>>>      WidgetLayout::loadXmlWidgets Older Widget Format version
>>>      Could not parse application stylesheet
>>>      ^CCsound tidy up: Unterbrechung
>>>
>>>      If I then run the "Hello World" testfile, Csound starts printing
>>>      error-messages rapidly and endlessly. I stopped the process after
>>>      a few minutes and I do paste just a short excerpt of it here:
>>>
>>>
>>>      ALSA lib pcm.c:7846:(snd_pcm_recover) cannot recovery from
>>>      underrun, prepare failed: Die Dateizugriffsnummer ist in
>>>      schlechter Verfassung
>>>      Expression 'alsa_snd_pcm_prepare( stream->playback.pcm )' failed
>>>      in 'src/hostapi/alsa/pa_linux_alsa.c', line: 2928
>>>      Expression 'AlsaStart( stream, 0 )' failed in
>>>      'src/hostapi/alsa/pa_linux_alsa.c', line: 3246
>>>      Expression 'AlsaRestart( self )' failed in
>>>      'src/hostapi/alsa/pa_linux_alsa.c', line: 3313
>>>      Expression 'PaAlsaStream_HandleXrun( self )' failed in
>>>      'src/hostapi/alsa/pa_linux_alsa.c', line: 3924
>>>      ALSA lib pcm.c:7843:(snd_pcm_recover) underrun occurred
>>>      ALSA lib pcm.c:7846:(snd_pcm_recover) cannot recovery from
>>>      underrun, prepare failed: Die Dateizugriffsnummer ist in
>>>      schlechter Verfassung
>>>      Expression 'alsa_snd_pcm_prepare( stream->playback.pcm )' failed
>>>      in 'src/hostapi/alsa/pa_linux_alsa.c', line: 2928
>>>      Expression 'AlsaStart( stream, 0 )' failed in
>>>      'src/hostapi/alsa/pa_linux_alsa.c', line: 3246
>>>      Expression 'AlsaRestart( self )' failed in
>>>      'src/hostapi/alsa/pa_linux_alsa.c', line: 3313
>>>      Expression 'PaAlsaStream_HandleXrun( self )' failed in
>>>      'src/hostapi/alsa/pa_linux_alsa.c', line: 3924
>>>      ALSA lib pcm.c:7843:(snd_pcm_recover) underrun occurred
>>>      ALSA lib pcm.c:7846:(snd_pcm_recover) cannot recovery from
>>>      underrun, prepare failed: Die Dateizugriffsnummer ist in
>>>      schlechter Verfassung
>>>      Expression 'alsa_snd_pcm_prepare( stream->playback.pcm )' failed
>>>      in 'src/hostapi/alsa/pa_linux_alsa.c', line: 2928
>>>      Expression 'AlsaStart( stream, 0 )' failed in
>>>      'src/hostapi/alsa/pa_linux_alsa.c', line: 3246
>>>      Expression 'AlsaRestart( self )' failed in
>>>      'src/hostapi/alsa/pa_linux_alsa.c', line: 3313
>>>      Expression 'PaAlsaStream_HandleXrun( self )' failed in
>>>      'src/hostapi/alsa/pa_linux_alsa.c', line: 3924
>>>      ALSA lib pcm.c:7843:(snd_pcm_recover) underrun occurred
>>>      ALSA lib pcm.c:7846:(snd_pcm_recover) cannot recovery from
>>>      underrun, prepare failed: Die Dateizugriffsnummer ist in
>>>      schlechter Verfassung
>>>      Expression 'alsa_snd_pcm_prepare( stream->playback.pcm )' failed
>>>      in 'src/hostapi/alsa/pa_linux_alsa.c', line: 2928
>>>      Expression 'AlsaStart( stream, 0 )' failed in
>>>      'src/hostapi/alsa/pa_linux_alsa.c', line: 3246
>>>      Expression 'AlsaRestart( self )' failed in
>>>      'src/hostapi/alsa/pa_linux_alsa.c', line: 3313
>>>      Expression 'PaAlsaStream_HandleXrun( self )' failed in
>>>      'src/hostapi/alsa/pa_linux_alsa.c', line: 3924
>>>      ALSA lib pcm.c:7843:(snd_pcm_recover) underrun occurred
>>>      ALSA lib pcm.c:7846:(snd_pcm_recover) cannot recovery from
>>>      underrun, prepare failed: Die Dateizugriffsnummer ist in
>>>      schlechter Verfassung
>>>      Expression 'alsa_snd_pcm_prepare( stream->playback.pcm )' failed
>>>      in 'src/hostapi/alsa/pa_linux_alsa.c', line: 2928
>>>      Expression 'AlsaStart( stream, 0 )' failed in
>>>      'src/hostapi/alsa/pa_linux_alsa.c', line: 3246
>>>      Expression 'AlsaRestart( self )' failed in
>>>      'src/hostapi/alsa/pa_linux_alsa.c', line: 3313
>>>      Expression 'PaAlsaStream_HandleXrun( self )' failed in
>>>      'src/hostapi/alsa/pa_linux_alsa.c', line: 3924
>>>      ALSA lib pcm.c:7843:(snd_pcm_recover) underrun occurred
>>>      ALSA lib pcm.c:7846:(snd_pcm_recover) cannot recovery from
>>>      underrun, prepare failed: Die Dateizugriffsnummer ist in
>>>      schlechter Verfassung
>>>
>>>      O.k., Tarmo so far the report. Thanks for your answer, I do
>>>      promise to look more carefully for your reply this time :-)
>>>
>>>      All the best,
>>>
>>>      Jan Jacob
>>>
>>>
>>>      Am 23.09.2016 um 23:12 schrieb
>>>      [hidden email]
>>>      <mailto:[hidden email]>:
>>>>      Message: 5 Date: Fri, 23 Sep 2016 23:48:16 +0300 From: Tarmo
>>>>      Johannes <[hidden email]>
>>>>      <mailto:[hidden email]> Subject: Re:
>>>>      [Qutecsound-users] How to get Csoundqt running on Ubuntu 14.04?
>>>>      To: [hidden email]
>>>>      <mailto:[hidden email]> Message-ID:
>>>>      <1570401.GlC6U9hpPx@tarmo-desktop> Content-Type: text/plain;
>>>>      charset="iso-8859-1" Dear Jan, It is hard to guess, but
>>>>>      >Symbol `CS_VAR_TYPE_K' has different size in shared object,
>>>>>      >consider re-linking
>>>>      tells that there is a verion or 32bit/64bit architecture mismatch
>>>> or your
>>>>      CsoundQt does not want to work with the newly build Csound.
>>>>
>>>>      What is your CsoundQt version? Is your Ubuntu 32 or 64-bit?
>>>>
>>>>      Can you guess, what is csd.pysco?
>>>>>      >      from csd.pysco import PythonScore
>>>>>      >ImportError: No module named csd.pysco
>>>>      Is it your own module and where is it saved?
>>>>
>>>>      Does the output of Examples->Getting started-> Hello world look OK?
>>>>      What happens if you run it in terminal?
>>>>
>>>>      Please give somewhat more info and maybe we can help you further.
>>>>
>>>>      Best!
>>>>      tarmo
>>>>
>>>>
>>>>      On Friday 23 September 2016 21:49:51 Jan Jacob Hofmann wrote:
>>>>>      >Dear List,
>>>>>      >
>>>>>      >recently I built the latest version of Csound from the sources.
>>>>> I can
>>>>>      >now again play pieces using blue.
>>>>>      >
>>>>>      >Then I did install Csoundqt using the Ubuntu-Software-Center,
>>>>> which also
>>>>>      >worked fine. I can start Csound qt from the terminal.
>>>>>      >After setting the usual preferences, I tried to run several
>>>>>      >example-pieces from Csoundqt. However there is no sound, just
>>>>> several
>>>>>      >messages on terminal, which do look completely complicated to me.
>>>>>      >Has anybody some idea, what could be wrong and what I should
>>>>> change?
>>>>>      >(See output of terminal below)
>>>>>      >
>>>>>      >All the best,
>>>>>      >
>>>>>      >Jan Jacob
>>>>>      >
>>>>>      >
>>>>>      >
>>>>>      >janjacobhofmann@janjacobhofmann-ThinkPad-T430:~$ csoundqt
>>>>>      >csoundqt: Symbol `CS_VAR_TYPE_K' has different size in shared
>>>>> object,
>>>>>      >consider re-linking
>>>>>      >csoundqt: Symbol `CS_VAR_TYPE_S' has different size in shared
>>>>> object,
>>>>>      >consider re-linking
>>>>>      >virtual_keyboard real time MIDI plugin for Csound
>>>>>      >ACHTUNG: STK opcodes not available: define environment variable
>>>>> RAWWAVE_PATH
>>>>>      >(points to rawwaves directory) to use STK opcodes.
>>>>>      >0dBFS level = 32768,0
>>>>>      >Csound version 6.08 (double samples) Sep 18 2016
>>>>>      >libsndfile-1.0.25
>>>>>      >Object::connect: No such slot WidgetPanel::dockStateChanged(bool)
>>>>>      >void DBusMenuExporterPrivate::addAction(QAction*, int): Already
>>>>> tracking
>>>>>      >action "Cabbage Text einf?gen/aktualisieren" under id 8
>>>>>      >Warning: Could not find FLOSS Manual Examples.
>>>>>      >Warning: Could not find McCurdy Collection.
>>>>>      >Warning: Could not find Stria Synth files.
>>>>>      >Object::connect: No such signal FileBEditor::textChanged()
>>>>>      >Object::connect:  (sender name:   'FileBEditor')
>>>>>      >Object::connect: No such slot
>>>>> DocumentView::openParameterSelection()
>>>>>      >CsoundEngine::messageListDispatcher()
>>>>>      >Object::connect: No such signal FileBEditor::textChanged()
>>>>>      >Object::connect:  (sender name:   'FileBEditor')
>>>>>      >Object::connect: No such slot
>>>>> DocumentView::openParameterSelection()
>>>>>      >Object::connect: No such slot DocumentPage::evaluate(QString)
>>>>>      >WidgetLayout::loadXmlWidgets Older Widget Format version
>>>>>      >Could not parse application stylesheet
>>>>>      >virtual_keyboard real time MIDI plugin for Csound
>>>>>      >0dBFS level = 32768,0
>>>>>      >Csound version 6.08 (double samples) Sep 18 2016
>>>>>      >libsndfile-1.0.25
>>>>>      >Traceback (most recent call last):
>>>>>      >    File "/tmp/csound-qnB5RS.ext", line 19, in <module>
>>>>>      >      from csd.pysco import PythonScore
>>>>>      >ImportError: No module named csd.pysco
>>>>>      >csound
>>>>>      >-b1024
>>>>>      >-B2048
>>>>>      >-+rtaudio=pa_bl
>>>>>      >-iadc
>>>>>      >-odac
>>>>>      >--env:CSNOSTOP=yes
>>>>>      >/tmp/csound-tmpXMTJ2500.csd
>>>>>      >Csound compile failed!  -1
>>>      --
>>>      sound      |      movement       |       object      |      space
>>>      sonic architecture     |      site:http://www.sonicarchitecture.de
>>> <http://www.sonicarchitecture.de>
>>>      spatial electronic composition    |    higher order ambisonic music
>>>
>>>
>>> ------------------------------------------------------------------------------
>>>
>>>      Check out the vibrant tech community on one of the world's most
>>>      engaging tech sites, SlashDot.org! http://sdm.link/slashdot
>>>      _______________________________________________ Qutecsound-users
>>>      mailing list [hidden email]
>>>      <mailto:[hidden email]>
>>>      https://lists.sourceforge.net/lists/listinfo/qutecsound-users
>>>      <https://lists.sourceforge.net/lists/listinfo/qutecsound-users>
>>> ------------------------------------------------------------------------------
>>>
>>> Check out the vibrant tech community on one of the world's most
>>> engaging tech sites, SlashDot.org! http://sdm.link/slashdot
>>>
>>> _______________________________________________
>>> Qutecsound-users mailing list
>>> [hidden email]
>>> https://lists.sourceforge.net/lists/listinfo/qutecsound-users
>>>
>>>
>>> ------------------------------------------------------------------------------
>>> Check out the vibrant tech community on one of the world's most
>>> engaging tech sites, SlashDot.org! http://sdm.link/slashdot
>>>
>>>
>>> _______________________________________________
>>> Qutecsound-users mailing list
>>> [hidden email]
>>> https://lists.sourceforge.net/lists/listinfo/qutecsound-users
> ------------------------------------------------------------------------------
> Check out the vibrant tech community on one of the world's most
> engaging tech sites, SlashDot.org! http://sdm.link/slashdot
> _______________________________________________
> Qutecsound-users mailing list
> [hidden email]
> https://lists.sourceforge.net/lists/listinfo/qutecsound-users

--

sound      |      movement       |       object      |      space
sonic architecture     |      site: http://www.sonicarchitecture.de
spatial electronic composition    |    higher order ambisonic music


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, SlashDot.org! http://sdm.link/slashdot
_______________________________________________
Qutecsound-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/qutecsound-users
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: [Qutecsound-users] How to get Csoundqt running on Ubuntu

joachim-3
dear jan jacob -

as these messages point to several packages which are not as much
up-to-date as this version of csoundqt requires, i'd follow tarmo that
it might be best to build csoundqt yourself.

i'd recommend to build *with* rtmidi but *without* pythonqt. (you can do
this later if you want.)

let us know any problems; but perhaps you will not experience any ... =)

        joachim


On 03/10/16 09:12, Jan Jacob Hofmann wrote:
>    Paket libcsnd6-6.0v5 ist nicht installiert.
>   csoundqt hängt ab von libcsound64-6.0 (>= 1:6.03.0~dfsg); aber:
>    Paket libcsound64-6.0 ist nicht installiert.
>   csoundqt hängt ab von libqt5concurrent5 (>= 5.0.2); aber:
>    Paket libqt5concurrent5 ist nicht installiert.
>   csoundqt hängt ab von libqt5core5a (>= 5.6.0~beta); aber:
>    Version von libqt5core5a:amd64 auf dem System ist 5.2.1+dfsg-1ubuntu14.3.
>   csoundqt hängt ab von libqt5quickwidgets5 (>= 5.3.0); aber:
>    Paket libqt5quickwidgets5 ist nicht installiert.

------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, SlashDot.org! http://sdm.link/slashdot
_______________________________________________
Qutecsound-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/qutecsound-users
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: [Qutecsound-users] How to get Csoundqt running on Ubuntu

Jan Jacob Hofmann
Dear Joachim, dear Tarmo,

I gave building qt a try today...

Having downloaded the qt installer from:

http://qt-mirror.dannhauer.de/archive/qt/5.7/5.7.0/qt-opensource-linux-x64-5.7.0.run

it asks me, with wich programme I would like to open the file. I have no
idea....
Do you know, what has to be done in this case?


All the best,

Jan Jacob



Am 03.10.2016 um 20:15 schrieb joachim heintz:

> dear jan jacob -
>
> as these messages point to several packages which are not as much
> up-to-date as this version of csoundqt requires, i'd follow tarmo that
> it might be best to build csoundqt yourself.
>
> i'd recommend to build *with* rtmidi but *without* pythonqt. (you can do
> this later if you want.)
>
> let us know any problems; but perhaps you will not experience any ... =)
>
> joachim
>
>
> On 03/10/16 09:12, Jan Jacob Hofmann wrote:
>>     Paket libcsnd6-6.0v5 ist nicht installiert.
>>    csoundqt hängt ab von libcsound64-6.0 (>= 1:6.03.0~dfsg); aber:
>>     Paket libcsound64-6.0 ist nicht installiert.
>>    csoundqt hängt ab von libqt5concurrent5 (>= 5.0.2); aber:
>>     Paket libqt5concurrent5 ist nicht installiert.
>>    csoundqt hängt ab von libqt5core5a (>= 5.6.0~beta); aber:
>>     Version von libqt5core5a:amd64 auf dem System ist 5.2.1+dfsg-1ubuntu14.3.
>>    csoundqt hängt ab von libqt5quickwidgets5 (>= 5.3.0); aber:
>>     Paket libqt5quickwidgets5 ist nicht installiert.
> ------------------------------------------------------------------------------
> Check out the vibrant tech community on one of the world's most
> engaging tech sites, SlashDot.org! http://sdm.link/slashdot
> _______________________________________________
> Qutecsound-users mailing list
> [hidden email]
> https://lists.sourceforge.net/lists/listinfo/qutecsound-users

--

sound      |      movement       |       object      |      space
sonic architecture     |      site: http://www.sonicarchitecture.de
spatial electronic composition    |    higher order ambisonic music


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, SlashDot.org! http://sdm.link/slashdot
_______________________________________________
Qutecsound-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/qutecsound-users
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: [Qutecsound-users] How to get Csoundqt running on Ubuntu

Tarmo Johannes

Hi,

 

this is an executable file normaly it should be enough if you just click or double click on it.

 

But it should work for sure if you open terminal, drag the file there and press enter. If it complains that the file does not have executable permission, you can set in in File manager (Properties of the file) or enter in terminal

 

$ bash qt-opensource-linux-x64-5.7.0.run

 

But I guess you probably have qt installed already in your system. I would suggest to use rather that to avoid possible conflicts. You might need to install qt development packages and QtCreator though to build yourself.

 

I think it should be easily done if you use the package manager (synaptics?) of your system.

 

Please have a look at the wiki pages and let know if there are things that should be added there.

 

https://github.com/CsoundQt/CsoundQt/wiki

 

Of course, it is impossible to write down everything, how things work on Linux but keep trying! Even if the first time is frustrating, it will be easy later!

 

tarmo

 

On Friday, October 07, 2016 09:37:07 PM Jan Jacob Hofmann wrote:

> Dear Joachim, dear Tarmo,

>

> I gave building qt a try today...

>

> Having downloaded the qt installer from:

>

> http://qt-mirror.dannhauer.de/archive/qt/5.7/5.7.0/qt-opensource-linux-x64-5

> .7.0.run

>

> it asks me, with wich programme I would like to open the file. I have no

> idea....

> Do you know, what has to be done in this case?

>

>

> All the best,

>

> Jan Jacob

>

> Am 03.10.2016 um 20:15 schrieb joachim heintz:

> > dear jan jacob -

> >

> > as these messages point to several packages which are not as much

> > up-to-date as this version of csoundqt requires, i'd follow tarmo that

> > it might be best to build csoundqt yourself.

> >

> > i'd recommend to build *with* rtmidi but *without* pythonqt. (you can do

> > this later if you want.)

> >

> > let us know any problems; but perhaps you will not experience any ... =)

> >

> > joachim

> >

> > On 03/10/16 09:12, Jan Jacob Hofmann wrote:

> >> Paket libcsnd6-6.0v5 ist nicht installiert.

> >>

> >> csoundqt hängt ab von libcsound64-6.0 (>= 1:6.03.0~dfsg); aber:

> >> Paket libcsound64-6.0 ist nicht installiert.

> >>

> >> csoundqt hängt ab von libqt5concurrent5 (>= 5.0.2); aber:

> >> Paket libqt5concurrent5 ist nicht installiert.

> >>

> >> csoundqt hängt ab von libqt5core5a (>= 5.6.0~beta); aber:

> >> Version von libqt5core5a:amd64 auf dem System ist

> >> 5.2.1+dfsg-1ubuntu14.3.

> >>

> >> csoundqt hängt ab von libqt5quickwidgets5 (>= 5.3.0); aber:

> >> Paket libqt5quickwidgets5 ist nicht installiert.

> >

> > --------------------------------------------------------------------------

> > ---- Check out the vibrant tech community on one of the world's most

> > engaging tech sites, SlashDot.org! http://sdm.link/slashdot

> > _______________________________________________

> > Qutecsound-users mailing list

> > [hidden email]

> > https://lists.sourceforge.net/lists/listinfo/qutecsound-users

 


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, SlashDot.org! http://sdm.link/slashdot
_______________________________________________
Qutecsound-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/qutecsound-users
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: [Qutecsound-users] How to get Csoundqt running on Ubuntu

joachim-3
hi tarmo, jan jacob -

i'd rather recommend to run this qt installer, instead of trying to
upgrade the existing packages via synaptic or similar.  i remember bad
success, and i think that the qt installer takes care for the possible
conflicts between different versions.  i at least had never any problems.

ciao -
        joachim



On 07/10/16 22:19, Tarmo Johannes wrote:

> Hi,
>
> this is an executable file normaly it should be enough if you just click or double click
> on it.
>
> But it should work for sure if you open terminal, drag the file there and press enter.
> If it complains that the file does not have executable permission, you can set in in
> File manager (Properties of the file) or enter in terminal
>
> $ bash qt-opensource-linux-x64-5.7.0.run
>
> But I guess you probably have qt installed already in your system. I would suggest
> to use rather that  to avoid possible conflicts.  You might need to install qt
> development packages and QtCreator though to build yourself.
>
> I think it should be easily done if you use the package manager (synaptics?) of your
> system.
>
> Please have a look at the wiki pages and let know if there are things that should be
> added there.
>
> https://github.com/CsoundQt/CsoundQt/wiki
>
> Of course, it is impossible to write down everything, how things work on Linux but
> keep trying! Even if the first time is frustrating, it will be easy later!
>
> tarmo
>
> On Friday, October 07, 2016 09:37:07 PM Jan Jacob Hofmann wrote:
>> Dear Joachim, dear Tarmo,
>>
>> I gave building qt a try today...
>>
>> Having downloaded the qt installer from:
>>
>> http://qt-mirror.dannhauer.de/archive/qt/5.7/5.7.0/qt-opensource-linux-x64-5
>> .7.0.run
>>
>> it asks me, with wich programme I would like to open the file. I have no
>> idea....
>> Do you know, what has to be done in this case?
>>
>>
>> All the best,
>>
>> Jan Jacob
>>
>> Am 03.10.2016 um 20:15 schrieb joachim heintz:
>>> dear jan jacob -
>>>
>>> as these messages point to several packages which are not as much
>>> up-to-date as this version of csoundqt requires, i'd follow tarmo that
>>> it might be best to build csoundqt yourself.
>>>
>>> i'd recommend to build *with* rtmidi but *without* pythonqt. (you can do
>>> this later if you want.)
>>>
>>> let us know any problems; but perhaps you will not experience any ... =)
>>>
>>> joachim
>>>
>>> On 03/10/16 09:12, Jan Jacob Hofmann wrote:
>>>>     Paket libcsnd6-6.0v5 ist nicht installiert.
>>>>
>>>>    csoundqt hängt ab von libcsound64-6.0 (>= 1:6.03.0~dfsg); aber:
>>>>     Paket libcsound64-6.0 ist nicht installiert.
>>>>
>>>>    csoundqt hängt ab von libqt5concurrent5 (>= 5.0.2); aber:
>>>>     Paket libqt5concurrent5 ist nicht installiert.
>>>>
>>>>    csoundqt hängt ab von libqt5core5a (>= 5.6.0~beta); aber:
>>>>     Version von libqt5core5a:amd64 auf dem System ist
>>>>     5.2.1+dfsg-1ubuntu14.3.
>>>>
>>>>    csoundqt hängt ab von libqt5quickwidgets5 (>= 5.3.0); aber:
>>>>     Paket libqt5quickwidgets5 ist nicht installiert.
>>>
>>> --------------------------------------------------------------------------
>>> ---- Check out the vibrant tech community on one of the world's most
>>> engaging tech sites, SlashDot.org! http://sdm.link/slashdot
>>> _______________________________________________
>>> Qutecsound-users mailing list
>>> [hidden email]
>>> https://lists.sourceforge.net/lists/listinfo/qutecsound-users
>
>
>
>
> ------------------------------------------------------------------------------
> Check out the vibrant tech community on one of the world's most
> engaging tech sites, SlashDot.org! http://sdm.link/slashdot
>
>
>
> _______________________________________________
> Qutecsound-users mailing list
> [hidden email]
> https://lists.sourceforge.net/lists/listinfo/qutecsound-users
>

------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, SlashDot.org! http://sdm.link/slashdot
_______________________________________________
Qutecsound-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/qutecsound-users
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: [Qutecsound-users] How to get Csoundqt running on Ubuntu

Jan Jacob Hofmann
In reply to this post by Tarmo Johannes

Dear Tarmo, dear Joachim,

yes, thanks a lot, it had been the executable permission. When I changed that in the File manager, I could start the qt-creator installer right away. I did not know where to install it, so I installed it onto my desktop.

 After that, I inserted the link from git and the download of the Qtcsound sources started. I placed it into my home-directory - I hope that that place was all right. After that, I was even able to disable "Shadow Build" and to choose "release" in the general settings.

But after that I did not know how to move on. I found nothing like the Build-Menu or the "Build Project" command as suggested in the wiki (https://github.com/CsoundQt/CsoundQt/wiki). Maybe it is just that I have a german version of the qt-creator.

So now I have two questions: Which are the right directories to install the qt-creator and qtcsound to? And: where can I find the "build project" command or the "Build"-menue?

Thanks for a hint,

Jan Jacob


Am 07.10.2016 um 22:19 schrieb Tarmo Johannes:

Hi,

 

this is an executable file normaly it should be enough if you just click or double click on it.

 

But it should work for sure if you open terminal, drag the file there and press enter. If it complains that the file does not have executable permission, you can set in in File manager (Properties of the file) or enter in terminal

 

$ bash qt-opensource-linux-x64-5.7.0.run

 

But I guess you probably have qt installed already in your system. I would suggest to use rather that to avoid possible conflicts. You might need to install qt development packages and QtCreator though to build yourself.

 

I think it should be easily done if you use the package manager (synaptics?) of your system.

 

Please have a look at the wiki pages and let know if there are things that should be added there.

 

https://github.com/CsoundQt/CsoundQt/wiki

 

Of course, it is impossible to write down everything, how things work on Linux but keep trying! Even if the first time is frustrating, it will be easy later!

 

tarmo

 

On Friday, October 07, 2016 09:37:07 PM Jan Jacob Hofmann wrote:

> Dear Joachim, dear Tarmo,

>

> I gave building qt a try today...

>

> Having downloaded the qt installer from:

>

> http://qt-mirror.dannhauer.de/archive/qt/5.7/5.7.0/qt-opensource-linux-x64-5

> .7.0.run

>

> it asks me, with wich programme I would like to open the file. I have no

> idea....

> Do you know, what has to be done in this case?

>

>

> All the best,

>

> Jan Jacob

>

> Am 03.10.2016 um 20:15 schrieb joachim heintz:

> > dear jan jacob -

> >

> > as these messages point to several packages which are not as much

> > up-to-date as this version of csoundqt requires, i'd follow tarmo that

> > it might be best to build csoundqt yourself.

> >

> > i'd recommend to build *with* rtmidi but *without* pythonqt. (you can do

> > this later if you want.)

> >

> > let us know any problems; but perhaps you will not experience any ... =)

> >

> > joachim

> >

> > On 03/10/16 09:12, Jan Jacob Hofmann wrote:

> >> Paket libcsnd6-6.0v5 ist nicht installiert.

> >>

> >> csoundqt hängt ab von libcsound64-6.0 (>= 1:6.03.0~dfsg); aber:

> >> Paket libcsound64-6.0 ist nicht installiert.

> >>

> >> csoundqt hängt ab von libqt5concurrent5 (>= 5.0.2); aber:

> >> Paket libqt5concurrent5 ist nicht installiert.

> >>

> >> csoundqt hängt ab von libqt5core5a (>= 5.6.0~beta); aber:

> >> Version von libqt5core5a:amd64 auf dem System ist

> >> 5.2.1+dfsg-1ubuntu14.3.

> >>

> >> csoundqt hängt ab von libqt5quickwidgets5 (>= 5.3.0); aber:

> >> Paket libqt5quickwidgets5 ist nicht installiert.

> >

> > --------------------------------------------------------------------------

> > ---- Check out the vibrant tech community on one of the world's most

> > engaging tech sites, SlashDot.org! http://sdm.link/slashdot

> > _______________________________________________

> > Qutecsound-users mailing list

> > [hidden email]

> > https://lists.sourceforge.net/lists/listinfo/qutecsound-users

 



------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most 
engaging tech sites, SlashDot.org! http://sdm.link/slashdot


_______________________________________________
Qutecsound-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/qutecsound-users

-- 

sound      |      movement       |       object      |      space
sonic architecture     |      site: http://www.sonicarchitecture.de
spatial electronic composition    |    higher order ambisonic music


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, SlashDot.org! http://sdm.link/slashdot
_______________________________________________
Qutecsound-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/qutecsound-users
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: [Qutecsound-users] How to get Csoundqt running on Ubuntu

joachim-3
dear jan jacob -

from my own experience i'd say: never use a german version ...

but anyway — it sounds like you are on a good way.  home directory is
good, and the command "Build Project" has the hammer as symbol. the
Build Menu is the third from left (after File and Edit).

maybe there is one step you missed. when you open the QtCreator, you
must first open a project. did you do this?

once you succeed, you will write a german description for the process, ok?

cheers =)
        joachim


On 09/10/16 23:40, Jan Jacob Hofmann wrote:

> Dear Tarmo, dear Joachim,
>
> yes, thanks a lot, it had been the executable permission. When I changed
> that in the File manager, I could start the qt-creator installer right
> away. I did not know where to install it, so I installed it onto my
> desktop.
>
>  After that, I inserted the link from git and the download of the
> Qtcsound sources started. I placed it into my home-directory - I hope
> that that place was all right. After that, I was even able to disable
> "Shadow Build" and to choose "release" in the general settings.
>
> But after that I did not know how to move on. I found nothing like the
> Build-Menu or the "Build Project" command as suggested in the wiki
> (https://github.com/CsoundQt/CsoundQt/wiki). Maybe it is just that I
> have a german version of the qt-creator.
>
> So now I have two questions: Which are the right directories to install
> the qt-creator and qtcsound to? And: where can I find the "build
> project" command or the "Build"-menue?
>
> Thanks for a hint,
>
> Jan Jacob
>
>
> Am 07.10.2016 um 22:19 schrieb Tarmo Johannes:
>>
>> Hi,
>>
>> this is an executable file normaly it should be enough if you just
>> click or double click on it.
>>
>> But it should work for sure if you open terminal, drag the file there
>> and press enter. If it complains that the file does not have
>> executable permission, you can set in in File manager (Properties of
>> the file) or enter in terminal
>>
>> $ bash qt-opensource-linux-x64-5.7.0.run
>>
>> But I guess you probably have qt installed already in your system. I
>> would suggest to use rather that to avoid possible conflicts. You
>> might need to install qt development packages and QtCreator though to
>> build yourself.
>>
>> I think it should be easily done if you use the package manager
>> (synaptics?) of your system.
>>
>> Please have a look at the wiki pages and let know if there are things
>> that should be added there.
>>
>> https://github.com/CsoundQt/CsoundQt/wiki
>>
>> Of course, it is impossible to write down everything, how things work
>> on Linux but keep trying! Even if the first time is frustrating, it
>> will be easy later!
>>
>> tarmo
>>
>> On Friday, October 07, 2016 09:37:07 PM Jan Jacob Hofmann wrote:
>>
>> > Dear Joachim, dear Tarmo,
>>
>> >
>>
>> > I gave building qt a try today...
>>
>> >
>>
>> > Having downloaded the qt installer from:
>>
>> >
>>
>> >
>> http://qt-mirror.dannhauer.de/archive/qt/5.7/5.7.0/qt-opensource-linux-x64-5
>>
>>
>> > .7.0.run
>>
>> >
>>
>> > it asks me, with wich programme I would like to open the file. I
>> have no
>>
>> > idea....
>>
>> > Do you know, what has to be done in this case?
>>
>> >
>>
>> >
>>
>> > All the best,
>>
>> >
>>
>> > Jan Jacob
>>
>> >
>>
>> > Am 03.10.2016 um 20:15 schrieb joachim heintz:
>>
>> > > dear jan jacob -
>>
>> > >
>>
>> > > as these messages point to several packages which are not as much
>>
>> > > up-to-date as this version of csoundqt requires, i'd follow tarmo
>> that
>>
>> > > it might be best to build csoundqt yourself.
>>
>> > >
>>
>> > > i'd recommend to build *with* rtmidi but *without* pythonqt. (you
>> can do
>>
>> > > this later if you want.)
>>
>> > >
>>
>> > > let us know any problems; but perhaps you will not experience any
>> ... =)
>>
>> > >
>>
>> > > joachim
>>
>> > >
>>
>> > > On 03/10/16 09:12, Jan Jacob Hofmann wrote:
>>
>> > >> Paket libcsnd6-6.0v5 ist nicht installiert.
>>
>> > >>
>>
>> > >> csoundqt hängt ab von libcsound64-6.0 (>= 1:6.03.0~dfsg); aber:
>>
>> > >> Paket libcsound64-6.0 ist nicht installiert.
>>
>> > >>
>>
>> > >> csoundqt hängt ab von libqt5concurrent5 (>= 5.0.2); aber:
>>
>> > >> Paket libqt5concurrent5 ist nicht installiert.
>>
>> > >>
>>
>> > >> csoundqt hängt ab von libqt5core5a (>= 5.6.0~beta); aber:
>>
>> > >> Version von libqt5core5a:amd64 auf dem System ist
>>
>> > >> 5.2.1+dfsg-1ubuntu14.3.
>>
>> > >>
>>
>> > >> csoundqt hängt ab von libqt5quickwidgets5 (>= 5.3.0); aber:
>>
>> > >> Paket libqt5quickwidgets5 ist nicht installiert.
>>
>> > >
>>
>> > >
>> --------------------------------------------------------------------------
>>
>>
>> > > ---- Check out the vibrant tech community on one of the world's most
>>
>> > > engaging tech sites, SlashDot.org! http://sdm.link/slashdot
>>
>> > > _______________________________________________
>>
>> > > Qutecsound-users mailing list
>>
>> > > [hidden email]
>>
>> > > https://lists.sourceforge.net/lists/listinfo/qutecsound-users
>>
>>
>>
>> ------------------------------------------------------------------------------
>>
>> Check out the vibrant tech community on one of the world's most
>> engaging tech sites, SlashDot.org! http://sdm.link/slashdot
>>
>>
>> _______________________________________________
>> Qutecsound-users mailing list
>> [hidden email]
>> https://lists.sourceforge.net/lists/listinfo/qutecsound-users
>
>
>
> ------------------------------------------------------------------------------
> Check out the vibrant tech community on one of the world's most
> engaging tech sites, SlashDot.org! http://sdm.link/slashdot
>
>
>
> _______________________________________________
> Qutecsound-users mailing list
> [hidden email]
> https://lists.sourceforge.net/lists/listinfo/qutecsound-users
>

------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, SlashDot.org! http://sdm.link/slashdot
_______________________________________________
Qutecsound-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/qutecsound-users
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: [Qutecsound-users] How to get Csoundqt running on Ubuntu

Jan Jacob Hofmann
Dear Joachim, dear Tarmo,

I now went trough the process described in https://github.com/CsoundQt/CsoundQt/wiki/Building-CsoundQt-for-Debian-with-QtCreator now for several times. I always had to delete the folder CsoundQt in my home-directory, else I could not start again as git was complaining that the file already existed. I hope I did not break major things by just deleting the CsoundQt-folder before I start again.

I do seem to fail always in one of the last steps. For example, after downloading Qtcsound via git there is an error message: No project could be opened in "/home/janjacobhofman/CsoundQt"
(no file to open it could be found inside "/home/janjacobhofman/CsoundQt")


Also I find an error at message at part 4 (compiling), that no "make"-file could be found -please check the settings for the build:

22:09:26: Führe Schritte für Projekt qcs-haiku aus...

22:09:26: Die Makefile-Datei konnte nicht gefunden werden. Bitte überprüfen Sie die Einstellungen zur Erstellung.

Fehler beim Erstellen/Deployment des Projekts qcs-haiku (Kit: Desktop Qt 5.7.0 GCC 64bit)

Bei der Ausführung von Schritt "Make"

22:09:26: Verstrichene Zeit: 00:00.



Also I do wonder, if the three steps at project>build settings are in the right order... and why make is listed two times:


Build settings:

Steps:

Make: make in /home/janjacobhofmann/CsoundQt

qmake: qmake qcs-haiku.pro -r -spec linux-g++

Make: make in /home/janjacobhofmann/CsoundQt

And what exactly is meant by "and set up the settings to your environment" in step four of the wiki-description:

"In QtCreator, disable "Shadow Build" in Projects > Build Settings > General and set up the settings to your environment. Choose "Release" instead of "Debug" unless you want to develop CsoundQt."


Finally, I do wonder if I go to Build>build project
I can only build a project namend qcs-haiku, which seems to be the default name for a newly opened project in Qt Creator. Is that all right or am I trying to build a haiku-project (whatever that is) as I should build CsoundQt?

I hope that you can somehow deal with my crude descriptions.

All the best and thanks,

Jan Jacob









Am 10.10.2016 um 21:55 schrieb joachim heintz:
dear jan jacob -

from my own experience i'd say: never use a german version ...

but anyway — it sounds like you are on a good way.  home directory is 
good, and the command "Build Project" has the hammer as symbol. the 
Build Menu is the third from left (after File and Edit).

maybe there is one step you missed. when you open the QtCreator, you 
must first open a project. did you do this?

once you succeed, you will write a german description for the process, ok?

cheers =)
	joachim


On 09/10/16 23:40, Jan Jacob Hofmann wrote:
Dear Tarmo, dear Joachim,

yes, thanks a lot, it had been the executable permission. When I changed
that in the File manager, I could start the qt-creator installer right
away. I did not know where to install it, so I installed it onto my
desktop.

 After that, I inserted the link from git and the download of the
Qtcsound sources started. I placed it into my home-directory - I hope
that that place was all right. After that, I was even able to disable
"Shadow Build" and to choose "release" in the general settings.

But after that I did not know how to move on. I found nothing like the
Build-Menu or the "Build Project" command as suggested in the wiki
(https://github.com/CsoundQt/CsoundQt/wiki). Maybe it is just that I
have a german version of the qt-creator.

So now I have two questions: Which are the right directories to install
the qt-creator and qtcsound to? And: where can I find the "build
project" command or the "Build"-menue?

Thanks for a hint,

Jan Jacob


Am 07.10.2016 um 22:19 schrieb Tarmo Johannes:
Hi,

this is an executable file normaly it should be enough if you just
click or double click on it.

But it should work for sure if you open terminal, drag the file there
and press enter. If it complains that the file does not have
executable permission, you can set in in File manager (Properties of
the file) or enter in terminal

$ bash qt-opensource-linux-x64-5.7.0.run

But I guess you probably have qt installed already in your system. I
would suggest to use rather that to avoid possible conflicts. You
might need to install qt development packages and QtCreator though to
build yourself.

I think it should be easily done if you use the package manager
(synaptics?) of your system.

Please have a look at the wiki pages and let know if there are things
that should be added there.

https://github.com/CsoundQt/CsoundQt/wiki

Of course, it is impossible to write down everything, how things work
on Linux but keep trying! Even if the first time is frustrating, it
will be easy later!

tarmo

On Friday, October 07, 2016 09:37:07 PM Jan Jacob Hofmann wrote:

Dear Joachim, dear Tarmo,

          

          

          
I gave building qt a try today...

          

          

          
Having downloaded the qt installer from:

          

          

          

          
http://qt-mirror.dannhauer.de/archive/qt/5.7/5.7.0/qt-opensource-linux-x64-5


.7.0.run

          

          

          
it asks me, with wich programme I would like to open the file. I
have no

idea....

          
Do you know, what has to be done in this case?

          

          

          

          

          
All the best,

          

          

          
Jan Jacob

          

          

          
Am 03.10.2016 um 20:15 schrieb joachim heintz:

          
dear jan jacob -

          

            

          
as these messages point to several packages which are not as much

          
up-to-date as this version of csoundqt requires, i'd follow tarmo
that

it might be best to build csoundqt yourself.

          

            

          
i'd recommend to build *with* rtmidi but *without* pythonqt. (you
can do

this later if you want.)

          

            

          
let us know any problems; but perhaps you will not experience any
... =)


            

          
joachim

          

            

          
On 03/10/16 09:12, Jan Jacob Hofmann wrote:

          
Paket libcsnd6-6.0v5 ist nicht installiert.

          

              

          
csoundqt hängt ab von libcsound64-6.0 (>= 1:6.03.0~dfsg); aber:

          
Paket libcsound64-6.0 ist nicht installiert.

          

              

          
csoundqt hängt ab von libqt5concurrent5 (>= 5.0.2); aber:

          
Paket libqt5concurrent5 ist nicht installiert.

          

              

          
csoundqt hängt ab von libqt5core5a (>= 5.6.0~beta); aber:

          
Version von libqt5core5a:amd64 auf dem System ist

          
5.2.1+dfsg-1ubuntu14.3.

          

              

          
csoundqt hängt ab von libqt5quickwidgets5 (>= 5.3.0); aber:

          
Paket libqt5quickwidgets5 ist nicht installiert.

          

            

          

            
--------------------------------------------------------------------------


---- Check out the vibrant tech community on one of the world's most

          
engaging tech sites, SlashDot.org! http://sdm.link/slashdot

          
_______________________________________________

          
Qutecsound-users mailing list

          
[hidden email]

          
https://lists.sourceforge.net/lists/listinfo/qutecsound-users


------------------------------------------------------------------------------

Check out the vibrant tech community on one of the world's most
engaging tech sites, SlashDot.org! http://sdm.link/slashdot


_______________________________________________
Qutecsound-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/qutecsound-users


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, SlashDot.org! http://sdm.link/slashdot



_______________________________________________
Qutecsound-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/qutecsound-users

------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most 
engaging tech sites, SlashDot.org! http://sdm.link/slashdot
_______________________________________________
Qutecsound-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/qutecsound-users

-- 

sound      |      movement       |       object      |      space
sonic architecture     |      site: http://www.sonicarchitecture.de
spatial electronic composition    |    higher order ambisonic music


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, SlashDot.org! http://sdm.link/slashdot
_______________________________________________
Qutecsound-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/qutecsound-users
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: [Qutecsound-users] How to get Csoundqt running on Ubuntu

joachim-3
hi -

qcs-haiku.pro is certainly the wrong file.  you must build against
qcs.pro.  this will select the appropriate platform for you.  haiku is a
linux derivate; not your linux though.

cheers -
        joachim


On 13/10/16 22:34, Jan Jacob Hofmann wrote:

> Dear Joachim, dear Tarmo,
>
> I now went trough the process described in
> https://github.com/CsoundQt/CsoundQt/wiki/Building-CsoundQt-for-Debian-with-QtCreator
> now for several times. I always had to delete the folder CsoundQt in my
> home-directory, else I could not start again as git was complaining that
> the file already existed. I hope I did not break major things by just
> deleting the CsoundQt-folder before I start again.
>
> I do seem to fail always in one of the last steps. For example, after
> downloading Qtcsound via git there is an error message: No project could
> be opened in "/home/janjacobhofman/CsoundQt"
> (no file to open it could be found inside "/home/janjacobhofman/CsoundQt")
>
>
> Also I find an error at message at part 4 (compiling), that no
> "make"-file could be found -please check the settings for the build:
>
> 22:09:26: Führe Schritte für Projekt qcs-haiku aus...
>
> 22:09:26: Die Makefile-Datei konnte nicht gefunden werden. Bitte
> überprüfen Sie die Einstellungen zur Erstellung.
>
> Fehler beim Erstellen/Deployment des Projekts qcs-haiku (Kit: Desktop Qt
> 5.7.0 GCC 64bit)
>
> Bei der Ausführung von Schritt "Make"
>
> 22:09:26: Verstrichene Zeit: 00:00.
>
>
>
> Also I do wonder, if the three steps at project>build settings are in
> the right order... and why make is listed two times:
>
>
> Build settings:
>
> Steps:
>
> Make: make in /home/janjacobhofmann/CsoundQt
>
> qmake: qmake qcs-haiku.pro -r -spec linux-g++
>
> Make: make in /home/janjacobhofmann/CsoundQt
>
> And what exactly is meant by "and set up the settings to your
> environment" in step four of the wiki-description:
>
> "In QtCreator, disable "Shadow Build" in Projects > Build Settings >
> General and set up the settings to your environment. Choose "Release"
> instead of "Debug" unless you want to develop CsoundQt."
>
>
> Finally, I do wonder if I go to Build>build project
> I can only build a project namend qcs-haiku, which seems to be the
> default name for a newly opened project in Qt Creator. Is that all right
> or am I trying to build a haiku-project (whatever that is) as I should
> build CsoundQt?
>
> I hope that you can somehow deal with my crude descriptions.
>
> All the best and thanks,
>
> Jan Jacob
>
>
>
>
>
>
>
>
>
> Am 10.10.2016 um 21:55 schrieb joachim heintz:
>> dear jan jacob -
>>
>> from my own experience i'd say: never use a german version ...
>>
>> but anyway — it sounds like you are on a good way.  home directory is
>> good, and the command "Build Project" has the hammer as symbol. the
>> Build Menu is the third from left (after File and Edit).
>>
>> maybe there is one step you missed. when you open the QtCreator, you
>> must first open a project. did you do this?
>>
>> once you succeed, you will write a german description for the process,
>> ok?
>>
>> cheers =)
>>     joachim
>>
>>
>> On 09/10/16 23:40, Jan Jacob Hofmann wrote:
>>> Dear Tarmo, dear Joachim,
>>>
>>> yes, thanks a lot, it had been the executable permission. When I changed
>>> that in the File manager, I could start the qt-creator installer right
>>> away. I did not know where to install it, so I installed it onto my
>>> desktop.
>>>
>>>   After that, I inserted the link from git and the download of the
>>> Qtcsound sources started. I placed it into my home-directory - I hope
>>> that that place was all right. After that, I was even able to disable
>>> "Shadow Build" and to choose "release" in the general settings.
>>>
>>> But after that I did not know how to move on. I found nothing like the
>>> Build-Menu or the "Build Project" command as suggested in the wiki
>>> (https://github.com/CsoundQt/CsoundQt/wiki). Maybe it is just that I
>>> have a german version of the qt-creator.
>>>
>>> So now I have two questions: Which are the right directories to install
>>> the qt-creator and qtcsound to? And: where can I find the "build
>>> project" command or the "Build"-menue?
>>>
>>> Thanks for a hint,
>>>
>>> Jan Jacob
>>>
>>>
>>> Am 07.10.2016 um 22:19 schrieb Tarmo Johannes:
>>>> Hi,
>>>>
>>>> this is an executable file normaly it should be enough if you just
>>>> click or double click on it.
>>>>
>>>> But it should work for sure if you open terminal, drag the file there
>>>> and press enter. If it complains that the file does not have
>>>> executable permission, you can set in in File manager (Properties of
>>>> the file) or enter in terminal
>>>>
>>>> $ bash qt-opensource-linux-x64-5.7.0.run
>>>>
>>>> But I guess you probably have qt installed already in your system. I
>>>> would suggest to use rather that to avoid possible conflicts. You
>>>> might need to install qt development packages and QtCreator though to
>>>> build yourself.
>>>>
>>>> I think it should be easily done if you use the package manager
>>>> (synaptics?) of your system.
>>>>
>>>> Please have a look at the wiki pages and let know if there are things
>>>> that should be added there.
>>>>
>>>> https://github.com/CsoundQt/CsoundQt/wiki
>>>>
>>>> Of course, it is impossible to write down everything, how things work
>>>> on Linux but keep trying! Even if the first time is frustrating, it
>>>> will be easy later!
>>>>
>>>> tarmo
>>>>
>>>> On Friday, October 07, 2016 09:37:07 PM Jan Jacob Hofmann wrote:
>>>>
>>>>> Dear Joachim, dear Tarmo,
>>>>> I gave building qt a try today...
>>>>> Having downloaded the qt installer from:
>>>> http://qt-mirror.dannhauer.de/archive/qt/5.7/5.7.0/qt-opensource-linux-x64-5
>>>>
>>>>
>>>>
>>>>> .7.0.run
>>>>> it asks me, with wich programme I would like to open the file. I
>>>> have no
>>>>
>>>>> idea....
>>>>> Do you know, what has to be done in this case?
>>>>> All the best,
>>>>> Jan Jacob
>>>>> Am 03.10.2016 um 20:15 schrieb joachim heintz:
>>>>>> dear jan jacob -
>>>>>> as these messages point to several packages which are not as much
>>>>>> up-to-date as this version of csoundqt requires, i'd follow tarmo
>>>> that
>>>>
>>>>>> it might be best to build csoundqt yourself.
>>>>>> i'd recommend to build *with* rtmidi but *without* pythonqt. (you
>>>> can do
>>>>
>>>>>> this later if you want.)
>>>>>> let us know any problems; but perhaps you will not experience any
>>>> ... =)
>>>>
>>>>>> joachim
>>>>>> On 03/10/16 09:12, Jan Jacob Hofmann wrote:
>>>>>>> Paket libcsnd6-6.0v5 ist nicht installiert.
>>>>>>> csoundqt hängt ab von libcsound64-6.0 (>= 1:6.03.0~dfsg); aber:
>>>>>>> Paket libcsound64-6.0 ist nicht installiert.
>>>>>>> csoundqt hängt ab von libqt5concurrent5 (>= 5.0.2); aber:
>>>>>>> Paket libqt5concurrent5 ist nicht installiert.
>>>>>>> csoundqt hängt ab von libqt5core5a (>= 5.6.0~beta); aber:
>>>>>>> Version von libqt5core5a:amd64 auf dem System ist
>>>>>>> 5.2.1+dfsg-1ubuntu14.3.
>>>>>>> csoundqt hängt ab von libqt5quickwidgets5 (>= 5.3.0); aber:
>>>>>>> Paket libqt5quickwidgets5 ist nicht installiert.
>>>> --------------------------------------------------------------------------
>>>>
>>>>
>>>>
>>>>>> ---- Check out the vibrant tech community on one of the world's most
>>>>>> engaging tech sites, SlashDot.org! http://sdm.link/slashdot
>>>>>> _______________________________________________
>>>>>> Qutecsound-users mailing list
>>>>>> [hidden email]
>>>>>> https://lists.sourceforge.net/lists/listinfo/qutecsound-users
>>>>
>>>>
>>>> ------------------------------------------------------------------------------
>>>>
>>>>
>>>> Check out the vibrant tech community on one of the world's most
>>>> engaging tech sites, SlashDot.org! http://sdm.link/slashdot
>>>>
>>>>
>>>> _______________________________________________
>>>> Qutecsound-users mailing list
>>>> [hidden email]
>>>> https://lists.sourceforge.net/lists/listinfo/qutecsound-users
>>>
>>>
>>> ------------------------------------------------------------------------------
>>>
>>> Check out the vibrant tech community on one of the world's most
>>> engaging tech sites, SlashDot.org! http://sdm.link/slashdot
>>>
>>>
>>>
>>> _______________________________________________
>>> Qutecsound-users mailing list
>>> [hidden email]
>>> https://lists.sourceforge.net/lists/listinfo/qutecsound-users
>>>
>> ------------------------------------------------------------------------------
>>
>> Check out the vibrant tech community on one of the world's most
>> engaging tech sites, SlashDot.org! http://sdm.link/slashdot
>> _______________________________________________
>> Qutecsound-users mailing list
>> [hidden email]
>> https://lists.sourceforge.net/lists/listinfo/qutecsound-users
>
>
>
> ------------------------------------------------------------------------------
> Check out the vibrant tech community on one of the world's most
> engaging tech sites, SlashDot.org! http://sdm.link/slashdot
>
>
>
> _______________________________________________
> Qutecsound-users mailing list
> [hidden email]
> https://lists.sourceforge.net/lists/listinfo/qutecsound-users
>

------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, SlashDot.org! http://sdm.link/slashdot
_______________________________________________
Qutecsound-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/qutecsound-users
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: [Qutecsound-users] How to get Csoundqt running on Ubuntu

Jan Jacob Hofmann
Dear Joachim,

thanks for the hint. What should I do then? Did I download the wrong type of Qt Creator or is there something I should change within Qt-Creator?

Cheers,

Jan Jacob




Am 13.10.2016 um 22:40 schrieb joachim heintz:

> hi -
>
> qcs-haiku.pro is certainly the wrong file.  you must build against
> qcs.pro.  this will select the appropriate platform for you.  haiku is a
> linux derivate; not your linux though.
>
> cheers -
> joachim
>
>
> On 13/10/16 22:34, Jan Jacob Hofmann wrote:
>> Dear Joachim, dear Tarmo,
>>
>> I now went trough the process described in
>> https://github.com/CsoundQt/CsoundQt/wiki/Building-CsoundQt-for-Debian-with-QtCreator
>> now for several times. I always had to delete the folder CsoundQt in my
>> home-directory, else I could not start again as git was complaining that
>> the file already existed. I hope I did not break major things by just
>> deleting the CsoundQt-folder before I start again.
>>
>> I do seem to fail always in one of the last steps. For example, after
>> downloading Qtcsound via git there is an error message: No project could
>> be opened in "/home/janjacobhofman/CsoundQt"
>> (no file to open it could be found inside "/home/janjacobhofman/CsoundQt")
>>
>>
>> Also I find an error at message at part 4 (compiling), that no
>> "make"-file could be found -please check the settings for the build:
>>
>> 22:09:26: Führe Schritte für Projekt qcs-haiku aus...
>>
>> 22:09:26: Die Makefile-Datei konnte nicht gefunden werden. Bitte
>> überprüfen Sie die Einstellungen zur Erstellung.
>>
>> Fehler beim Erstellen/Deployment des Projekts qcs-haiku (Kit: Desktop Qt
>> 5.7.0 GCC 64bit)
>>
>> Bei der Ausführung von Schritt "Make"
>>
>> 22:09:26: Verstrichene Zeit: 00:00.
>>
>>
>>
>> Also I do wonder, if the three steps at project>build settings are in
>> the right order... and why make is listed two times:
>>
>>
>> Build settings:
>>
>> Steps:
>>
>> Make: make in /home/janjacobhofmann/CsoundQt
>>
>> qmake: qmake qcs-haiku.pro -r -spec linux-g++
>>
>> Make: make in /home/janjacobhofmann/CsoundQt
>>
>> And what exactly is meant by "and set up the settings to your
>> environment" in step four of the wiki-description:
>>
>> "In QtCreator, disable "Shadow Build" in Projects > Build Settings >
>> General and set up the settings to your environment. Choose "Release"
>> instead of "Debug" unless you want to develop CsoundQt."
>>
>>
>> Finally, I do wonder if I go to Build>build project
>> I can only build a project namend qcs-haiku, which seems to be the
>> default name for a newly opened project in Qt Creator. Is that all right
>> or am I trying to build a haiku-project (whatever that is) as I should
>> build CsoundQt?
>>
>> I hope that you can somehow deal with my crude descriptions.
>>
>> All the best and thanks,
>>
>> Jan Jacob
>>
>>
>>
>>
>>
>>
>>
>>
>>
>> Am 10.10.2016 um 21:55 schrieb joachim heintz:
>>> dear jan jacob -
>>>
>>> from my own experience i'd say: never use a german version ...
>>>
>>> but anyway — it sounds like you are on a good way.  home directory is
>>> good, and the command "Build Project" has the hammer as symbol. the
>>> Build Menu is the third from left (after File and Edit).
>>>
>>> maybe there is one step you missed. when you open the QtCreator, you
>>> must first open a project. did you do this?
>>>
>>> once you succeed, you will write a german description for the process,
>>> ok?
>>>
>>> cheers =)
>>>    joachim
>>>
>>>
>>> On 09/10/16 23:40, Jan Jacob Hofmann wrote:
>>>> Dear Tarmo, dear Joachim,
>>>>
>>>> yes, thanks a lot, it had been the executable permission. When I changed
>>>> that in the File manager, I could start the qt-creator installer right
>>>> away. I did not know where to install it, so I installed it onto my
>>>> desktop.
>>>>
>>>>  After that, I inserted the link from git and the download of the
>>>> Qtcsound sources started. I placed it into my home-directory - I hope
>>>> that that place was all right. After that, I was even able to disable
>>>> "Shadow Build" and to choose "release" in the general settings.
>>>>
>>>> But after that I did not know how to move on. I found nothing like the
>>>> Build-Menu or the "Build Project" command as suggested in the wiki
>>>> (https://github.com/CsoundQt/CsoundQt/wiki). Maybe it is just that I
>>>> have a german version of the qt-creator.
>>>>
>>>> So now I have two questions: Which are the right directories to install
>>>> the qt-creator and qtcsound to? And: where can I find the "build
>>>> project" command or the "Build"-menue?
>>>>
>>>> Thanks for a hint,
>>>>
>>>> Jan Jacob
>>>>
>>>>
>>>> Am 07.10.2016 um 22:19 schrieb Tarmo Johannes:
>>>>> Hi,
>>>>>
>>>>> this is an executable file normaly it should be enough if you just
>>>>> click or double click on it.
>>>>>
>>>>> But it should work for sure if you open terminal, drag the file there
>>>>> and press enter. If it complains that the file does not have
>>>>> executable permission, you can set in in File manager (Properties of
>>>>> the file) or enter in terminal
>>>>>
>>>>> $ bash qt-opensource-linux-x64-5.7.0.run
>>>>>
>>>>> But I guess you probably have qt installed already in your system. I
>>>>> would suggest to use rather that to avoid possible conflicts. You
>>>>> might need to install qt development packages and QtCreator though to
>>>>> build yourself.
>>>>>
>>>>> I think it should be easily done if you use the package manager
>>>>> (synaptics?) of your system.
>>>>>
>>>>> Please have a look at the wiki pages and let know if there are things
>>>>> that should be added there.
>>>>>
>>>>> https://github.com/CsoundQt/CsoundQt/wiki
>>>>>
>>>>> Of course, it is impossible to write down everything, how things work
>>>>> on Linux but keep trying! Even if the first time is frustrating, it
>>>>> will be easy later!
>>>>>
>>>>> tarmo
>>>>>
>>>>> On Friday, October 07, 2016 09:37:07 PM Jan Jacob Hofmann wrote:
>>>>>
>>>>>> Dear Joachim, dear Tarmo,
>>>>>> I gave building qt a try today...
>>>>>> Having downloaded the qt installer from:
>>>>> http://qt-mirror.dannhauer.de/archive/qt/5.7/5.7.0/qt-opensource-linux-x64-5
>>>>>
>>>>>
>>>>>
>>>>>> .7.0.run
>>>>>> it asks me, with wich programme I would like to open the file. I
>>>>> have no
>>>>>
>>>>>> idea....
>>>>>> Do you know, what has to be done in this case?
>>>>>> All the best,
>>>>>> Jan Jacob
>>>>>> Am 03.10.2016 um 20:15 schrieb joachim heintz:
>>>>>>> dear jan jacob -
>>>>>>> as these messages point to several packages which are not as much
>>>>>>> up-to-date as this version of csoundqt requires, i'd follow tarmo
>>>>> that
>>>>>
>>>>>>> it might be best to build csoundqt yourself.
>>>>>>> i'd recommend to build *with* rtmidi but *without* pythonqt. (you
>>>>> can do
>>>>>
>>>>>>> this later if you want.)
>>>>>>> let us know any problems; but perhaps you will not experience any
>>>>> ... =)
>>>>>
>>>>>>> joachim
>>>>>>> On 03/10/16 09:12, Jan Jacob Hofmann wrote:
>>>>>>>> Paket libcsnd6-6.0v5 ist nicht installiert.
>>>>>>>> csoundqt hängt ab von libcsound64-6.0 (>= 1:6.03.0~dfsg); aber:
>>>>>>>> Paket libcsound64-6.0 ist nicht installiert.
>>>>>>>> csoundqt hängt ab von libqt5concurrent5 (>= 5.0.2); aber:
>>>>>>>> Paket libqt5concurrent5 ist nicht installiert.
>>>>>>>> csoundqt hängt ab von libqt5core5a (>= 5.6.0~beta); aber:
>>>>>>>> Version von libqt5core5a:amd64 auf dem System ist
>>>>>>>> 5.2.1+dfsg-1ubuntu14.3.
>>>>>>>> csoundqt hängt ab von libqt5quickwidgets5 (>= 5.3.0); aber:
>>>>>>>> Paket libqt5quickwidgets5 ist nicht installiert.
>>>>> --------------------------------------------------------------------------
>>>>>
>>>>>
>>>>>
>>>>>>> ---- Check out the vibrant tech community on one of the world's most
>>>>>>> engaging tech sites, SlashDot.org! http://sdm.link/slashdot
>>>>>>> _______________________________________________
>>>>>>> Qutecsound-users mailing list
>>>>>>> [hidden email]
>>>>>>> https://lists.sourceforge.net/lists/listinfo/qutecsound-users
>>>>>
>>>>>
>>>>> ------------------------------------------------------------------------------
>>>>>
>>>>>
>>>>> Check out the vibrant tech community on one of the world's most
>>>>> engaging tech sites, SlashDot.org! http://sdm.link/slashdot
>>>>>
>>>>>
>>>>> _______________________________________________
>>>>> Qutecsound-users mailing list
>>>>> [hidden email]
>>>>> https://lists.sourceforge.net/lists/listinfo/qutecsound-users
>>>>
>>>>
>>>> ------------------------------------------------------------------------------
>>>>
>>>> Check out the vibrant tech community on one of the world's most
>>>> engaging tech sites, SlashDot.org! http://sdm.link/slashdot
>>>>
>>>>
>>>>
>>>> _______________________________________________
>>>> Qutecsound-users mailing list
>>>> [hidden email]
>>>> https://lists.sourceforge.net/lists/listinfo/qutecsound-users
>>>>
>>> ------------------------------------------------------------------------------
>>>
>>> Check out the vibrant tech community on one of the world's most
>>> engaging tech sites, SlashDot.org! http://sdm.link/slashdot
>>> _______________________________________________
>>> Qutecsound-users mailing list
>>> [hidden email]
>>> https://lists.sourceforge.net/lists/listinfo/qutecsound-users
>>
>>
>>
>> ------------------------------------------------------------------------------
>> Check out the vibrant tech community on one of the world's most
>> engaging tech sites, SlashDot.org! http://sdm.link/slashdot
>>
>>
>>
>> _______________________________________________
>> Qutecsound-users mailing list
>> [hidden email]
>> https://lists.sourceforge.net/lists/listinfo/qutecsound-users
>>
>
> ------------------------------------------------------------------------------
> Check out the vibrant tech community on one of the world's most
> engaging tech sites, SlashDot.org! http://sdm.link/slashdot
> _______________________________________________
> Qutecsound-users mailing list
> [hidden email]
> https://lists.sourceforge.net/lists/listinfo/qutecsound-users


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, SlashDot.org! http://sdm.link/slashdot
_______________________________________________
Qutecsound-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/qutecsound-users
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: [Qutecsound-users] How to get Csoundqt running on Ubuntu

Tarmo Johannes

Hi,

In QtCreator Open project, select qcs.pro from where you saved it.

T


14.10.2016 9:36 kirjutas kuupäeval "Jan Jacob Hofmann" <[hidden email]>:
Dear Joachim,

thanks for the hint. What should I do then? Did I download the wrong type of Qt Creator or is there something I should change within Qt-Creator?

Cheers,

Jan Jacob




Am <a href="tel:13.10.2016" value="+13102016">13.10.2016 um 22:40 schrieb joachim heintz:

> hi -
>
> qcs-haiku.pro is certainly the wrong file.  you must build against
> qcs.pro.  this will select the appropriate platform for you.  haiku is a
> linux derivate; not your linux though.
>
> cheers -
>       joachim
>
>
> On 13/10/16 22:34, Jan Jacob Hofmann wrote:
>> Dear Joachim, dear Tarmo,
>>
>> I now went trough the process described in
>> https://github.com/CsoundQt/CsoundQt/wiki/Building-CsoundQt-for-Debian-with-QtCreator
>> now for several times. I always had to delete the folder CsoundQt in my
>> home-directory, else I could not start again as git was complaining that
>> the file already existed. I hope I did not break major things by just
>> deleting the CsoundQt-folder before I start again.
>>
>> I do seem to fail always in one of the last steps. For example, after
>> downloading Qtcsound via git there is an error message: No project could
>> be opened in "/home/janjacobhofman/CsoundQt"
>> (no file to open it could be found inside "/home/janjacobhofman/CsoundQt")
>>
>>
>> Also I find an error at message at part 4 (compiling), that no
>> "make"-file could be found -please check the settings for the build:
>>
>> 22:09:26: Führe Schritte für Projekt qcs-haiku aus...
>>
>> 22:09:26: Die Makefile-Datei konnte nicht gefunden werden. Bitte
>> überprüfen Sie die Einstellungen zur Erstellung.
>>
>> Fehler beim Erstellen/Deployment des Projekts qcs-haiku (Kit: Desktop Qt
>> 5.7.0 GCC 64bit)
>>
>> Bei der Ausführung von Schritt "Make"
>>
>> 22:09:26: Verstrichene Zeit: 00:00.
>>
>>
>>
>> Also I do wonder, if the three steps at project>build settings are in
>> the right order... and why make is listed two times:
>>
>>
>> Build settings:
>>
>> Steps:
>>
>> Make: make in /home/janjacobhofmann/CsoundQt
>>
>> qmake: qmake qcs-haiku.pro -r -spec linux-g++
>>
>> Make: make in /home/janjacobhofmann/CsoundQt
>>
>> And what exactly is meant by "and set up the settings to your
>> environment" in step four of the wiki-description:
>>
>> "In QtCreator, disable "Shadow Build" in Projects > Build Settings >
>> General and set up the settings to your environment. Choose "Release"
>> instead of "Debug" unless you want to develop CsoundQt."
>>
>>
>> Finally, I do wonder if I go to Build>build project
>> I can only build a project namend qcs-haiku, which seems to be the
>> default name for a newly opened project in Qt Creator. Is that all right
>> or am I trying to build a haiku-project (whatever that is) as I should
>> build CsoundQt?
>>
>> I hope that you can somehow deal with my crude descriptions.
>>
>> All the best and thanks,
>>
>> Jan Jacob
>>
>>
>>
>>
>>
>>
>>
>>
>>
>> Am 10.10.2016 um 21:55 schrieb joachim heintz:
>>> dear jan jacob -
>>>
>>> from my own experience i'd say: never use a german version ...
>>>
>>> but anyway — it sounds like you are on a good way.  home directory is
>>> good, and the command "Build Project" has the hammer as symbol. the
>>> Build Menu is the third from left (after File and Edit).
>>>
>>> maybe there is one step you missed. when you open the QtCreator, you
>>> must first open a project. did you do this?
>>>
>>> once you succeed, you will write a german description for the process,
>>> ok?
>>>
>>> cheers =)
>>>    joachim
>>>
>>>
>>> On 09/10/16 23:40, Jan Jacob Hofmann wrote:
>>>> Dear Tarmo, dear Joachim,
>>>>
>>>> yes, thanks a lot, it had been the executable permission. When I changed
>>>> that in the File manager, I could start the qt-creator installer right
>>>> away. I did not know where to install it, so I installed it onto my
>>>> desktop.
>>>>
>>>>  After that, I inserted the link from git and the download of the
>>>> Qtcsound sources started. I placed it into my home-directory - I hope
>>>> that that place was all right. After that, I was even able to disable
>>>> "Shadow Build" and to choose "release" in the general settings.
>>>>
>>>> But after that I did not know how to move on. I found nothing like the
>>>> Build-Menu or the "Build Project" command as suggested in the wiki
>>>> (https://github.com/CsoundQt/CsoundQt/wiki). Maybe it is just that I
>>>> have a german version of the qt-creator.
>>>>
>>>> So now I have two questions: Which are the right directories to install
>>>> the qt-creator and qtcsound to? And: where can I find the "build
>>>> project" command or the "Build"-menue?
>>>>
>>>> Thanks for a hint,
>>>>
>>>> Jan Jacob
>>>>
>>>>
>>>> Am 07.10.2016 um 22:19 schrieb Tarmo Johannes:
>>>>> Hi,
>>>>>
>>>>> this is an executable file normaly it should be enough if you just
>>>>> click or double click on it.
>>>>>
>>>>> But it should work for sure if you open terminal, drag the file there
>>>>> and press enter. If it complains that the file does not have
>>>>> executable permission, you can set in in File manager (Properties of
>>>>> the file) or enter in terminal
>>>>>
>>>>> $ bash qt-opensource-linux-x64-5.7.0.run
>>>>>
>>>>> But I guess you probably have qt installed already in your system. I
>>>>> would suggest to use rather that to avoid possible conflicts. You
>>>>> might need to install qt development packages and QtCreator though to
>>>>> build yourself.
>>>>>
>>>>> I think it should be easily done if you use the package manager
>>>>> (synaptics?) of your system.
>>>>>
>>>>> Please have a look at the wiki pages and let know if there are things
>>>>> that should be added there.
>>>>>
>>>>> https://github.com/CsoundQt/CsoundQt/wiki
>>>>>
>>>>> Of course, it is impossible to write down everything, how things work
>>>>> on Linux but keep trying! Even if the first time is frustrating, it
>>>>> will be easy later!
>>>>>
>>>>> tarmo
>>>>>
>>>>> On Friday, October 07, 2016 09:37:07 PM Jan Jacob Hofmann wrote:
>>>>>
>>>>>> Dear Joachim, dear Tarmo,
>>>>>> I gave building qt a try today...
>>>>>> Having downloaded the qt installer from:
>>>>> http://qt-mirror.dannhauer.de/archive/qt/5.7/5.7.0/qt-opensource-linux-x64-5
>>>>>
>>>>>
>>>>>
>>>>>> .7.0.run
>>>>>> it asks me, with wich programme I would like to open the file. I
>>>>> have no
>>>>>
>>>>>> idea....
>>>>>> Do you know, what has to be done in this case?
>>>>>> All the best,
>>>>>> Jan Jacob
>>>>>> Am 03.10.2016 um 20:15 schrieb joachim heintz:
>>>>>>> dear jan jacob -
>>>>>>> as these messages point to several packages which are not as much
>>>>>>> up-to-date as this version of csoundqt requires, i'd follow tarmo
>>>>> that
>>>>>
>>>>>>> it might be best to build csoundqt yourself.
>>>>>>> i'd recommend to build *with* rtmidi but *without* pythonqt. (you
>>>>> can do
>>>>>
>>>>>>> this later if you want.)
>>>>>>> let us know any problems; but perhaps you will not experience any
>>>>> ... =)
>>>>>
>>>>>>> joachim
>>>>>>> On 03/10/16 09:12, Jan Jacob Hofmann wrote:
>>>>>>>> Paket libcsnd6-6.0v5 ist nicht installiert.
>>>>>>>> csoundqt hängt ab von libcsound64-6.0 (>= 1:6.03.0~dfsg); aber:
>>>>>>>> Paket libcsound64-6.0 ist nicht installiert.
>>>>>>>> csoundqt hängt ab von libqt5concurrent5 (>= 5.0.2); aber:
>>>>>>>> Paket libqt5concurrent5 ist nicht installiert.
>>>>>>>> csoundqt hängt ab von libqt5core5a (>= 5.6.0~beta); aber:
>>>>>>>> Version von libqt5core5a:amd64 auf dem System ist
>>>>>>>> 5.2.1+dfsg-1ubuntu14.3.
>>>>>>>> csoundqt hängt ab von libqt5quickwidgets5 (>= 5.3.0); aber:
>>>>>>>> Paket libqt5quickwidgets5 ist nicht installiert.
>>>>> --------------------------------------------------------------------------
>>>>>
>>>>>
>>>>>
>>>>>>> ---- Check out the vibrant tech community on one of the world's most
>>>>>>> engaging tech sites, SlashDot.org! http://sdm.link/slashdot
>>>>>>> _______________________________________________
>>>>>>> Qutecsound-users mailing list
>>>>>>> [hidden email]
>>>>>>> https://lists.sourceforge.net/lists/listinfo/qutecsound-users
>>>>>
>>>>>
>>>>> ------------------------------------------------------------------------------
>>>>>
>>>>>
>>>>> Check out the vibrant tech community on one of the world's most
>>>>> engaging tech sites, SlashDot.org! http://sdm.link/slashdot
>>>>>
>>>>>
>>>>> _______________________________________________
>>>>> Qutecsound-users mailing list
>>>>> [hidden email]
>>>>> https://lists.sourceforge.net/lists/listinfo/qutecsound-users
>>>>
>>>>
>>>> ------------------------------------------------------------------------------
>>>>
>>>> Check out the vibrant tech community on one of the world's most
>>>> engaging tech sites, SlashDot.org! http://sdm.link/slashdot
>>>>
>>>>
>>>>
>>>> _______________________________________________
>>>> Qutecsound-users mailing list
>>>> [hidden email]
>>>> https://lists.sourceforge.net/lists/listinfo/qutecsound-users
>>>>
>>> ------------------------------------------------------------------------------
>>>
>>> Check out the vibrant tech community on one of the world's most
>>> engaging tech sites, SlashDot.org! http://sdm.link/slashdot
>>> _______________________________________________
>>> Qutecsound-users mailing list
>>> [hidden email]
>>> https://lists.sourceforge.net/lists/listinfo/qutecsound-users
>>
>>
>>
>> ------------------------------------------------------------------------------
>> Check out the vibrant tech community on one of the world's most
>> engaging tech sites, SlashDot.org! http://sdm.link/slashdot
>>
>>
>>
>> _______________________________________________
>> Qutecsound-users mailing list
>> [hidden email]
>> https://lists.sourceforge.net/lists/listinfo/qutecsound-users
>>
>
> ------------------------------------------------------------------------------
> Check out the vibrant tech community on one of the world's most
> engaging tech sites, SlashDot.org! http://sdm.link/slashdot
> _______________________________________________
> Qutecsound-users mailing list
> [hidden email]
> https://lists.sourceforge.net/lists/listinfo/qutecsound-users


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, SlashDot.org! http://sdm.link/slashdot
_______________________________________________
Qutecsound-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/qutecsound-users

------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, SlashDot.org! http://sdm.link/slashdot
_______________________________________________
Qutecsound-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/qutecsound-users
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: [Qutecsound-users] How to get Csoundqt running on Ubuntu

Jan Jacob Hofmann

Dear Tarmo,

selecting qcs.pro was imprtant - now I am one step further - thanks a lot. Still the process did not compile to the end. I have copied the messages. Is there something I was missing?

All the best,

Jan Jacob

17:37:36: Führe Schritte für Projekt qcs aus...

17:37:36: Starte "/home/janjacobhofmann/Qt5.7.0/5.7/gcc_64/bin/qmake" /home/janjacobhofmann/CsoundQt/qcs.pro -r -spec linux-g++

Info: creating stash file /home/janjacobhofmann/CsoundQt/.qmake.stash

Project MESSAGE: Building for Csound 6.

Project MESSAGE:

Project MESSAGE: Building CsoundQt for Unix-based system.

Project MESSAGE:

Project MESSAGE: Building CsoundQt for the double precision version of Csound.

Project MESSAGE: Building release version.

Project MESSAGE:

Project MESSAGE: CONFIG ...

Project MESSAGE: + lex

Project MESSAGE: + yacc

Project MESSAGE: + debug

Project MESSAGE: + exceptions

Project MESSAGE: + depend_includepath

Project MESSAGE: + testcase_targets

Project MESSAGE: + import_plugins

Project MESSAGE: + import_qpa_plugin

Project MESSAGE: + file_copies

Project MESSAGE: + qt

Project MESSAGE: + warn_on

Project MESSAGE: + release

Project MESSAGE: + link_prl

Project MESSAGE: + incremental

Project MESSAGE: + shared

Project MESSAGE: + qpa

Project MESSAGE: + release

Project MESSAGE: + qt_no_framework

Project MESSAGE: + linux

Project MESSAGE: + unix

Project MESSAGE: + posix

Project MESSAGE: + gcc

Project MESSAGE: + c++11

Project MESSAGE: + csound6

Project MESSAGE: + QCS_QT5

Project MESSAGE: + QCS_QT53

Project MESSAGE: + QCS_QT54

Project MESSAGE: + QCS_QT55

Project MESSAGE: + build64

Project MESSAGE: + thread

Project MESSAGE:

Project MESSAGE: Csound API include directory not specified.

Project MESSAGE: ... searching in /usr/local/include/csound

Project MESSAGE: CSOUND_API_INCLUDE_DIR set to /usr/local/include/csound

Project MESSAGE:

Project MESSAGE: Csound library directory not specified.

Project MESSAGE: ... searching in /usr/local/lib

Project MESSAGE: ... in /usr/local/lib for libcsound64.so libcsound64.a

Project MESSAGE: CSOUND_LIBRARY_DIR set to /usr/local/lib

Project MESSAGE:

Project MESSAGE: ... searching in /usr/lib

Project MESSAGE: ... in /usr/lib for libcsound64.so libcsound64.a

Project MESSAGE: Csound API include directory is /usr/local/include/csound

Project MESSAGE: Csound interfaces include directory is

Project MESSAGE: Csound library directory is /usr/local/lib

Project MESSAGE: Csound library is libcsound64.so libcsound64.a

Project MESSAGE:

Project MESSAGE: Removing CEF related files for non-html5 build.

Project MESSAGE: CONFIGs are: lex yacc debug exceptions depend_includepath testcase_targets import_plugins import_qpa_plugin file_copies qt warn_on release link_prl incremental shared qpa release qt_no_framework linux unix posix gcc c++11 csound6 QCS_QT5 QCS_QT53 QCS_QT54 QCS_QT55 build64 thread

Project MESSAGE: DEFINES are: NOMINMAX CSOUND6 USE_QT5 USE_QT_GT_53 USE_QT_GT_54 USE_QT_GT_55

Project MESSAGE: INCLUDEPATH is: /usr/local/include/csound

Project MESSAGE: LIBS are: -L/usr/local/lib -lcsound64 -lcsnd6

Project MESSAGE: TARGET is: CsoundQt-d-cs6

17:37:38: Der Prozess "/home/janjacobhofmann/Qt5.7.0/5.7/gcc_64/bin/qmake" wurde normal beendet.

17:37:38: Starte "/usr/bin/make"

/home/janjacobhofmann/Qt5.7.0/5.7/gcc_64/bin/uic src/about.ui -o build/ui/ui_about.h

/home/janjacobhofmann/Qt5.7.0/5.7/gcc_64/bin/uic src/configdialog.ui -o build/ui/ui_configdialog.h

/home/janjacobhofmann/Qt5.7.0/5.7/gcc_64/bin/uic src/findreplace.ui -o build/ui/ui_findreplace.h

/home/janjacobhofmann/Qt5.7.0/5.7/gcc_64/bin/uic src/keyboardshortcuts.ui -o build/ui/ui_keyboardshortcuts.h

/home/janjacobhofmann/Qt5.7.0/5.7/gcc_64/bin/uic src/keyselector.ui -o build/ui/ui_keyselector.h

/home/janjacobhofmann/Qt5.7.0/5.7/gcc_64/bin/uic src/liveeventcontrol.ui -o build/ui/ui_liveeventcontrol.h

/home/janjacobhofmann/Qt5.7.0/5.7/gcc_64/bin/uic src/liveeventframe.ui -o build/ui/ui_liveeventframe.h

/home/janjacobhofmann/Qt5.7.0/5.7/gcc_64/bin/uic src/utilitiesdialog.ui -o build/ui/ui_utilitiesdialog.h

/home/janjacobhofmann/Qt5.7.0/5.7/gcc_64/bin/uic src/appdetailspage.ui -o build/ui/ui_appdetailspage.h

/home/janjacobhofmann/Qt5.7.0/5.7/gcc_64/bin/uic src/pluginspage.ui -o build/ui/ui_pluginspage.h

/home/janjacobhofmann/Qt5.7.0/5.7/gcc_64/bin/uic src/additionalfilespage.ui -o build/ui/ui_additionalfilespage.h

/home/janjacobhofmann/Qt5.7.0/5.7/gcc_64/bin/uic src/filebeditor.ui -o build/ui/ui_filebeditor.h

/home/janjacobhofmann/Qt5.7.0/5.7/gcc_64/bin/uic src/midilearndialog.ui -o build/ui/ui_midilearndialog.h

/home/janjacobhofmann/Qt5.7.0/5.7/gcc_64/bin/uic src/debugpanel.ui -o build/ui/ui_debugpanel.h

/home/janjacobhofmann/Qt5.7.0/5.7/gcc_64/bin/uic src/dockhelp.ui -o build/ui/ui_dockhelp.h

/home/janjacobhofmann/Qt5.7.0/5.7/gcc_64/bin/uic src/livecodeeditor.ui -o build/ui/ui_livecodeeditor.h

/home/janjacobhofmann/Qt5.7.0/5.7/gcc_64/bin/uic src/newbreakpointdialog.ui -o build/ui/ui_newbreakpointdialog.h

/home/janjacobhofmann/Qt5.7.0/5.7/gcc_64/bin/uic src/html5guidisplay.ui -o build/ui/ui_html5guidisplay.h

g++ -c -pipe -g -Wunused-parameter -O2 -std=gnu++11 -D_REENTRANT -Wall -W -fPIC -DNOMINMAX -DCSOUND6 -DUSE_QT5 -DUSE_QT_GT_53 -DUSE_QT_GT_54 -DUSE_QT_GT_55 -DQT_NO_DEBUG -DQT_PRINTSUPPORT_LIB -DQT_QUICKWIDGETS_LIB -DQT_WIDGETS_LIB -DQT_QUICK_LIB -DQT_GUI_LIB -DQT_CONCURRENT_LIB -DQT_QML_LIB -DQT_NETWORK_LIB -DQT_XML_LIB -DQT_CORE_LIB -I. -isystem /usr/local/include/csound -I../Qt5.7.0/5.7/gcc_64/include -I../Qt5.7.0/5.7/gcc_64/include/QtPrintSupport -I../Qt5.7.0/5.7/gcc_64/include/QtQuickWidgets -I../Qt5.7.0/5.7/gcc_64/include/QtWidgets -I../Qt5.7.0/5.7/gcc_64/include/QtQuick -I../Qt5.7.0/5.7/gcc_64/include/QtGui -I../Qt5.7.0/5.7/gcc_64/include/QtConcurrent -I../Qt5.7.0/5.7/gcc_64/include/QtQml -I../Qt5.7.0/5.7/gcc_64/include/QtNetwork -I../Qt5.7.0/5.7/gcc_64/include/QtXml -I../Qt5.7.0/5.7/gcc_64/include/QtCore -Ibuild/moc -Ibuild/ui -I../Qt5.7.0/5.7/gcc_64/mkspecs/linux-g++ -o build/doubles/obj/about.o src/about.cpp

g++ -c -pipe -g -Wunused-parameter -O2 -std=gnu++11 -D_REENTRANT -Wall -W -fPIC -DNOMINMAX -DCSOUND6 -DUSE_QT5 -DUSE_QT_GT_53 -DUSE_QT_GT_54 -DUSE_QT_GT_55 -DQT_NO_DEBUG -DQT_PRINTSUPPORT_LIB -DQT_QUICKWIDGETS_LIB -DQT_WIDGETS_LIB -DQT_QUICK_LIB -DQT_GUI_LIB -DQT_CONCURRENT_LIB -DQT_QML_LIB -DQT_NETWORK_LIB -DQT_XML_LIB -DQT_CORE_LIB -I. -isystem /usr/local/include/csound -I../Qt5.7.0/5.7/gcc_64/include -I../Qt5.7.0/5.7/gcc_64/include/QtPrintSupport -I../Qt5.7.0/5.7/gcc_64/include/QtQuickWidgets -I../Qt5.7.0/5.7/gcc_64/include/QtWidgets -I../Qt5.7.0/5.7/gcc_64/include/QtQuick -I../Qt5.7.0/5.7/gcc_64/include/QtGui -I../Qt5.7.0/5.7/gcc_64/include/QtConcurrent -I../Qt5.7.0/5.7/gcc_64/include/QtQml -I../Qt5.7.0/5.7/gcc_64/include/QtNetwork -I../Qt5.7.0/5.7/gcc_64/include/QtXml -I../Qt5.7.0/5.7/gcc_64/include/QtCore -Ibuild/moc -Ibuild/ui -I../Qt5.7.0/5.7/gcc_64/mkspecs/linux-g++ -o build/doubles/obj/configdialog.o src/configdialog.cpp

In file included from ../Qt5.7.0/5.7/gcc_64/include/QtGui/qopenglcontext.h:60:0,

from ../Qt5.7.0/5.7/gcc_64/include/QtGui/QtGui:32,

from ../Qt5.7.0/5.7/gcc_64/include/QtWidgets/QtWidgetsDepends:4,

from ../Qt5.7.0/5.7/gcc_64/include/QtWidgets/QtWidgets:3,

from src/qutecsound.h:27,

from src/configdialog.cpp:25:

../Qt5.7.0/5.7/gcc_64/include/QtGui/qopengl.h:129:21: fatal error: GL/gl.h: No such file or directory

# include <GL/gl.h>

^

compilation terminated.

make: *** [build/doubles/obj/configdialog.o] Error 1

17:37:41: Der Prozess "/usr/bin/make" wurde mit dem Rückgabewert 2 beendet.

Fehler beim Erstellen/Deployment des Projekts qcs (Kit: Desktop Qt 5.7.0 GCC 64bit)

Bei der Ausführung von Schritt "Make"

17:37:41: Verstrichene Zeit: 00:04.

Am 14.10.2016 um 19:34 schrieb Tarmo Johannes:

Hi,

In QtCreator Open project, select qcs.pro from where you saved it.

T

14.10.2016 9:36 kirjutas kuupäeval "Jan Jacob Hofmann" <[hidden email]>:
Dear Joachim, thanks for the hint. What should I do then? Did I download the wrong type of Qt Creator or is there something I should change within Qt-Creator? Cheers, Jan Jacob Am <a moz-do-not-send="true" href="tel:13.10.2016" value="+13102016">13.10.2016 um 22:40 schrieb joachim heintz: > hi - > > qcs-haiku.pro is certainly the wrong file.  you must build against > qcs.pro.  this will select the appropriate platform for you.  haiku is a > linux derivate; not your linux though. > > cheers - >       joachim > > > On 13/10/16 22:34, Jan Jacob Hofmann wrote: >> Dear Joachim, dear Tarmo, >> >> I now went trough the process described in >> https://github.com/CsoundQt/CsoundQt/wiki/Building-CsoundQt-for-Debian-with-QtCreator >> now for several times. I always had to delete the folder CsoundQt in my >> home-directory, else I could not start again as git was complaining that >> the file already existed. I hope I did not break major things by just >> deleting the CsoundQt-folder before I start again. >> >> I do seem to fail always in one of the last steps. For example, after >> downloading Qtcsound via git there is an error message: No project could >> be opened in "/home/janjacobhofman/CsoundQt" >> (no file to open it could be found inside "/home/janjacobhofman/CsoundQt") >> >> >> Also I find an error at message at part 4 (compiling), that no >> "make"-file could be found -please check the settings for the build: >> >> 22:09:26: Führe Schritte für Projekt qcs-haiku aus... >> >> 22:09:26: Die Makefile-Datei konnte nicht gefunden werden. Bitte >> überprüfen Sie die Einstellungen zur Erstellung. >> >> Fehler beim Erstellen/Deployment des Projekts qcs-haiku (Kit: Desktop Qt >> 5.7.0 GCC 64bit) >> >> Bei der Ausführung von Schritt "Make" >> >> 22:09:26: Verstrichene Zeit: 00:00. >> >> >> >> Also I do wonder, if the three steps at project>build settings are in >> the right order... and why make is listed two times: >> >> >> Build settings: >> >> Steps: >> >> Make: make in /home/janjacobhofmann/CsoundQt >> >> qmake: qmake qcs-haiku.pro -r -spec linux-g++ >> >> Make: make in /home/janjacobhofmann/CsoundQt >> >> And what exactly is meant by "and set up the settings to your >> environment" in step four of the wiki-description: >> >> "In QtCreator, disable "Shadow Build" in Projects > Build Settings > >> General and set up the settings to your environment. Choose "Release" >> instead of "Debug" unless you want to develop CsoundQt." >> >> >> Finally, I do wonder if I go to Build>build project >> I can only build a project namend qcs-haiku, which seems to be the >> default name for a newly opened project in Qt Creator. Is that all right >> or am I trying to build a haiku-project (whatever that is) as I should >> build CsoundQt? >> >> I hope that you can somehow deal with my crude descriptions. >> >> All the best and thanks, >> >> Jan Jacob >> >> >> >> >> >> >> >> >> >> Am 10.10.2016 um 21:55 schrieb joachim heintz: >>> dear jan jacob - >>> >>> from my own experience i'd say: never use a german version ... >>> >>> but anyway — it sounds like you are on a good way.  home directory is >>> good, and the command "Build Project" has the hammer as symbol. the >>> Build Menu is the third from left (after File and Edit). >>> >>> maybe there is one step you missed. when you open the QtCreator, you >>> must first open a project. did you do this? >>> >>> once you succeed, you will write a german description for the process, >>> ok? >>> >>> cheers =) >>>    joachim >>> >>> >>> On 09/10/16 23:40, Jan Jacob Hofmann wrote: >>>> Dear Tarmo, dear Joachim, >>>> >>>> yes, thanks a lot, it had been the executable permission. When I changed >>>> that in the File manager, I could start the qt-creator installer right >>>> away. I did not know where to install it, so I installed it onto my >>>> desktop. >>>> >>>>  After that, I inserted the link from git and the download of the >>>> Qtcsound sources started. I placed it into my home-directory - I hope >>>> that that place was all right. After that, I was even able to disable >>>> "Shadow Build" and to choose "release" in the general settings. >>>> >>>> But after that I did not know how to move on. I found nothing like the >>>> Build-Menu or the "Build Project" command as suggested in the wiki >>>> (https://github.com/CsoundQt/CsoundQt/wiki). Maybe it is just that I >>>> have a german version of the qt-creator. >>>> >>>> So now I have two questions: Which are the right directories to install >>>> the qt-creator and qtcsound to? And: where can I find the "build >>>> project" command or the "Build"-menue? >>>> >>>> Thanks for a hint, >>>> >>>> Jan Jacob >>>> >>>> >>>> Am 07.10.2016 um 22:19 schrieb Tarmo Johannes: >>>>> Hi, >>>>> >>>>> this is an executable file normaly it should be enough if you just >>>>> click or double click on it. >>>>> >>>>> But it should work for sure if you open terminal, drag the file there >>>>> and press enter. If it complains that the file does not have >>>>> executable permission, you can set in in File manager (Properties of >>>>> the file) or enter in terminal >>>>> >>>>> $ bash qt-opensource-linux-x64-5.7.0.run >>>>> >>>>> But I guess you probably have qt installed already in your system. I >>>>> would suggest to use rather that to avoid possible conflicts. You >>>>> might need to install qt development packages and QtCreator though to >>>>> build yourself. >>>>> >>>>> I think it should be easily done if you use the package manager >>>>> (synaptics?) of your system. >>>>> >>>>> Please have a look at the wiki pages and let know if there are things >>>>> that should be added there. >>>>> >>>>> https://github.com/CsoundQt/CsoundQt/wiki >>>>> >>>>> Of course, it is impossible to write down everything, how things work >>>>> on Linux but keep trying! Even if the first time is frustrating, it >>>>> will be easy later! >>>>> >>>>> tarmo >>>>> >>>>> On Friday, October 07, 2016 09:37:07 PM Jan Jacob Hofmann wrote: >>>>> >>>>>> Dear Joachim, dear Tarmo, >>>>>> I gave building qt a try today... >>>>>> Having downloaded the qt installer from: >>>>> http://qt-mirror.dannhauer.de/archive/qt/5.7/5.7.0/qt-opensource-linux-x64-5 >>>>> >>>>> >>>>> >>>>>> .7.0.run >>>>>> it asks me, with wich programme I would like to open the file. I >>>>> have no >>>>> >>>>>> idea.... >>>>>> Do you know, what has to be done in this case? >>>>>> All the best, >>>>>> Jan Jacob >>>>>> Am 03.10.2016 um 20:15 schrieb joachim heintz: >>>>>>> dear jan jacob - >>>>>>> as these messages point to several packages which are not as much >>>>>>> up-to-date as this version of csoundqt requires, i'd follow tarmo >>>>> that >>>>> >>>>>>> it might be best to build csoundqt yourself. >>>>>>> i'd recommend to build *with* rtmidi but *without* pythonqt. (you >>>>> can do >>>>> >>>>>>> this later if you want.) >>>>>>> let us know any problems; but perhaps you will not experience any >>>>> ... =) >>>>> >>>>>>> joachim >>>>>>> On 03/10/16 09:12, Jan Jacob Hofmann wrote: >>>>>>>> Paket libcsnd6-6.0v5 ist nicht installiert. >>>>>>>> csoundqt hängt ab von libcsound64-6.0 (>= 1:6.03.0~dfsg); aber: >>>>>>>> Paket libcsound64-6.0 ist nicht installiert. >>>>>>>> csoundqt hängt ab von libqt5concurrent5 (>= 5.0.2); aber: >>>>>>>> Paket libqt5concurrent5 ist nicht installiert. >>>>>>>> csoundqt hängt ab von libqt5core5a (>= 5.6.0~beta); aber: >>>>>>>> Version von libqt5core5a:amd64 auf dem System ist >>>>>>>> 5.2.1+dfsg-1ubuntu14.3. >>>>>>>> csoundqt hängt ab von libqt5quickwidgets5 (>= 5.3.0); aber: >>>>>>>> Paket libqt5quickwidgets5 ist nicht installiert. >>>>> -------------------------------------------------------------------------- >>>>> >>>>> >>>>> >>>>>>> ---- Check out the vibrant tech community on one of the world's most >>>>>>> engaging tech sites, SlashDot.org! http://sdm.link/slashdot >>>>>>> _______________________________________________ >>>>>>> Qutecsound-users mailing list >>>>>>> [hidden email] >>>>>>> https://lists.sourceforge.net/lists/listinfo/qutecsound-users >>>>> >>>>> >>>>> ------------------------------------------------------------------------------ >>>>> >>>>> >>>>> Check out the vibrant tech community on one of the world's most >>>>> engaging tech sites, SlashDot.org! http://sdm.link/slashdot >>>>> >>>>> >>>>> _______________________________________________ >>>>> Qutecsound-users mailing list >>>>> [hidden email] >>>>> https://lists.sourceforge.net/lists/listinfo/qutecsound-users >>>> >>>> >>>> ------------------------------------------------------------------------------ >>>> >>>> Check out the vibrant tech community on one of the world's most >>>> engaging tech sites, SlashDot.org! http://sdm.link/slashdot >>>> >>>> >>>> >>>> _______________________________________________ >>>> Qutecsound-users mailing list >>>> [hidden email] >>>> https://lists.sourceforge.net/lists/listinfo/qutecsound-users >>>> >>> ------------------------------------------------------------------------------ >>> >>> Check out the vibrant tech community on one of the world's most >>> engaging tech sites, SlashDot.org! http://sdm.link/slashdot >>> _______________________________________________ >>> Qutecsound-users mailing list >>> [hidden email] >>> https://lists.sourceforge.net/lists/listinfo/qutecsound-users >> >> >> >> ------------------------------------------------------------------------------ >> Check out the vibrant tech community on one of the world's most >> engaging tech sites, SlashDot.org! http://sdm.link/slashdot >> >> >> >> _______________________________________________ >> Qutecsound-users mailing list >> [hidden email] >> https://lists.sourceforge.net/lists/listinfo/qutecsound-users >> > > ------------------------------------------------------------------------------ > Check out the vibrant tech community on one of the world's most > engaging tech sites, SlashDot.org! http://sdm.link/slashdot > _______________________________________________ > Qutecsound-users mailing list > [hidden email] > https://lists.sourceforge.net/lists/listinfo/qutecsound-users ------------------------------------------------------------------------------ Check out the vibrant tech community on one of the world's most engaging tech sites, SlashDot.org! http://sdm.link/slashdot _______________________________________________ Qutecsound-users mailing list [hidden email] https://lists.sourceforge.net/lists/listinfo/qutecsound-users
------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most 
engaging tech sites, SlashDot.org! http://sdm.link/slashdot
_______________________________________________
Qutecsound-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/qutecsound-users
-- 

sound      |      movement       |       object      |      space
sonic architecture     |      site: http://www.sonicarchitecture.de
spatial electronic composition    |    higher order ambisonic music


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, SlashDot.org! http://sdm.link/slashdot
_______________________________________________
Qutecsound-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/qutecsound-users
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: [Qutecsound-users] How to get Csoundqt running on Ubuntu

joachim-3
hi jan jacob -

yes i remember i had the same problem.  you must install a package which
provides this files, most probably libmesa-dev.  here is a good
description how to proceed on ubuntu:
http://askubuntu.com/questions/306703/compile-opengl-program-missing-gl-gl-h

actually your output looks very good otherwise.  maybe this is the only
step which is missing.

good luck -
        joachim


On 15/10/16 17:50, Jan Jacob Hofmann wrote:

> Dear Tarmo,
>
> selecting qcs.pro was imprtant - now I am one step further - thanks a
> lot. Still the process did not compile to the end. I have copied the
> messages. Is there something I was missing?
>
> All the best,
>
> Jan Jacob
>
> 17:37:36: Führe Schritte für Projekt qcs aus...
>
> 17:37:36: Starte "/home/janjacobhofmann/Qt5.7.0/5.7/gcc_64/bin/qmake"
> /home/janjacobhofmann/CsoundQt/qcs.pro -r -spec linux-g++
>
> Info: creating stash file /home/janjacobhofmann/CsoundQt/.qmake.stash
>
> Project MESSAGE: Building for Csound 6.
>
> Project MESSAGE:
>
> Project MESSAGE: Building CsoundQt for Unix-based system.
>
> Project MESSAGE:
>
> Project MESSAGE: Building CsoundQt for the double precision version of
> Csound.
>
> Project MESSAGE: Building release version.
>
> Project MESSAGE:
>
> Project MESSAGE: CONFIG ...
>
> Project MESSAGE: + lex
>
> Project MESSAGE: + yacc
>
> Project MESSAGE: + debug
>
> Project MESSAGE: + exceptions
>
> Project MESSAGE: + depend_includepath
>
> Project MESSAGE: + testcase_targets
>
> Project MESSAGE: + import_plugins
>
> Project MESSAGE: + import_qpa_plugin
>
> Project MESSAGE: + file_copies
>
> Project MESSAGE: + qt
>
> Project MESSAGE: + warn_on
>
> Project MESSAGE: + release
>
> Project MESSAGE: + link_prl
>
> Project MESSAGE: + incremental
>
> Project MESSAGE: + shared
>
> Project MESSAGE: + qpa
>
> Project MESSAGE: + release
>
> Project MESSAGE: + qt_no_framework
>
> Project MESSAGE: + linux
>
> Project MESSAGE: + unix
>
> Project MESSAGE: + posix
>
> Project MESSAGE: + gcc
>
> Project MESSAGE: + c++11
>
> Project MESSAGE: + csound6
>
> Project MESSAGE: + QCS_QT5
>
> Project MESSAGE: + QCS_QT53
>
> Project MESSAGE: + QCS_QT54
>
> Project MESSAGE: + QCS_QT55
>
> Project MESSAGE: + build64
>
> Project MESSAGE: + thread
>
> Project MESSAGE:
>
> Project MESSAGE: Csound API include directory not specified.
>
> Project MESSAGE: ... searching in /usr/local/include/csound
>
> Project MESSAGE: CSOUND_API_INCLUDE_DIR set to /usr/local/include/csound
>
> Project MESSAGE:
>
> Project MESSAGE: Csound library directory not specified.
>
> Project MESSAGE: ... searching in /usr/local/lib
>
> Project MESSAGE: ... in /usr/local/lib for libcsound64.so libcsound64.a
>
> Project MESSAGE: CSOUND_LIBRARY_DIR set to /usr/local/lib
>
> Project MESSAGE:
>
> Project MESSAGE: ... searching in /usr/lib
>
> Project MESSAGE: ... in /usr/lib for libcsound64.so libcsound64.a
>
> Project MESSAGE: Csound API include directory is /usr/local/include/csound
>
> Project MESSAGE: Csound interfaces include directory is
>
> Project MESSAGE: Csound library directory is /usr/local/lib
>
> Project MESSAGE: Csound library is libcsound64.so libcsound64.a
>
> Project MESSAGE:
>
> Project MESSAGE: Removing CEF related files for non-html5 build.
>
> Project MESSAGE: CONFIGs are: lex yacc debug exceptions
> depend_includepath testcase_targets import_plugins import_qpa_plugin
> file_copies qt warn_on release link_prl incremental shared qpa release
> qt_no_framework linux unix posix gcc c++11 csound6 QCS_QT5 QCS_QT53
> QCS_QT54 QCS_QT55 build64 thread
>
> Project MESSAGE: DEFINES are: NOMINMAX CSOUND6 USE_QT5 USE_QT_GT_53
> USE_QT_GT_54 USE_QT_GT_55
>
> Project MESSAGE: INCLUDEPATH is: /usr/local/include/csound
>
> Project MESSAGE: LIBS are: -L/usr/local/lib -lcsound64 -lcsnd6
>
> Project MESSAGE: TARGET is: CsoundQt-d-cs6
>
> 17:37:38: Der Prozess
> "/home/janjacobhofmann/Qt5.7.0/5.7/gcc_64/bin/qmake" wurde normal beendet.
>
> 17:37:38: Starte "/usr/bin/make"
>
> /home/janjacobhofmann/Qt5.7.0/5.7/gcc_64/bin/uic src/about.ui -o
> build/ui/ui_about.h
>
> /home/janjacobhofmann/Qt5.7.0/5.7/gcc_64/bin/uic src/configdialog.ui -o
> build/ui/ui_configdialog.h
>
> /home/janjacobhofmann/Qt5.7.0/5.7/gcc_64/bin/uic src/findreplace.ui -o
> build/ui/ui_findreplace.h
>
> /home/janjacobhofmann/Qt5.7.0/5.7/gcc_64/bin/uic
> src/keyboardshortcuts.ui -o build/ui/ui_keyboardshortcuts.h
>
> /home/janjacobhofmann/Qt5.7.0/5.7/gcc_64/bin/uic src/keyselector.ui -o
> build/ui/ui_keyselector.h
>
> /home/janjacobhofmann/Qt5.7.0/5.7/gcc_64/bin/uic src/liveeventcontrol.ui
> -o build/ui/ui_liveeventcontrol.h
>
> /home/janjacobhofmann/Qt5.7.0/5.7/gcc_64/bin/uic src/liveeventframe.ui
> -o build/ui/ui_liveeventframe.h
>
> /home/janjacobhofmann/Qt5.7.0/5.7/gcc_64/bin/uic src/utilitiesdialog.ui
> -o build/ui/ui_utilitiesdialog.h
>
> /home/janjacobhofmann/Qt5.7.0/5.7/gcc_64/bin/uic src/appdetailspage.ui
> -o build/ui/ui_appdetailspage.h
>
> /home/janjacobhofmann/Qt5.7.0/5.7/gcc_64/bin/uic src/pluginspage.ui -o
> build/ui/ui_pluginspage.h
>
> /home/janjacobhofmann/Qt5.7.0/5.7/gcc_64/bin/uic
> src/additionalfilespage.ui -o build/ui/ui_additionalfilespage.h
>
> /home/janjacobhofmann/Qt5.7.0/5.7/gcc_64/bin/uic src/filebeditor.ui -o
> build/ui/ui_filebeditor.h
>
> /home/janjacobhofmann/Qt5.7.0/5.7/gcc_64/bin/uic src/midilearndialog.ui
> -o build/ui/ui_midilearndialog.h
>
> /home/janjacobhofmann/Qt5.7.0/5.7/gcc_64/bin/uic src/debugpanel.ui -o
> build/ui/ui_debugpanel.h
>
> /home/janjacobhofmann/Qt5.7.0/5.7/gcc_64/bin/uic src/dockhelp.ui -o
> build/ui/ui_dockhelp.h
>
> /home/janjacobhofmann/Qt5.7.0/5.7/gcc_64/bin/uic src/livecodeeditor.ui
> -o build/ui/ui_livecodeeditor.h
>
> /home/janjacobhofmann/Qt5.7.0/5.7/gcc_64/bin/uic
> src/newbreakpointdialog.ui -o build/ui/ui_newbreakpointdialog.h
>
> /home/janjacobhofmann/Qt5.7.0/5.7/gcc_64/bin/uic src/html5guidisplay.ui
> -o build/ui/ui_html5guidisplay.h
>
> g++ -c -pipe -g -Wunused-parameter -O2 -std=gnu++11 -D_REENTRANT -Wall
> -W -fPIC -DNOMINMAX -DCSOUND6 -DUSE_QT5 -DUSE_QT_GT_53 -DUSE_QT_GT_54
> -DUSE_QT_GT_55 -DQT_NO_DEBUG -DQT_PRINTSUPPORT_LIB -DQT_QUICKWIDGETS_LIB
> -DQT_WIDGETS_LIB -DQT_QUICK_LIB -DQT_GUI_LIB -DQT_CONCURRENT_LIB
> -DQT_QML_LIB -DQT_NETWORK_LIB -DQT_XML_LIB -DQT_CORE_LIB -I. -isystem
> /usr/local/include/csound -I../Qt5.7.0/5.7/gcc_64/include
> -I../Qt5.7.0/5.7/gcc_64/include/QtPrintSupport
> -I../Qt5.7.0/5.7/gcc_64/include/QtQuickWidgets
> -I../Qt5.7.0/5.7/gcc_64/include/QtWidgets
> -I../Qt5.7.0/5.7/gcc_64/include/QtQuick
> -I../Qt5.7.0/5.7/gcc_64/include/QtGui
> -I../Qt5.7.0/5.7/gcc_64/include/QtConcurrent
> -I../Qt5.7.0/5.7/gcc_64/include/QtQml
> -I../Qt5.7.0/5.7/gcc_64/include/QtNetwork
> -I../Qt5.7.0/5.7/gcc_64/include/QtXml
> -I../Qt5.7.0/5.7/gcc_64/include/QtCore -Ibuild/moc -Ibuild/ui
> -I../Qt5.7.0/5.7/gcc_64/mkspecs/linux-g++ -o build/doubles/obj/about.o
> src/about.cpp
>
> g++ -c -pipe -g -Wunused-parameter -O2 -std=gnu++11 -D_REENTRANT -Wall
> -W -fPIC -DNOMINMAX -DCSOUND6 -DUSE_QT5 -DUSE_QT_GT_53 -DUSE_QT_GT_54
> -DUSE_QT_GT_55 -DQT_NO_DEBUG -DQT_PRINTSUPPORT_LIB -DQT_QUICKWIDGETS_LIB
> -DQT_WIDGETS_LIB -DQT_QUICK_LIB -DQT_GUI_LIB -DQT_CONCURRENT_LIB
> -DQT_QML_LIB -DQT_NETWORK_LIB -DQT_XML_LIB -DQT_CORE_LIB -I. -isystem
> /usr/local/include/csound -I../Qt5.7.0/5.7/gcc_64/include
> -I../Qt5.7.0/5.7/gcc_64/include/QtPrintSupport
> -I../Qt5.7.0/5.7/gcc_64/include/QtQuickWidgets
> -I../Qt5.7.0/5.7/gcc_64/include/QtWidgets
> -I../Qt5.7.0/5.7/gcc_64/include/QtQuick
> -I../Qt5.7.0/5.7/gcc_64/include/QtGui
> -I../Qt5.7.0/5.7/gcc_64/include/QtConcurrent
> -I../Qt5.7.0/5.7/gcc_64/include/QtQml
> -I../Qt5.7.0/5.7/gcc_64/include/QtNetwork
> -I../Qt5.7.0/5.7/gcc_64/include/QtXml
> -I../Qt5.7.0/5.7/gcc_64/include/QtCore -Ibuild/moc -Ibuild/ui
> -I../Qt5.7.0/5.7/gcc_64/mkspecs/linux-g++ -o
> build/doubles/obj/configdialog.o src/configdialog.cpp
>
> In file included from
> ../Qt5.7.0/5.7/gcc_64/include/QtGui/qopenglcontext.h:60:0,
>
> from ../Qt5.7.0/5.7/gcc_64/include/QtGui/QtGui:32,
>
> from ../Qt5.7.0/5.7/gcc_64/include/QtWidgets/QtWidgetsDepends:4,
>
> from ../Qt5.7.0/5.7/gcc_64/include/QtWidgets/QtWidgets:3,
>
> from src/qutecsound.h:27,
>
> from src/configdialog.cpp:25:
>
> ../Qt5.7.0/5.7/gcc_64/include/QtGui/qopengl.h:129:21: fatal error:
> GL/gl.h: No such file or directory
>
> # include <GL/gl.h>
>
> ^
>
> compilation terminated.
>
> make: *** [build/doubles/obj/configdialog.o] Error 1
>
> 17:37:41: Der Prozess "/usr/bin/make" wurde mit dem Rückgabewert 2 beendet.
>
> Fehler beim Erstellen/Deployment des Projekts qcs (Kit: Desktop Qt 5.7.0
> GCC 64bit)
>
> Bei der Ausführung von Schritt "Make"
>
> 17:37:41: Verstrichene Zeit: 00:04.
>
> Am 14.10.2016 um 19:34 schrieb Tarmo Johannes:
>>
>> Hi,
>>
>> In QtCreator Open project, select qcs.pro <http://qcs.pro> from where
>> you saved it.
>>
>> T
>>
>> 14.10.2016 9:36 kirjutas kuupäeval "Jan Jacob Hofmann"
>> <[hidden email] <mailto:[hidden email]>>:
>>
>>     Dear Joachim, thanks for the hint. What should I do then? Did I
>>     download the wrong type of Qt Creator or is there something I
>>     should change within Qt-Creator? Cheers, Jan Jacob Am 13.10.2016
>>     <tel:13.10.2016> um 22:40 schrieb joachim heintz: > hi - > >
>>     qcs-haiku.pro <http://qcs-haiku.pro> is certainly the wrong file.
>>     you must build against > qcs.pro <http://qcs.pro>.  this will
>>     select the appropriate platform for you.  haiku is a > linux
>>     derivate; not your linux though. > > cheers - >       joachim > >
>>     > On 13/10/16 22:34, Jan Jacob Hofmann wrote: >> Dear Joachim,
>>     dear Tarmo, >> >> I now went trough the process described in >>
>>
>> https://github.com/CsoundQt/CsoundQt/wiki/Building-CsoundQt-for-Debian-with-QtCreator
>>
>>
>> <https://github.com/CsoundQt/CsoundQt/wiki/Building-CsoundQt-for-Debian-with-QtCreator>
>>
>>     >> now for several times. I always had to delete the folder
>>     CsoundQt in my >> home-directory, else I could not start again as
>>     git was complaining that >> the file already existed. I hope I did
>>     not break major things by just >> deleting the CsoundQt-folder
>>     before I start again. >> >> I do seem to fail always in one of the
>>     last steps. For example, after >> downloading Qtcsound via git
>>     there is an error message: No project could >> be opened in
>>     "/home/janjacobhofman/CsoundQt" >> (no file to open it could be
>>     found inside "/home/janjacobhofman/CsoundQt") >> >> >> Also I find
>>     an error at message at part 4 (compiling), that no >> "make"-file
>>     could be found -please check the settings for the build: >> >>
>>     22:09:26: Führe Schritte für Projekt qcs-haiku aus... >> >>
>>     22:09:26: Die Makefile-Datei konnte nicht gefunden werden. Bitte
>>     >> überprüfen Sie die Einstellungen zur Erstellung. >> >> Fehler
>>     beim Erstellen/Deployment des Projekts qcs-haiku (Kit: Desktop Qt
>>     >> 5.7.0 GCC 64bit) >> >> Bei der Ausführung von Schritt "Make" >>
>>     >> 22:09:26: Verstrichene Zeit: 00:00. >> >> >> >> Also I do
>>     wonder, if the three steps at project>build settings are in >> the
>>     right order... and why make is listed two times: >> >> >> Build
>>     settings: >> >> Steps: >> >> Make: make in
>>     /home/janjacobhofmann/CsoundQt >> >> qmake: qmake qcs-haiku.pro
>>     <http://qcs-haiku.pro> -r -spec linux-g++ >> >> Make: make in
>>     /home/janjacobhofmann/CsoundQt >> >> And what exactly is meant by
>>     "and set up the settings to your >> environment" in step four of
>>     the wiki-description: >> >> "In QtCreator, disable "Shadow Build"
>>     in Projects > Build Settings > >> General and set up the settings
>>     to your environment. Choose "Release" >> instead of "Debug" unless
>>     you want to develop CsoundQt." >> >> >> Finally, I do wonder if I
>>     go to Build>build project >> I can only build a project namend
>>     qcs-haiku, which seems to be the >> default name for a newly
>>     opened project in Qt Creator. Is that all right >> or am I trying
>>     to build a haiku-project (whatever that is) as I should >> build
>>     CsoundQt? >> >> I hope that you can somehow deal with my crude
>>     descriptions. >> >> All the best and thanks, >> >> Jan Jacob >> >>
>>     >> >> >> >> >> >> >> >> Am 10.10.2016 um 21:55 schrieb joachim
>>     heintz: >>> dear jan jacob - >>> >>> from my own experience i'd
>>     say: never use a german version ... >>> >>> but anyway — it sounds
>>     like you are on a good way.  home directory is >>> good, and the
>>     command "Build Project" has the hammer as symbol. the >>> Build
>>     Menu is the third from left (after File and Edit). >>> >>> maybe
>>     there is one step you missed. when you open the QtCreator, you >>>
>>     must first open a project. did you do this? >>> >>> once you
>>     succeed, you will write a german description for the process, >>>
>>     ok? >>> >>> cheers =) >>>    joachim >>> >>> >>> On 09/10/16
>>     23:40, Jan Jacob Hofmann wrote: >>>> Dear Tarmo, dear Joachim,
>>     >>>> >>>> yes, thanks a lot, it had been the executable
>>     permission. When I changed >>>> that in the File manager, I could
>>     start the qt-creator installer right >>>> away. I did not know
>>     where to install it, so I installed it onto my >>>> desktop. >>>>
>>     >>>>  After that, I inserted the link from git and the download of
>>     the >>>> Qtcsound sources started. I placed it into my
>>     home-directory - I hope >>>> that that place was all right. After
>>     that, I was even able to disable >>>> "Shadow Build" and to choose
>>     "release" in the general settings. >>>> >>>> But after that I did
>>     not know how to move on. I found nothing like the >>>> Build-Menu
>>     or the "Build Project" command as suggested in the wiki >>>>
>>     (https://github.com/CsoundQt/CsoundQt/wiki
>>     <https://github.com/CsoundQt/CsoundQt/wiki>). Maybe it is just
>>     that I >>>> have a german version of the qt-creator. >>>> >>>> So
>>     now I have two questions: Which are the right directories to
>>     install >>>> the qt-creator and qtcsound to? And: where can I find
>>     the "build >>>> project" command or the "Build"-menue? >>>> >>>>
>>     Thanks for a hint, >>>> >>>> Jan Jacob >>>> >>>> >>>> Am
>>     07.10.2016 um 22:19 schrieb Tarmo Johannes: >>>>> Hi, >>>>> >>>>>
>>     this is an executable file normaly it should be enough if you just
>>     >>>>> click or double click on it. >>>>> >>>>> But it should work
>>     for sure if you open terminal, drag the file there >>>>> and press
>>     enter. If it complains that the file does not have >>>>>
>>     executable permission, you can set in in File manager (Properties
>>     of >>>>> the file) or enter in terminal >>>>> >>>>> $ bash
>>     qt-opensource-linux-x64-5.7.0.run >>>>> >>>>> But I guess you
>>     probably have qt installed already in your system. I >>>>> would
>>     suggest to use rather that to avoid possible conflicts. You >>>>>
>>     might need to install qt development packages and QtCreator though
>>     to >>>>> build yourself. >>>>> >>>>> I think it should be easily
>>     done if you use the package manager >>>>> (synaptics?) of your
>>     system. >>>>> >>>>> Please have a look at the wiki pages and let
>>     know if there are things >>>>> that should be added there. >>>>>
>>     >>>>> https://github.com/CsoundQt/CsoundQt/wiki
>>     <https://github.com/CsoundQt/CsoundQt/wiki> >>>>> >>>>> Of course,
>>     it is impossible to write down everything, how things work >>>>>
>>     on Linux but keep trying! Even if the first time is frustrating,
>>     it >>>>> will be easy later! >>>>> >>>>> tarmo >>>>> >>>>> On
>>     Friday, October 07, 2016 09:37:07 PM Jan Jacob Hofmann wrote:
>>     >>>>> >>>>>> Dear Joachim, dear Tarmo, >>>>>> I gave building qt a
>>     try today... >>>>>> Having downloaded the qt installer from: >>>>>
>>
>> http://qt-mirror.dannhauer.de/archive/qt/5.7/5.7.0/qt-opensource-linux-x64-5
>>
>>
>> <http://qt-mirror.dannhauer.de/archive/qt/5.7/5.7.0/qt-opensource-linux-x64-5>
>>
>>     >>>>> >>>>> >>>>> >>>>>> .7.0.run >>>>>> it asks me, with wich
>>     programme I would like to open the file. I >>>>> have no >>>>>
>>     >>>>>> idea.... >>>>>> Do you know, what has to be done in this
>>     case? >>>>>> All the best, >>>>>> Jan Jacob >>>>>> Am 03.10.2016
>>     um 20:15 schrieb joachim heintz: >>>>>>> dear jan jacob - >>>>>>>
>>     as these messages point to several packages which are not as much
>>     >>>>>>> up-to-date as this version of csoundqt requires, i'd
>>     follow tarmo >>>>> that >>>>> >>>>>>> it might be best to build
>>     csoundqt yourself. >>>>>>> i'd recommend to build *with* rtmidi
>>     but *without* pythonqt. (you >>>>> can do >>>>> >>>>>>> this later
>>     if you want.) >>>>>>> let us know any problems; but perhaps you
>>     will not experience any >>>>> ... =) >>>>> >>>>>>> joachim >>>>>>>
>>     On 03/10/16 09:12, Jan Jacob Hofmann wrote: >>>>>>>> Paket
>>     libcsnd6-6.0v5 ist nicht installiert. >>>>>>>> csoundqt hängt ab
>>     von libcsound64-6.0 (>= 1:6.03.0~dfsg); aber: >>>>>>>> Paket
>>     libcsound64-6.0 ist nicht installiert. >>>>>>>> csoundqt hängt ab
>>     von libqt5concurrent5 (>= 5.0.2); aber: >>>>>>>> Paket
>>     libqt5concurrent5 ist nicht installiert. >>>>>>>> csoundqt hängt
>>     ab von libqt5core5a (>= 5.6.0~beta); aber: >>>>>>>> Version von
>>     libqt5core5a:amd64 auf dem System ist >>>>>>>>
>>     5.2.1+dfsg-1ubuntu14.3. >>>>>>>> csoundqt hängt ab von
>>     libqt5quickwidgets5 (>= 5.3.0); aber: >>>>>>>> Paket
>>     libqt5quickwidgets5 ist nicht installiert. >>>>>
>>
>> --------------------------------------------------------------------------
>>
>>     >>>>> >>>>> >>>>> >>>>>>> ---- Check out the vibrant tech
>>     community on one of the world's most >>>>>>> engaging tech sites,
>>     SlashDot.org! http://sdm.link/slashdot >>>>>>>
>>     _______________________________________________ >>>>>>>
>>     Qutecsound-users mailing list >>>>>>>
>>     [hidden email]
>>     <mailto:[hidden email]> >>>>>>>
>>     https://lists.sourceforge.net/lists/listinfo/qutecsound-users
>>     <https://lists.sourceforge.net/lists/listinfo/qutecsound-users>
>>     >>>>> >>>>> >>>>>
>>
>> ------------------------------------------------------------------------------
>>
>>     >>>>> >>>>> >>>>> Check out the vibrant tech community on one of
>>     the world's most >>>>> engaging tech sites, SlashDot.org!
>>     http://sdm.link/slashdot >>>>> >>>>> >>>>>
>>     _______________________________________________ >>>>>
>>     Qutecsound-users mailing list >>>>>
>>     [hidden email]
>>     <mailto:[hidden email]> >>>>>
>>     https://lists.sourceforge.net/lists/listinfo/qutecsound-users
>>     <https://lists.sourceforge.net/lists/listinfo/qutecsound-users>
>>     >>>> >>>> >>>>
>>
>> ------------------------------------------------------------------------------
>>
>>     >>>> >>>> Check out the vibrant tech community on one of the
>>     world's most >>>> engaging tech sites, SlashDot.org!
>>     http://sdm.link/slashdot >>>> >>>> >>>> >>>>
>>     _______________________________________________ >>>>
>>     Qutecsound-users mailing list >>>>
>>     [hidden email]
>>     <mailto:[hidden email]> >>>>
>>     https://lists.sourceforge.net/lists/listinfo/qutecsound-users
>>     <https://lists.sourceforge.net/lists/listinfo/qutecsound-users>
>>     >>>> >>>
>>
>> ------------------------------------------------------------------------------
>>
>>     >>> >>> Check out the vibrant tech community on one of the world's
>>     most >>> engaging tech sites, SlashDot.org!
>>     http://sdm.link/slashdot >>>
>>     _______________________________________________ >>>
>>     Qutecsound-users mailing list >>>
>>     [hidden email]
>>     <mailto:[hidden email]> >>>
>>     https://lists.sourceforge.net/lists/listinfo/qutecsound-users
>>     <https://lists.sourceforge.net/lists/listinfo/qutecsound-users> >>
>>     >> >> >>
>>
>> ------------------------------------------------------------------------------
>>
>>     >> Check out the vibrant tech community on one of the world's most
>>     >> engaging tech sites, SlashDot.org! http://sdm.link/slashdot >>
>>     >> >> >> _______________________________________________ >>
>>     Qutecsound-users mailing list >>
>>     [hidden email]
>>     <mailto:[hidden email]> >>
>>     https://lists.sourceforge.net/lists/listinfo/qutecsound-users
>>     <https://lists.sourceforge.net/lists/listinfo/qutecsound-users> >>
>>     > >
>>
>> ------------------------------------------------------------------------------
>>
>>     > Check out the vibrant tech community on one of the world's most
>>     > engaging tech sites, SlashDot.org! http://sdm.link/slashdot >
>>     _______________________________________________ > Qutecsound-users
>>     mailing list > [hidden email]
>>     <mailto:[hidden email]> >
>>     https://lists.sourceforge.net/lists/listinfo/qutecsound-users
>>     <https://lists.sourceforge.net/lists/listinfo/qutecsound-users>
>>
>> ------------------------------------------------------------------------------
>>
>>     Check out the vibrant tech community on one of the world's most
>>     engaging tech sites, SlashDot.org! http://sdm.link/slashdot
>>     _______________________________________________ Qutecsound-users
>>     mailing list [hidden email]
>>     <mailto:[hidden email]>
>>     https://lists.sourceforge.net/lists/listinfo/qutecsound-users
>>     <https://lists.sourceforge.net/lists/listinfo/qutecsound-users>
>> ------------------------------------------------------------------------------
>>
>> Check out the vibrant tech community on one of the world's most
>> engaging tech sites, SlashDot.org! http://sdm.link/slashdot
>>
>> _______________________________________________
>> Qutecsound-users mailing list
>> [hidden email]
>> https://lists.sourceforge.net/lists/listinfo/qutecsound-users
>>
>>
>> ------------------------------------------------------------------------------
>> Check out the vibrant tech community on one of the world's most
>> engaging tech sites, SlashDot.org! http://sdm.link/slashdot
>>
>>
>> _______________________________________________
>> Qutecsound-users mailing list
>> [hidden email]
>> https://lists.sourceforge.net/lists/listinfo/qutecsound-users

------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, SlashDot.org! http://sdm.link/slashdot
_______________________________________________
Qutecsound-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/qutecsound-users
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: [Qutecsound-users] How to get Csoundqt running on Ubuntu

Jan Jacob Hofmann

Dear Joachim, dear Tarmo

thanks for that explanation, it again helped a lot - I am another step further... though still not there. I downloaded and installed apt-file like this:

sudo apt-get install apt-file

and then

apt-file update

...to make sure that it is really up-to-date...but maybe that was not necessary.

and then:

sudo apt-get install mesa-common-dev

as proposed in the thread http://askubuntu.com/questions/306703/compile-opengl-program-missing-gl-gl-h.

I did not copy any file into the include-directory like described there, first of all because it did not seem to be the recommended way of proceeding. I just gave it a try and compiled again on Qt Creator. This time it took much, much longer before it terminated ;-)

Besides lots of warning messages (66 to be precise) I finally got two fatal errors (complete output listed below):

:-1: Fehler: cannot find -lGL

:-1: Fehler: collect2: error: ld returned 1 exit status

Well, again, sorry - any idea what I could do?


All the best,

Jan Jacob





20:37:09: Führe Schritte für Projekt qcs aus...

20:37:09: Unveränderte Konfiguration, qmake-Schritt wird übersprungen.

20:37:09: Starte "/usr/bin/make"

g++ -c -pipe -g -Wunused-parameter -O2 -std=gnu++11 -D_REENTRANT -Wall -W -fPIC -DNOMINMAX -DCSOUND6 -DUSE_QT5 -DUSE_QT_GT_53 -DUSE_QT_GT_54 -DUSE_QT_GT_55 -DQT_NO_DEBUG -DQT_PRINTSUPPORT_LIB -DQT_QUICKWIDGETS_LIB -DQT_WIDGETS_LIB -DQT_QUICK_LIB -DQT_GUI_LIB -DQT_CONCURRENT_LIB -DQT_QML_LIB -DQT_NETWORK_LIB -DQT_XML_LIB -DQT_CORE_LIB -I. -isystem /usr/local/include/csound -I../Qt5.7.0/5.7/gcc_64/include -I../Qt5.7.0/5.7/gcc_64/include/QtPrintSupport -I../Qt5.7.0/5.7/gcc_64/include/QtQuickWidgets -I../Qt5.7.0/5.7/gcc_64/include/QtWidgets -I../Qt5.7.0/5.7/gcc_64/include/QtQuick -I../Qt5.7.0/5.7/gcc_64/include/QtGui -I../Qt5.7.0/5.7/gcc_64/include/QtConcurrent -I../Qt5.7.0/5.7/gcc_64/include/QtQml -I../Qt5.7.0/5.7/gcc_64/include/QtNetwork -I../Qt5.7.0/5.7/gcc_64/include/QtXml -I../Qt5.7.0/5.7/gcc_64/include/QtCore -Ibuild/moc -Ibuild/ui -I../Qt5.7.0/5.7/gcc_64/mkspecs/linux-g++ -o build/doubles/obj/configdialog.o src/configdialog.cpp

g++ -c -pipe -g -Wunused-parameter -O2 -std=gnu++11 -D_REENTRANT -Wall -W -fPIC -DNOMINMAX -DCSOUND6 -DUSE_QT5 -DUSE_QT_GT_53 -DUSE_QT_GT_54 -DUSE_QT_GT_55 -DQT_NO_DEBUG -DQT_PRINTSUPPORT_LIB -DQT_QUICKWIDGETS_LIB -DQT_WIDGETS_LIB -DQT_QUICK_LIB -DQT_GUI_LIB -DQT_CONCURRENT_LIB -DQT_QML_LIB -DQT_NETWORK_LIB -DQT_XML_LIB -DQT_CORE_LIB -I. -isystem /usr/local/include/csound -I../Qt5.7.0/5.7/gcc_64/include -I../Qt5.7.0/5.7/gcc_64/include/QtPrintSupport -I../Qt5.7.0/5.7/gcc_64/include/QtQuickWidgets -I../Qt5.7.0/5.7/gcc_64/include/QtWidgets -I../Qt5.7.0/5.7/gcc_64/include/QtQuick -I../Qt5.7.0/5.7/gcc_64/include/QtGui -I../Qt5.7.0/5.7/gcc_64/include/QtConcurrent -I../Qt5.7.0/5.7/gcc_64/include/QtQml -I../Qt5.7.0/5.7/gcc_64/include/QtNetwork -I../Qt5.7.0/5.7/gcc_64/include/QtXml -I../Qt5.7.0/5.7/gcc_64/include/QtCore -Ibuild/moc -Ibuild/ui -I../Qt5.7.0/5.7/gcc_64/mkspecs/linux-g++ -o build/doubles/obj/configlists.o src/configlists.cpp

g++ -c -pipe -g -Wunused-parameter -O2 -std=gnu++11 -D_REENTRANT -Wall -W -fPIC -DNOMINMAX -DCSOUND6 -DUSE_QT5 -DUSE_QT_GT_53 -DUSE_QT_GT_54 -DUSE_QT_GT_55 -DQT_NO_DEBUG -DQT_PRINTSUPPORT_LIB -DQT_QUICKWIDGETS_LIB -DQT_WIDGETS_LIB -DQT_QUICK_LIB -DQT_GUI_LIB -DQT_CONCURRENT_LIB -DQT_QML_LIB -DQT_NETWORK_LIB -DQT_XML_LIB -DQT_CORE_LIB -I. -isystem /usr/local/include/csound -I../Qt5.7.0/5.7/gcc_64/include -I../Qt5.7.0/5.7/gcc_64/include/QtPrintSupport -I../Qt5.7.0/5.7/gcc_64/include/QtQuickWidgets -I../Qt5.7.0/5.7/gcc_64/include/QtWidgets -I../Qt5.7.0/5.7/gcc_64/include/QtQuick -I../Qt5.7.0/5.7/gcc_64/include/QtGui -I../Qt5.7.0/5.7/gcc_64/include/QtConcurrent -I../Qt5.7.0/5.7/gcc_64/include/QtQml -I../Qt5.7.0/5.7/gcc_64/include/QtNetwork -I../Qt5.7.0/5.7/gcc_64/include/QtXml -I../Qt5.7.0/5.7/gcc_64/include/QtCore -Ibuild/moc -Ibuild/ui -I../Qt5.7.0/5.7/gcc_64/mkspecs/linux-g++ -o build/doubles/obj/console.o src/console.cpp

g++ -c -pipe -g -Wunused-parameter -O2 -std=gnu++11 -D_REENTRANT -Wall -W -fPIC -DNOMINMAX -DCSOUND6 -DUSE_QT5 -DUSE_QT_GT_53 -DUSE_QT_GT_54 -DUSE_QT_GT_55 -DQT_NO_DEBUG -DQT_PRINTSUPPORT_LIB -DQT_QUICKWIDGETS_LIB -DQT_WIDGETS_LIB -DQT_QUICK_LIB -DQT_GUI_LIB -DQT_CONCURRENT_LIB -DQT_QML_LIB -DQT_NETWORK_LIB -DQT_XML_LIB -DQT_CORE_LIB -I. -isystem /usr/local/include/csound -I../Qt5.7.0/5.7/gcc_64/include -I../Qt5.7.0/5.7/gcc_64/include/QtPrintSupport -I../Qt5.7.0/5.7/gcc_64/include/QtQuickWidgets -I../Qt5.7.0/5.7/gcc_64/include/QtWidgets -I../Qt5.7.0/5.7/gcc_64/include/QtQuick -I../Qt5.7.0/5.7/gcc_64/include/QtGui -I../Qt5.7.0/5.7/gcc_64/include/QtConcurrent -I../Qt5.7.0/5.7/gcc_64/include/QtQml -I../Qt5.7.0/5.7/gcc_64/include/QtNetwork -I../Qt5.7.0/5.7/gcc_64/include/QtXml -I../Qt5.7.0/5.7/gcc_64/include/QtCore -Ibuild/moc -Ibuild/ui -I../Qt5.7.0/5.7/gcc_64/mkspecs/linux-g++ -o build/doubles/obj/csoundengine.o src/csoundengine.cpp

src/csoundengine.cpp:337:5: warning: unused parameter 'csound' [-Wunused-parameter]

int CsoundEngine::midiOutCloseCb(CSOUND *csound, void *ud)

^

src/csoundengine.cpp:337:5: warning: unused parameter 'ud' [-Wunused-parameter]

src/csoundengine.cpp:362:6: warning: unused parameter 'message' [-Wunused-parameter]

void CsoundEngine::sendMidiOut(QVector<unsigned char> &message)

^

src/csoundengine.cpp:746:6: warning: unused parameter 'delay' [-Wunused-parameter]

void CsoundEngine::queueEvent(QString eventLine, int delay)

^

g++ -c -pipe -g -Wunused-parameter -O2 -std=gnu++11 -D_REENTRANT -Wall -W -fPIC -DNOMINMAX -DCSOUND6 -DUSE_QT5 -DUSE_QT_GT_53 -DUSE_QT_GT_54 -DUSE_QT_GT_55 -DQT_NO_DEBUG -DQT_PRINTSUPPORT_LIB -DQT_QUICKWIDGETS_LIB -DQT_WIDGETS_LIB -DQT_QUICK_LIB -DQT_GUI_LIB -DQT_CONCURRENT_LIB -DQT_QML_LIB -DQT_NETWORK_LIB -DQT_XML_LIB -DQT_CORE_LIB -I. -isystem /usr/local/include/csound -I../Qt5.7.0/5.7/gcc_64/include -I../Qt5.7.0/5.7/gcc_64/include/QtPrintSupport -I../Qt5.7.0/5.7/gcc_64/include/QtQuickWidgets -I../Qt5.7.0/5.7/gcc_64/include/QtWidgets -I../Qt5.7.0/5.7/gcc_64/include/QtQuick -I../Qt5.7.0/5.7/gcc_64/include/QtGui -I../Qt5.7.0/5.7/gcc_64/include/QtConcurrent -I../Qt5.7.0/5.7/gcc_64/include/QtQml -I../Qt5.7.0/5.7/gcc_64/include/QtNetwork -I../Qt5.7.0/5.7/gcc_64/include/QtXml -I../Qt5.7.0/5.7/gcc_64/include/QtCore -Ibuild/moc -Ibuild/ui -I../Qt5.7.0/5.7/gcc_64/mkspecs/linux-g++ -o build/doubles/obj/csoundoptions.o src/csoundoptions.cpp

g++ -c -pipe -g -Wunused-parameter -O2 -std=gnu++11 -D_REENTRANT -Wall -W -fPIC -DNOMINMAX -DCSOUND6 -DUSE_QT5 -DUSE_QT_GT_53 -DUSE_QT_GT_54 -DUSE_QT_GT_55 -DQT_NO_DEBUG -DQT_PRINTSUPPORT_LIB -DQT_QUICKWIDGETS_LIB -DQT_WIDGETS_LIB -DQT_QUICK_LIB -DQT_GUI_LIB -DQT_CONCURRENT_LIB -DQT_QML_LIB -DQT_NETWORK_LIB -DQT_XML_LIB -DQT_CORE_LIB -I. -isystem /usr/local/include/csound -I../Qt5.7.0/5.7/gcc_64/include -I../Qt5.7.0/5.7/gcc_64/include/QtPrintSupport -I../Qt5.7.0/5.7/gcc_64/include/QtQuickWidgets -I../Qt5.7.0/5.7/gcc_64/include/QtWidgets -I../Qt5.7.0/5.7/gcc_64/include/QtQuick -I../Qt5.7.0/5.7/gcc_64/include/QtGui -I../Qt5.7.0/5.7/gcc_64/include/QtConcurrent -I../Qt5.7.0/5.7/gcc_64/include/QtQml -I../Qt5.7.0/5.7/gcc_64/include/QtNetwork -I../Qt5.7.0/5.7/gcc_64/include/QtXml -I../Qt5.7.0/5.7/gcc_64/include/QtCore -Ibuild/moc -Ibuild/ui -I../Qt5.7.0/5.7/gcc_64/mkspecs/linux-g++ -o build/doubles/obj/curve.o src/curve.cpp

g++ -c -pipe -g -Wunused-parameter -O2 -std=gnu++11 -D_REENTRANT -Wall -W -fPIC -DNOMINMAX -DCSOUND6 -DUSE_QT5 -DUSE_QT_GT_53 -DUSE_QT_GT_54 -DUSE_QT_GT_55 -DQT_NO_DEBUG -DQT_PRINTSUPPORT_LIB -DQT_QUICKWIDGETS_LIB -DQT_WIDGETS_LIB -DQT_QUICK_LIB -DQT_GUI_LIB -DQT_CONCURRENT_LIB -DQT_QML_LIB -DQT_NETWORK_LIB -DQT_XML_LIB -DQT_CORE_LIB -I. -isystem /usr/local/include/csound -I../Qt5.7.0/5.7/gcc_64/include -I../Qt5.7.0/5.7/gcc_64/include/QtPrintSupport -I../Qt5.7.0/5.7/gcc_64/include/QtQuickWidgets -I../Qt5.7.0/5.7/gcc_64/include/QtWidgets -I../Qt5.7.0/5.7/gcc_64/include/QtQuick -I../Qt5.7.0/5.7/gcc_64/include/QtGui -I../Qt5.7.0/5.7/gcc_64/include/QtConcurrent -I../Qt5.7.0/5.7/gcc_64/include/QtQml -I../Qt5.7.0/5.7/gcc_64/include/QtNetwork -I../Qt5.7.0/5.7/gcc_64/include/QtXml -I../Qt5.7.0/5.7/gcc_64/include/QtCore -Ibuild/moc -Ibuild/ui -I../Qt5.7.0/5.7/gcc_64/mkspecs/linux-g++ -o build/doubles/obj/dockhelp.o src/dockhelp.cpp

g++ -c -pipe -g -Wunused-parameter -O2 -std=gnu++11 -D_REENTRANT -Wall -W -fPIC -DNOMINMAX -DCSOUND6 -DUSE_QT5 -DUSE_QT_GT_53 -DUSE_QT_GT_54 -DUSE_QT_GT_55 -DQT_NO_DEBUG -DQT_PRINTSUPPORT_LIB -DQT_QUICKWIDGETS_LIB -DQT_WIDGETS_LIB -DQT_QUICK_LIB -DQT_GUI_LIB -DQT_CONCURRENT_LIB -DQT_QML_LIB -DQT_NETWORK_LIB -DQT_XML_LIB -DQT_CORE_LIB -I. -isystem /usr/local/include/csound -I../Qt5.7.0/5.7/gcc_64/include -I../Qt5.7.0/5.7/gcc_64/include/QtPrintSupport -I../Qt5.7.0/5.7/gcc_64/include/QtQuickWidgets -I../Qt5.7.0/5.7/gcc_64/include/QtWidgets -I../Qt5.7.0/5.7/gcc_64/include/QtQuick -I../Qt5.7.0/5.7/gcc_64/include/QtGui -I../Qt5.7.0/5.7/gcc_64/include/QtConcurrent -I../Qt5.7.0/5.7/gcc_64/include/QtQml -I../Qt5.7.0/5.7/gcc_64/include/QtNetwork -I../Qt5.7.0/5.7/gcc_64/include/QtXml -I../Qt5.7.0/5.7/gcc_64/include/QtCore -Ibuild/moc -Ibuild/ui -I../Qt5.7.0/5.7/gcc_64/mkspecs/linux-g++ -o build/doubles/obj/documentpage.o src/documentpage.cpp

src/documentpage.cpp: In member function 'virtual int DocumentPage::setTextString(QString&)':

src/documentpage.cpp:193:7: warning: unused variable 'visibleEnabled' [-Wunused-variable]

int visibleEnabled = panelElement.attribute("visible","true") == "true";

^

src/documentpage.cpp: At global scope:

src/documentpage.cpp:563:13: warning: unused parameter 'sheetName' [-Wunused-parameter]

EventSheet* DocumentPage::getSheet(QString sheetName)

^

src/documentpage.cpp:1107:6: warning: unused parameter 'index' [-Wunused-parameter]

void DocumentPage::stopPanelSlot(int index)

^

src/documentpage.cpp:1124:6: warning: unused parameter 'index' [-Wunused-parameter]

void DocumentPage::setPanelSyncSlot(int index, int mode)

^

src/documentpage.cpp:1124:6: warning: unused parameter 'mode' [-Wunused-parameter]

src/documentpage.cpp:1269:5: warning: unused parameter 'format' [-Wunused-parameter]

int DocumentPage::record(int format)

^

src/documentpage.cpp:1362:6: warning: unused parameter 'widget' [-Wunused-parameter]

void DocumentPage::passUnselectedWidget(QuteWidget *widget) // necessary only when ML is opened from edit menu and a widget is selected.

^

g++ -c -pipe -g -Wunused-parameter -O2 -std=gnu++11 -D_REENTRANT -Wall -W -fPIC -DNOMINMAX -DCSOUND6 -DUSE_QT5 -DUSE_QT_GT_53 -DUSE_QT_GT_54 -DUSE_QT_GT_55 -DQT_NO_DEBUG -DQT_PRINTSUPPORT_LIB -DQT_QUICKWIDGETS_LIB -DQT_WIDGETS_LIB -DQT_QUICK_LIB -DQT_GUI_LIB -DQT_CONCURRENT_LIB -DQT_QML_LIB -DQT_NETWORK_LIB -DQT_XML_LIB -DQT_CORE_LIB -I. -isystem /usr/local/include/csound -I../Qt5.7.0/5.7/gcc_64/include -I../Qt5.7.0/5.7/gcc_64/include/QtPrintSupport -I../Qt5.7.0/5.7/gcc_64/include/QtQuickWidgets -I../Qt5.7.0/5.7/gcc_64/include/QtWidgets -I../Qt5.7.0/5.7/gcc_64/include/QtQuick -I../Qt5.7.0/5.7/gcc_64/include/QtGui -I../Qt5.7.0/5.7/gcc_64/include/QtConcurrent -I../Qt5.7.0/5.7/gcc_64/include/QtQml -I../Qt5.7.0/5.7/gcc_64/include/QtNetwork -I../Qt5.7.0/5.7/gcc_64/include/QtXml -I../Qt5.7.0/5.7/gcc_64/include/QtCore -Ibuild/moc -Ibuild/ui -I../Qt5.7.0/5.7/gcc_64/mkspecs/linux-g++ -o build/doubles/obj/documentview.o src/documentview.cpp

src/documentview.cpp: In member function 'void DocumentView::updateOrcContext(QString)':

src/documentview.cpp:198:6: warning: variable 'innerContext' set but not used [-Wunused-but-set-variable]

int innerContext = 0;

^

src/documentview.cpp: At global scope:

src/documentview.cpp:190:6: warning: unused parameter 'orc' [-Wunused-parameter]

void DocumentView::updateOrcContext(QString orc)

^

src/documentview.cpp:1890:6: warning: unused parameter 'ev' [-Wunused-parameter]

void HoverWidget::mousePressEvent(QMouseEvent *ev)

^

g++ -c -pipe -g -Wunused-parameter -O2 -std=gnu++11 -D_REENTRANT -Wall -W -fPIC -DNOMINMAX -DCSOUND6 -DUSE_QT5 -DUSE_QT_GT_53 -DUSE_QT_GT_54 -DUSE_QT_GT_55 -DQT_NO_DEBUG -DQT_PRINTSUPPORT_LIB -DQT_QUICKWIDGETS_LIB -DQT_WIDGETS_LIB -DQT_QUICK_LIB -DQT_GUI_LIB -DQT_CONCURRENT_LIB -DQT_QML_LIB -DQT_NETWORK_LIB -DQT_XML_LIB -DQT_CORE_LIB -I. -isystem /usr/local/include/csound -I../Qt5.7.0/5.7/gcc_64/include -I../Qt5.7.0/5.7/gcc_64/include/QtPrintSupport -I../Qt5.7.0/5.7/gcc_64/include/QtQuickWidgets -I../Qt5.7.0/5.7/gcc_64/include/QtWidgets -I../Qt5.7.0/5.7/gcc_64/include/QtQuick -I../Qt5.7.0/5.7/gcc_64/include/QtGui -I../Qt5.7.0/5.7/gcc_64/include/QtConcurrent -I../Qt5.7.0/5.7/gcc_64/include/QtQml -I../Qt5.7.0/5.7/gcc_64/include/QtNetwork -I../Qt5.7.0/5.7/gcc_64/include/QtXml -I../Qt5.7.0/5.7/gcc_64/include/QtCore -Ibuild/moc -Ibuild/ui -I../Qt5.7.0/5.7/gcc_64/mkspecs/linux-g++ -o build/doubles/obj/dotgenerator.o src/dotgenerator.cpp

g++ -c -pipe -g -Wunused-parameter -O2 -std=gnu++11 -D_REENTRANT -Wall -W -fPIC -DNOMINMAX -DCSOUND6 -DUSE_QT5 -DUSE_QT_GT_53 -DUSE_QT_GT_54 -DUSE_QT_GT_55 -DQT_NO_DEBUG -DQT_PRINTSUPPORT_LIB -DQT_QUICKWIDGETS_LIB -DQT_WIDGETS_LIB -DQT_QUICK_LIB -DQT_GUI_LIB -DQT_CONCURRENT_LIB -DQT_QML_LIB -DQT_NETWORK_LIB -DQT_XML_LIB -DQT_CORE_LIB -I. -isystem /usr/local/include/csound -I../Qt5.7.0/5.7/gcc_64/include -I../Qt5.7.0/5.7/gcc_64/include/QtPrintSupport -I../Qt5.7.0/5.7/gcc_64/include/QtQuickWidgets -I../Qt5.7.0/5.7/gcc_64/include/QtWidgets -I../Qt5.7.0/5.7/gcc_64/include/QtQuick -I../Qt5.7.0/5.7/gcc_64/include/QtGui -I../Qt5.7.0/5.7/gcc_64/include/QtConcurrent -I../Qt5.7.0/5.7/gcc_64/include/QtQml -I../Qt5.7.0/5.7/gcc_64/include/QtNetwork -I../Qt5.7.0/5.7/gcc_64/include/QtXml -I../Qt5.7.0/5.7/gcc_64/include/QtCore -Ibuild/moc -Ibuild/ui -I../Qt5.7.0/5.7/gcc_64/mkspecs/linux-g++ -o build/doubles/obj/eventsheet.o src/eventsheet.cpp

g++ -c -pipe -g -Wunused-parameter -O2 -std=gnu++11 -D_REENTRANT -Wall -W -fPIC -DNOMINMAX -DCSOUND6 -DUSE_QT5 -DUSE_QT_GT_53 -DUSE_QT_GT_54 -DUSE_QT_GT_55 -DQT_NO_DEBUG -DQT_PRINTSUPPORT_LIB -DQT_QUICKWIDGETS_LIB -DQT_WIDGETS_LIB -DQT_QUICK_LIB -DQT_GUI_LIB -DQT_CONCURRENT_LIB -DQT_QML_LIB -DQT_NETWORK_LIB -DQT_XML_LIB -DQT_CORE_LIB -I. -isystem /usr/local/include/csound -I../Qt5.7.0/5.7/gcc_64/include -I../Qt5.7.0/5.7/gcc_64/include/QtPrintSupport -I../Qt5.7.0/5.7/gcc_64/include/QtQuickWidgets -I../Qt5.7.0/5.7/gcc_64/include/QtWidgets -I../Qt5.7.0/5.7/gcc_64/include/QtQuick -I../Qt5.7.0/5.7/gcc_64/include/QtGui -I../Qt5.7.0/5.7/gcc_64/include/QtConcurrent -I../Qt5.7.0/5.7/gcc_64/include/QtQml -I../Qt5.7.0/5.7/gcc_64/include/QtNetwork -I../Qt5.7.0/5.7/gcc_64/include/QtXml -I../Qt5.7.0/5.7/gcc_64/include/QtCore -Ibuild/moc -Ibuild/ui -I../Qt5.7.0/5.7/gcc_64/mkspecs/linux-g++ -o build/doubles/obj/findreplace.o src/findreplace.cpp

g++ -c -pipe -g -Wunused-parameter -O2 -std=gnu++11 -D_REENTRANT -Wall -W -fPIC -DNOMINMAX -DCSOUND6 -DUSE_QT5 -DUSE_QT_GT_53 -DUSE_QT_GT_54 -DUSE_QT_GT_55 -DQT_NO_DEBUG -DQT_PRINTSUPPORT_LIB -DQT_QUICKWIDGETS_LIB -DQT_WIDGETS_LIB -DQT_QUICK_LIB -DQT_GUI_LIB -DQT_CONCURRENT_LIB -DQT_QML_LIB -DQT_NETWORK_LIB -DQT_XML_LIB -DQT_CORE_LIB -I. -isystem /usr/local/include/csound -I../Qt5.7.0/5.7/gcc_64/include -I../Qt5.7.0/5.7/gcc_64/include/QtPrintSupport -I../Qt5.7.0/5.7/gcc_64/include/QtQuickWidgets -I../Qt5.7.0/5.7/gcc_64/include/QtWidgets -I../Qt5.7.0/5.7/gcc_64/include/QtQuick -I../Qt5.7.0/5.7/gcc_64/include/QtGui -I../Qt5.7.0/5.7/gcc_64/include/QtConcurrent -I../Qt5.7.0/5.7/gcc_64/include/QtQml -I../Qt5.7.0/5.7/gcc_64/include/QtNetwork -I../Qt5.7.0/5.7/gcc_64/include/QtXml -I../Qt5.7.0/5.7/gcc_64/include/QtCore -Ibuild/moc -Ibuild/ui -I../Qt5.7.0/5.7/gcc_64/mkspecs/linux-g++ -o build/doubles/obj/framewidget.o src/framewidget.cpp

g++ -c -pipe -g -Wunused-parameter -O2 -std=gnu++11 -D_REENTRANT -Wall -W -fPIC -DNOMINMAX -DCSOUND6 -DUSE_QT5 -DUSE_QT_GT_53 -DUSE_QT_GT_54 -DUSE_QT_GT_55 -DQT_NO_DEBUG -DQT_PRINTSUPPORT_LIB -DQT_QUICKWIDGETS_LIB -DQT_WIDGETS_LIB -DQT_QUICK_LIB -DQT_GUI_LIB -DQT_CONCURRENT_LIB -DQT_QML_LIB -DQT_NETWORK_LIB -DQT_XML_LIB -DQT_CORE_LIB -I. -isystem /usr/local/include/csound -I../Qt5.7.0/5.7/gcc_64/include -I../Qt5.7.0/5.7/gcc_64/include/QtPrintSupport -I../Qt5.7.0/5.7/gcc_64/include/QtQuickWidgets -I../Qt5.7.0/5.7/gcc_64/include/QtWidgets -I../Qt5.7.0/5.7/gcc_64/include/QtQuick -I../Qt5.7.0/5.7/gcc_64/include/QtGui -I../Qt5.7.0/5.7/gcc_64/include/QtConcurrent -I../Qt5.7.0/5.7/gcc_64/include/QtQml -I../Qt5.7.0/5.7/gcc_64/include/QtNetwork -I../Qt5.7.0/5.7/gcc_64/include/QtXml -I../Qt5.7.0/5.7/gcc_64/include/QtCore -Ibuild/moc -Ibuild/ui -I../Qt5.7.0/5.7/gcc_64/mkspecs/linux-g++ -o build/doubles/obj/graphicwindow.o src/graphicwindow.cpp

g++ -c -pipe -g -Wunused-parameter -O2 -std=gnu++11 -D_REENTRANT -Wall -W -fPIC -DNOMINMAX -DCSOUND6 -DUSE_QT5 -DUSE_QT_GT_53 -DUSE_QT_GT_54 -DUSE_QT_GT_55 -DQT_NO_DEBUG -DQT_PRINTSUPPORT_LIB -DQT_QUICKWIDGETS_LIB -DQT_WIDGETS_LIB -DQT_QUICK_LIB -DQT_GUI_LIB -DQT_CONCURRENT_LIB -DQT_QML_LIB -DQT_NETWORK_LIB -DQT_XML_LIB -DQT_CORE_LIB -I. -isystem /usr/local/include/csound -I../Qt5.7.0/5.7/gcc_64/include -I../Qt5.7.0/5.7/gcc_64/include/QtPrintSupport -I../Qt5.7.0/5.7/gcc_64/include/QtQuickWidgets -I../Qt5.7.0/5.7/gcc_64/include/QtWidgets -I../Qt5.7.0/5.7/gcc_64/include/QtQuick -I../Qt5.7.0/5.7/gcc_64/include/QtGui -I../Qt5.7.0/5.7/gcc_64/include/QtConcurrent -I../Qt5.7.0/5.7/gcc_64/include/QtQml -I../Qt5.7.0/5.7/gcc_64/include/QtNetwork -I../Qt5.7.0/5.7/gcc_64/include/QtXml -I../Qt5.7.0/5.7/gcc_64/include/QtCore -Ibuild/moc -Ibuild/ui -I../Qt5.7.0/5.7/gcc_64/mkspecs/linux-g++ -o build/doubles/obj/highlighter.o src/highlighter.cpp

g++ -c -pipe -g -Wunused-parameter -O2 -std=gnu++11 -D_REENTRANT -Wall -W -fPIC -DNOMINMAX -DCSOUND6 -DUSE_QT5 -DUSE_QT_GT_53 -DUSE_QT_GT_54 -DUSE_QT_GT_55 -DQT_NO_DEBUG -DQT_PRINTSUPPORT_LIB -DQT_QUICKWIDGETS_LIB -DQT_WIDGETS_LIB -DQT_QUICK_LIB -DQT_GUI_LIB -DQT_CONCURRENT_LIB -DQT_QML_LIB -DQT_NETWORK_LIB -DQT_XML_LIB -DQT_CORE_LIB -I. -isystem /usr/local/include/csound -I../Qt5.7.0/5.7/gcc_64/include -I../Qt5.7.0/5.7/gcc_64/include/QtPrintSupport -I../Qt5.7.0/5.7/gcc_64/include/QtQuickWidgets -I../Qt5.7.0/5.7/gcc_64/include/QtWidgets -I../Qt5.7.0/5.7/gcc_64/include/QtQuick -I../Qt5.7.0/5.7/gcc_64/include/QtGui -I../Qt5.7.0/5.7/gcc_64/include/QtConcurrent -I../Qt5.7.0/5.7/gcc_64/include/QtQml -I../Qt5.7.0/5.7/gcc_64/include/QtNetwork -I../Qt5.7.0/5.7/gcc_64/include/QtXml -I../Qt5.7.0/5.7/gcc_64/include/QtCore -Ibuild/moc -Ibuild/ui -I../Qt5.7.0/5.7/gcc_64/mkspecs/linux-g++ -o build/doubles/obj/inspector.o src/inspector.cpp

g++ -c -pipe -g -Wunused-parameter -O2 -std=gnu++11 -D_REENTRANT -Wall -W -fPIC -DNOMINMAX -DCSOUND6 -DUSE_QT5 -DUSE_QT_GT_53 -DUSE_QT_GT_54 -DUSE_QT_GT_55 -DQT_NO_DEBUG -DQT_PRINTSUPPORT_LIB -DQT_QUICKWIDGETS_LIB -DQT_WIDGETS_LIB -DQT_QUICK_LIB -DQT_GUI_LIB -DQT_CONCURRENT_LIB -DQT_QML_LIB -DQT_NETWORK_LIB -DQT_XML_LIB -DQT_CORE_LIB -I. -isystem /usr/local/include/csound -I../Qt5.7.0/5.7/gcc_64/include -I../Qt5.7.0/5.7/gcc_64/include/QtPrintSupport -I../Qt5.7.0/5.7/gcc_64/include/QtQuickWidgets -I../Qt5.7.0/5.7/gcc_64/include/QtWidgets -I../Qt5.7.0/5.7/gcc_64/include/QtQuick -I../Qt5.7.0/5.7/gcc_64/include/QtGui -I../Qt5.7.0/5.7/gcc_64/include/QtConcurrent -I../Qt5.7.0/5.7/gcc_64/include/QtQml -I../Qt5.7.0/5.7/gcc_64/include/QtNetwork -I../Qt5.7.0/5.7/gcc_64/include/QtXml -I../Qt5.7.0/5.7/gcc_64/include/QtCore -Ibuild/moc -Ibuild/ui -I../Qt5.7.0/5.7/gcc_64/mkspecs/linux-g++ -o build/doubles/obj/keyboardshortcuts.o src/keyboardshortcuts.cpp

g++ -c -pipe -g -Wunused-parameter -O2 -std=gnu++11 -D_REENTRANT -Wall -W -fPIC -DNOMINMAX -DCSOUND6 -DUSE_QT5 -DUSE_QT_GT_53 -DUSE_QT_GT_54 -DUSE_QT_GT_55 -DQT_NO_DEBUG -DQT_PRINTSUPPORT_LIB -DQT_QUICKWIDGETS_LIB -DQT_WIDGETS_LIB -DQT_QUICK_LIB -DQT_GUI_LIB -DQT_CONCURRENT_LIB -DQT_QML_LIB -DQT_NETWORK_LIB -DQT_XML_LIB -DQT_CORE_LIB -I. -isystem /usr/local/include/csound -I../Qt5.7.0/5.7/gcc_64/include -I../Qt5.7.0/5.7/gcc_64/include/QtPrintSupport -I../Qt5.7.0/5.7/gcc_64/include/QtQuickWidgets -I../Qt5.7.0/5.7/gcc_64/include/QtWidgets -I../Qt5.7.0/5.7/gcc_64/include/QtQuick -I../Qt5.7.0/5.7/gcc_64/include/QtGui -I../Qt5.7.0/5.7/gcc_64/include/QtConcurrent -I../Qt5.7.0/5.7/gcc_64/include/QtQml -I../Qt5.7.0/5.7/gcc_64/include/QtNetwork -I../Qt5.7.0/5.7/gcc_64/include/QtXml -I../Qt5.7.0/5.7/gcc_64/include/QtCore -Ibuild/moc -Ibuild/ui -I../Qt5.7.0/5.7/gcc_64/mkspecs/linux-g++ -o build/doubles/obj/liveeventcontrol.o src/liveeventcontrol.cpp

src/liveeventcontrol.cpp: In member function 'void LiveEventControl::appendPanel(LiveEventFrame*)':

src/liveeventcontrol.cpp:103:20: warning: unused variable 'syncItem' [-Wunused-variable]

QTableWidgetItem *syncItem = getItem(newRow, 3);

^

src/liveeventcontrol.cpp: At global scope:

src/liveeventcontrol.cpp:269:6: warning: unused parameter 'e' [-Wunused-parameter]

void LiveEventControl::frameClosed(LiveEventFrame *e)

^

g++ -c -pipe -g -Wunused-parameter -O2 -std=gnu++11 -D_REENTRANT -Wall -W -fPIC -DNOMINMAX -DCSOUND6 -DUSE_QT5 -DUSE_QT_GT_53 -DUSE_QT_GT_54 -DUSE_QT_GT_55 -DQT_NO_DEBUG -DQT_PRINTSUPPORT_LIB -DQT_QUICKWIDGETS_LIB -DQT_WIDGETS_LIB -DQT_QUICK_LIB -DQT_GUI_LIB -DQT_CONCURRENT_LIB -DQT_QML_LIB -DQT_NETWORK_LIB -DQT_XML_LIB -DQT_CORE_LIB -I. -isystem /usr/local/include/csound -I../Qt5.7.0/5.7/gcc_64/include -I../Qt5.7.0/5.7/gcc_64/include/QtPrintSupport -I../Qt5.7.0/5.7/gcc_64/include/QtQuickWidgets -I../Qt5.7.0/5.7/gcc_64/include/QtWidgets -I../Qt5.7.0/5.7/gcc_64/include/QtQuick -I../Qt5.7.0/5.7/gcc_64/include/QtGui -I../Qt5.7.0/5.7/gcc_64/include/QtConcurrent -I../Qt5.7.0/5.7/gcc_64/include/QtQml -I../Qt5.7.0/5.7/gcc_64/include/QtNetwork -I../Qt5.7.0/5.7/gcc_64/include/QtXml -I../Qt5.7.0/5.7/gcc_64/include/QtCore -Ibuild/moc -Ibuild/ui -I../Qt5.7.0/5.7/gcc_64/mkspecs/linux-g++ -o build/doubles/obj/liveeventframe.o src/liveeventframe.cpp

g++ -c -pipe -g -Wunused-parameter -O2 -std=gnu++11 -D_REENTRANT -Wall -W -fPIC -DNOMINMAX -DCSOUND6 -DUSE_QT5 -DUSE_QT_GT_53 -DUSE_QT_GT_54 -DUSE_QT_GT_55 -DQT_NO_DEBUG -DQT_PRINTSUPPORT_LIB -DQT_QUICKWIDGETS_LIB -DQT_WIDGETS_LIB -DQT_QUICK_LIB -DQT_GUI_LIB -DQT_CONCURRENT_LIB -DQT_QML_LIB -DQT_NETWORK_LIB -DQT_XML_LIB -DQT_CORE_LIB -I. -isystem /usr/local/include/csound -I../Qt5.7.0/5.7/gcc_64/include -I../Qt5.7.0/5.7/gcc_64/include/QtPrintSupport -I../Qt5.7.0/5.7/gcc_64/include/QtQuickWidgets -I../Qt5.7.0/5.7/gcc_64/include/QtWidgets -I../Qt5.7.0/5.7/gcc_64/include/QtQuick -I../Qt5.7.0/5.7/gcc_64/include/QtGui -I../Qt5.7.0/5.7/gcc_64/include/QtConcurrent -I../Qt5.7.0/5.7/gcc_64/include/QtQml -I../Qt5.7.0/5.7/gcc_64/include/QtNetwork -I../Qt5.7.0/5.7/gcc_64/include/QtXml -I../Qt5.7.0/5.7/gcc_64/include/QtCore -Ibuild/moc -Ibuild/ui -I../Qt5.7.0/5.7/gcc_64/mkspecs/linux-g++ -o build/doubles/obj/main.o src/main.cpp

g++ -c -pipe -g -Wunused-parameter -O2 -std=gnu++11 -D_REENTRANT -Wall -W -fPIC -DNOMINMAX -DCSOUND6 -DUSE_QT5 -DUSE_QT_GT_53 -DUSE_QT_GT_54 -DUSE_QT_GT_55 -DQT_NO_DEBUG -DQT_PRINTSUPPORT_LIB -DQT_QUICKWIDGETS_LIB -DQT_WIDGETS_LIB -DQT_QUICK_LIB -DQT_GUI_LIB -DQT_CONCURRENT_LIB -DQT_QML_LIB -DQT_NETWORK_LIB -DQT_XML_LIB -DQT_CORE_LIB -I. -isystem /usr/local/include/csound -I../Qt5.7.0/5.7/gcc_64/include -I../Qt5.7.0/5.7/gcc_64/include/QtPrintSupport -I../Qt5.7.0/5.7/gcc_64/include/QtQuickWidgets -I../Qt5.7.0/5.7/gcc_64/include/QtWidgets -I../Qt5.7.0/5.7/gcc_64/include/QtQuick -I../Qt5.7.0/5.7/gcc_64/include/QtGui -I../Qt5.7.0/5.7/gcc_64/include/QtConcurrent -I../Qt5.7.0/5.7/gcc_64/include/QtQml -I../Qt5.7.0/5.7/gcc_64/include/QtNetwork -I../Qt5.7.0/5.7/gcc_64/include/QtXml -I../Qt5.7.0/5.7/gcc_64/include/QtCore -Ibuild/moc -Ibuild/ui -I../Qt5.7.0/5.7/gcc_64/mkspecs/linux-g++ -o build/doubles/obj/node.o src/node.cpp

g++ -c -pipe -g -Wunused-parameter -O2 -std=gnu++11 -D_REENTRANT -Wall -W -fPIC -DNOMINMAX -DCSOUND6 -DUSE_QT5 -DUSE_QT_GT_53 -DUSE_QT_GT_54 -DUSE_QT_GT_55 -DQT_NO_DEBUG -DQT_PRINTSUPPORT_LIB -DQT_QUICKWIDGETS_LIB -DQT_WIDGETS_LIB -DQT_QUICK_LIB -DQT_GUI_LIB -DQT_CONCURRENT_LIB -DQT_QML_LIB -DQT_NETWORK_LIB -DQT_XML_LIB -DQT_CORE_LIB -I. -isystem /usr/local/include/csound -I../Qt5.7.0/5.7/gcc_64/include -I../Qt5.7.0/5.7/gcc_64/include/QtPrintSupport -I../Qt5.7.0/5.7/gcc_64/include/QtQuickWidgets -I../Qt5.7.0/5.7/gcc_64/include/QtWidgets -I../Qt5.7.0/5.7/gcc_64/include/QtQuick -I../Qt5.7.0/5.7/gcc_64/include/QtGui -I../Qt5.7.0/5.7/gcc_64/include/QtConcurrent -I../Qt5.7.0/5.7/gcc_64/include/QtQml -I../Qt5.7.0/5.7/gcc_64/include/QtNetwork -I../Qt5.7.0/5.7/gcc_64/include/QtXml -I../Qt5.7.0/5.7/gcc_64/include/QtCore -Ibuild/moc -Ibuild/ui -I../Qt5.7.0/5.7/gcc_64/mkspecs/linux-g++ -o build/doubles/obj/opentryparser.o src/opentryparser.cpp

g++ -c -pipe -g -Wunused-parameter -O2 -std=gnu++11 -D_REENTRANT -Wall -W -fPIC -DNOMINMAX -DCSOUND6 -DUSE_QT5 -DUSE_QT_GT_53 -DUSE_QT_GT_54 -DUSE_QT_GT_55 -DQT_NO_DEBUG -DQT_PRINTSUPPORT_LIB -DQT_QUICKWIDGETS_LIB -DQT_WIDGETS_LIB -DQT_QUICK_LIB -DQT_GUI_LIB -DQT_CONCURRENT_LIB -DQT_QML_LIB -DQT_NETWORK_LIB -DQT_XML_LIB -DQT_CORE_LIB -I. -isystem /usr/local/include/csound -I../Qt5.7.0/5.7/gcc_64/include -I../Qt5.7.0/5.7/gcc_64/include/QtPrintSupport -I../Qt5.7.0/5.7/gcc_64/include/QtQuickWidgets -I../Qt5.7.0/5.7/gcc_64/include/QtWidgets -I../Qt5.7.0/5.7/gcc_64/include/QtQuick -I../Qt5.7.0/5.7/gcc_64/include/QtGui -I../Qt5.7.0/5.7/gcc_64/include/QtConcurrent -I../Qt5.7.0/5.7/gcc_64/include/QtQml -I../Qt5.7.0/5.7/gcc_64/include/QtNetwork -I../Qt5.7.0/5.7/gcc_64/include/QtXml -I../Qt5.7.0/5.7/gcc_64/include/QtCore -Ibuild/moc -Ibuild/ui -I../Qt5.7.0/5.7/gcc_64/mkspecs/linux-g++ -o build/doubles/obj/options.o src/options.cpp

g++ -c -pipe -g -Wunused-parameter -O2 -std=gnu++11 -D_REENTRANT -Wall -W -fPIC -DNOMINMAX -DCSOUND6 -DUSE_QT5 -DUSE_QT_GT_53 -DUSE_QT_GT_54 -DUSE_QT_GT_55 -DQT_NO_DEBUG -DQT_PRINTSUPPORT_LIB -DQT_QUICKWIDGETS_LIB -DQT_WIDGETS_LIB -DQT_QUICK_LIB -DQT_GUI_LIB -DQT_CONCURRENT_LIB -DQT_QML_LIB -DQT_NETWORK_LIB -DQT_XML_LIB -DQT_CORE_LIB -I. -isystem /usr/local/include/csound -I../Qt5.7.0/5.7/gcc_64/include -I../Qt5.7.0/5.7/gcc_64/include/QtPrintSupport -I../Qt5.7.0/5.7/gcc_64/include/QtQuickWidgets -I../Qt5.7.0/5.7/gcc_64/include/QtWidgets -I../Qt5.7.0/5.7/gcc_64/include/QtQuick -I../Qt5.7.0/5.7/gcc_64/include/QtGui -I../Qt5.7.0/5.7/gcc_64/include/QtConcurrent -I../Qt5.7.0/5.7/gcc_64/include/QtQml -I../Qt5.7.0/5.7/gcc_64/include/QtNetwork -I../Qt5.7.0/5.7/gcc_64/include/QtXml -I../Qt5.7.0/5.7/gcc_64/include/QtCore -Ibuild/moc -Ibuild/ui -I../Qt5.7.0/5.7/gcc_64/mkspecs/linux-g++ -o build/doubles/obj/qutebutton.o src/qutebutton.cpp

g++ -c -pipe -g -Wunused-parameter -O2 -std=gnu++11 -D_REENTRANT -Wall -W -fPIC -DNOMINMAX -DCSOUND6 -DUSE_QT5 -DUSE_QT_GT_53 -DUSE_QT_GT_54 -DUSE_QT_GT_55 -DQT_NO_DEBUG -DQT_PRINTSUPPORT_LIB -DQT_QUICKWIDGETS_LIB -DQT_WIDGETS_LIB -DQT_QUICK_LIB -DQT_GUI_LIB -DQT_CONCURRENT_LIB -DQT_QML_LIB -DQT_NETWORK_LIB -DQT_XML_LIB -DQT_CORE_LIB -I. -isystem /usr/local/include/csound -I../Qt5.7.0/5.7/gcc_64/include -I../Qt5.7.0/5.7/gcc_64/include/QtPrintSupport -I../Qt5.7.0/5.7/gcc_64/include/QtQuickWidgets -I../Qt5.7.0/5.7/gcc_64/include/QtWidgets -I../Qt5.7.0/5.7/gcc_64/include/QtQuick -I../Qt5.7.0/5.7/gcc_64/include/QtGui -I../Qt5.7.0/5.7/gcc_64/include/QtConcurrent -I../Qt5.7.0/5.7/gcc_64/include/QtQml -I../Qt5.7.0/5.7/gcc_64/include/QtNetwork -I../Qt5.7.0/5.7/gcc_64/include/QtXml -I../Qt5.7.0/5.7/gcc_64/include/QtCore -Ibuild/moc -Ibuild/ui -I../Qt5.7.0/5.7/gcc_64/mkspecs/linux-g++ -o build/doubles/obj/qutecheckbox.o src/qutecheckbox.cpp

g++ -c -pipe -g -Wunused-parameter -O2 -std=gnu++11 -D_REENTRANT -Wall -W -fPIC -DNOMINMAX -DCSOUND6 -DUSE_QT5 -DUSE_QT_GT_53 -DUSE_QT_GT_54 -DUSE_QT_GT_55 -DQT_NO_DEBUG -DQT_PRINTSUPPORT_LIB -DQT_QUICKWIDGETS_LIB -DQT_WIDGETS_LIB -DQT_QUICK_LIB -DQT_GUI_LIB -DQT_CONCURRENT_LIB -DQT_QML_LIB -DQT_NETWORK_LIB -DQT_XML_LIB -DQT_CORE_LIB -I. -isystem /usr/local/include/csound -I../Qt5.7.0/5.7/gcc_64/include -I../Qt5.7.0/5.7/gcc_64/include/QtPrintSupport -I../Qt5.7.0/5.7/gcc_64/include/QtQuickWidgets -I../Qt5.7.0/5.7/gcc_64/include/QtWidgets -I../Qt5.7.0/5.7/gcc_64/include/QtQuick -I../Qt5.7.0/5.7/gcc_64/include/QtGui -I../Qt5.7.0/5.7/gcc_64/include/QtConcurrent -I../Qt5.7.0/5.7/gcc_64/include/QtQml -I../Qt5.7.0/5.7/gcc_64/include/QtNetwork -I../Qt5.7.0/5.7/gcc_64/include/QtXml -I../Qt5.7.0/5.7/gcc_64/include/QtCore -Ibuild/moc -Ibuild/ui -I../Qt5.7.0/5.7/gcc_64/mkspecs/linux-g++ -o build/doubles/obj/qutecombobox.o src/qutecombobox.cpp

g++ -c -pipe -g -Wunused-parameter -O2 -std=gnu++11 -D_REENTRANT -Wall -W -fPIC -DNOMINMAX -DCSOUND6 -DUSE_QT5 -DUSE_QT_GT_53 -DUSE_QT_GT_54 -DUSE_QT_GT_55 -DQT_NO_DEBUG -DQT_PRINTSUPPORT_LIB -DQT_QUICKWIDGETS_LIB -DQT_WIDGETS_LIB -DQT_QUICK_LIB -DQT_GUI_LIB -DQT_CONCURRENT_LIB -DQT_QML_LIB -DQT_NETWORK_LIB -DQT_XML_LIB -DQT_CORE_LIB -I. -isystem /usr/local/include/csound -I../Qt5.7.0/5.7/gcc_64/include -I../Qt5.7.0/5.7/gcc_64/include/QtPrintSupport -I../Qt5.7.0/5.7/gcc_64/include/QtQuickWidgets -I../Qt5.7.0/5.7/gcc_64/include/QtWidgets -I../Qt5.7.0/5.7/gcc_64/include/QtQuick -I../Qt5.7.0/5.7/gcc_64/include/QtGui -I../Qt5.7.0/5.7/gcc_64/include/QtConcurrent -I../Qt5.7.0/5.7/gcc_64/include/QtQml -I../Qt5.7.0/5.7/gcc_64/include/QtNetwork -I../Qt5.7.0/5.7/gcc_64/include/QtXml -I../Qt5.7.0/5.7/gcc_64/include/QtCore -Ibuild/moc -Ibuild/ui -I../Qt5.7.0/5.7/gcc_64/mkspecs/linux-g++ -o build/doubles/obj/quteconsole.o src/quteconsole.cpp

g++ -c -pipe -g -Wunused-parameter -O2 -std=gnu++11 -D_REENTRANT -Wall -W -fPIC -DNOMINMAX -DCSOUND6 -DUSE_QT5 -DUSE_QT_GT_53 -DUSE_QT_GT_54 -DUSE_QT_GT_55 -DQT_NO_DEBUG -DQT_PRINTSUPPORT_LIB -DQT_QUICKWIDGETS_LIB -DQT_WIDGETS_LIB -DQT_QUICK_LIB -DQT_GUI_LIB -DQT_CONCURRENT_LIB -DQT_QML_LIB -DQT_NETWORK_LIB -DQT_XML_LIB -DQT_CORE_LIB -I. -isystem /usr/local/include/csound -I../Qt5.7.0/5.7/gcc_64/include -I../Qt5.7.0/5.7/gcc_64/include/QtPrintSupport -I../Qt5.7.0/5.7/gcc_64/include/QtQuickWidgets -I../Qt5.7.0/5.7/gcc_64/include/QtWidgets -I../Qt5.7.0/5.7/gcc_64/include/QtQuick -I../Qt5.7.0/5.7/gcc_64/include/QtGui -I../Qt5.7.0/5.7/gcc_64/include/QtConcurrent -I../Qt5.7.0/5.7/gcc_64/include/QtQml -I../Qt5.7.0/5.7/gcc_64/include/QtNetwork -I../Qt5.7.0/5.7/gcc_64/include/QtXml -I../Qt5.7.0/5.7/gcc_64/include/QtCore -Ibuild/moc -Ibuild/ui -I../Qt5.7.0/5.7/gcc_64/mkspecs/linux-g++ -o build/doubles/obj/qutecsound.o src/qutecsound.cpp

src/qutecsound.cpp:783:6: warning: unused parameter 'code' [-Wunused-parameter]

void CsoundQt::evaluatePython(QString code)

^

src/qutecsound.cpp:1952:6: warning: unused parameter 'show' [-Wunused-parameter]

void CsoundQt::showDebugger(bool show)

^

src/qutecsound.cpp:1985:6: warning: unused parameter 'parent' [-Wunused-parameter]

void CsoundQt::virtualKeyboardActOff(QObject *parent)

^

src/qutecsound.cpp:1998:6: warning: unused parameter 'show' [-Wunused-parameter]

void CsoundQt::showHtml5Gui(bool show)

^

src/qutecsound.cpp: In member function 'void CsoundQt::virtualCCIn(int, int, int)':

src/qutecsound.cpp:2044:43: warning: suggest parentheses around arithmetic in operand of '|' [-Wparentheses]

unsigned char status = (11 << 4 | channel-1);

^

src/qutecsound.cpp: In member function 'void CsoundQt::about()':

src/qutecsound.cpp:2210:10: warning: unknown escape sequence: '\>' [enabled by default]

text += "<center><a href=\"http://sourceforge.net/donate/index.php?group_id=227265\">Support this project!</a></center><br \>";

^

g++ -c -pipe -g -Wunused-parameter -O2 -std=gnu++11 -D_REENTRANT -Wall -W -fPIC -DNOMINMAX -DCSOUND6 -DUSE_QT5 -DUSE_QT_GT_53 -DUSE_QT_GT_54 -DUSE_QT_GT_55 -DQT_NO_DEBUG -DQT_PRINTSUPPORT_LIB -DQT_QUICKWIDGETS_LIB -DQT_WIDGETS_LIB -DQT_QUICK_LIB -DQT_GUI_LIB -DQT_CONCURRENT_LIB -DQT_QML_LIB -DQT_NETWORK_LIB -DQT_XML_LIB -DQT_CORE_LIB -I. -isystem /usr/local/include/csound -I../Qt5.7.0/5.7/gcc_64/include -I../Qt5.7.0/5.7/gcc_64/include/QtPrintSupport -I../Qt5.7.0/5.7/gcc_64/include/QtQuickWidgets -I../Qt5.7.0/5.7/gcc_64/include/QtWidgets -I../Qt5.7.0/5.7/gcc_64/include/QtQuick -I../Qt5.7.0/5.7/gcc_64/include/QtGui -I../Qt5.7.0/5.7/gcc_64/include/QtConcurrent -I../Qt5.7.0/5.7/gcc_64/include/QtQml -I../Qt5.7.0/5.7/gcc_64/include/QtNetwork -I../Qt5.7.0/5.7/gcc_64/include/QtXml -I../Qt5.7.0/5.7/gcc_64/include/QtCore -Ibuild/moc -Ibuild/ui -I../Qt5.7.0/5.7/gcc_64/mkspecs/linux-g++ -o build/doubles/obj/qutedummy.o src/qutedummy.cpp

g++ -c -pipe -g -Wunused-parameter -O2 -std=gnu++11 -D_REENTRANT -Wall -W -fPIC -DNOMINMAX -DCSOUND6 -DUSE_QT5 -DUSE_QT_GT_53 -DUSE_QT_GT_54 -DUSE_QT_GT_55 -DQT_NO_DEBUG -DQT_PRINTSUPPORT_LIB -DQT_QUICKWIDGETS_LIB -DQT_WIDGETS_LIB -DQT_QUICK_LIB -DQT_GUI_LIB -DQT_CONCURRENT_LIB -DQT_QML_LIB -DQT_NETWORK_LIB -DQT_XML_LIB -DQT_CORE_LIB -I. -isystem

----snip ----....

build/doubles/obj/moc_utilitiesdialog.o build/doubles/obj/moc_widgetlayout.o build/doubles/obj/moc_widgetpanel.o build/doubles/obj/moc_qutesheet.o build/doubles/obj/moc_basedocument.o build/doubles/obj/moc_baseview.o build/doubles/obj/moc_appwizard.o build/doubles/obj/moc_appdetailspage.o build/doubles/obj/moc_pluginspage.o build/doubles/obj/moc_additionalfilespage.o build/doubles/obj/moc_scoreeditor.o build/doubles/obj/moc_filebeditor.o build/doubles/obj/moc_midihandler.o build/doubles/obj/moc_midilearndialog.o build/doubles/obj/moc_debugpanel.o build/doubles/obj/moc_livecodeeditor.o build/doubles/obj/moc_newbreakpointdialog.o -L/usr/local/lib -lcsound64 -lcsnd6 -L/home/janjacobhofmann/Qt5.7.0/5.7/gcc_64/lib -lQt5PrintSupport -L/usr/lib64 -lQt5QuickWidgets -lQt5Widgets -lQt5Quick -lQt5Gui -lQt5Concurrent -lQt5Qml -lQt5Network -lQt5Xml -lQt5Core -lpthread -lGL

/usr/bin/ld: cannot find -lGL

collect2: error: ld returned 1 exit status

make: *** [bin/CsoundQt-d-cs6] Error 1

20:41:58: Der Prozess "/usr/bin/make" wurde mit dem Rückgabewert 2 beendet.

Fehler beim Erstellen/Deployment des Projekts qcs (Kit: Desktop Qt 5.7.0 GCC 64bit)

Bei der Ausführung von Schritt "Make"

20:41:58: Verstrichene Zeit: 04:49.





Am 15.10.2016 um 18:37 schrieb joachim heintz:
hi jan jacob -

yes i remember i had the same problem.  you must install a package which 
provides this files, most probably libmesa-dev.  here is a good 
description how to proceed on ubuntu:
http://askubuntu.com/questions/306703/compile-opengl-program-missing-gl-gl-h

actually your output looks very good otherwise.  maybe this is the only 
step which is missing.

good luck -
	joachim


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, SlashDot.org! http://sdm.link/slashdot
_______________________________________________
Qutecsound-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/qutecsound-users
12
Loading...